/**
 * Cesium - https://github.com/AnalyticalGraphicsInc/cesium
 *
 * Copyright 2011-2013 Cesium Contributors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Columbus View (Pat. Pend.)
 *
 * Portions licensed separately.
 * See https://github.com/AnalyticalGraphicsInc/cesium/blob/master/LICENSE.md for full licensing details.
 */
/**
@license
mersenne-twister.js - https://gist.github.com/banksean/300494

   Copyright (C) 1997 - 2002, Makoto Matsumoto and Takuji Nishimura,
   All rights reserved.

   Redistribution and use in source and binary forms, with or without
   modification, are permitted provided that the following conditions
   are met:

     1. Redistributions of source code must retain the above copyright
        notice, this list of conditions and the following disclaimer.

     2. Redistributions in binary form must reproduce the above copyright
        notice, this list of conditions and the following disclaimer in the
        documentation and/or other materials provided with the distribution.

     3. The names of its contributors may not be used to endorse or promote
        products derived from this software without specific prior written
        permission.

   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
   "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
   LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
   A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR
   CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
   EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
   PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
   PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
   LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
   NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
   SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

/**
 * @fileOverview
 * @license
 *
 * Grauw URI utilities
 *
 * See: http://hg.grauw.nl/grauw-lib/file/tip/src/uri.js
 *
 * @author Laurens Holst (http://www.grauw.nl/)
 *
 *   Copyright 2012 Laurens Holst
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 *
 */

/**
@license
sprintf.js from the php.js project - https://github.com/kvz/phpjs
Directly from https://github.com/kvz/phpjs/blob/master/functions/strings/sprintf.js

php.js is copyright 2012 Kevin van Zonneveld.

Portions copyright Brett Zamir (http://brett-zamir.me), Kevin van Zonneveld
(http://kevin.vanzonneveld.net), Onno Marsman, Theriault, Michael White
(http://getsprink.com), Waldo Malqui Silva, Paulo Freitas, Jack, Jonas
Raoni Soares Silva (http://www.jsfromhell.com), Philip Peterson, Legaev
Andrey, Ates Goral (http://magnetiq.com), Alex, Ratheous, Martijn Wieringa,
Rafa? Kukawski (http://blog.kukawski.pl), lmeyrick
(https://sourceforge.net/projects/bcmath-js/), Nate, Philippe Baumann,
Enrique Gonzalez, Webtoolkit.info (http://www.webtoolkit.info/), Carlos R.
L. Rodrigues (http://www.jsfromhell.com), Ash Searle
(http://hexmen.com/blog/), Jani Hartikainen, travc, Ole Vrijenhoek,
Erkekjetter, Michael Grier, Rafa? Kukawski (http://kukawski.pl), Johnny
Mast (http://www.phpvrouwen.nl), T.Wild, d3x,
http://stackoverflow.com/questions/57803/how-to-convert-decimal-to-hex-in-javascript,
Rafa? Kukawski (http://blog.kukawski.pl/), stag019, pilus, WebDevHobo
(http://webdevhobo.blogspot.com/), marrtins, GeekFG
(http://geekfg.blogspot.com), Andrea Giammarchi
(http://webreflection.blogspot.com), Arpad Ray (mailto:arpad@php.net),
gorthaur, Paul Smith, Tim de Koning (http://www.kingsquare.nl), Joris, Oleg
Eremeev, Steve Hilder, majak, gettimeofday, KELAN, Josh Fraser
(http://onlineaspect.com/2007/06/08/auto-detect-a-time-zone-with-javascript/),
Marc Palau, Martin
(http://www.erlenwiese.de/), Breaking Par Consulting Inc
(http://www.breakingpar.com/bkp/home.nsf/0/87256B280015193F87256CFB006C45F7),
Chris, Mirek Slugen, saulius, Alfonso Jimenez
(http://www.alfonsojimenez.com), Diplom@t (http://difane.com/), felix,
Mailfaker (http://www.weedem.fr/), Tyler Akins (http://rumkin.com), Caio
Ariede (http://caioariede.com), Robin, Kankrelune
(http://www.webfaktory.info/), Karol Kowalski, Imgen Tata
(http://www.myipdf.com/), mdsjack (http://www.mdsjack.bo.it), Dreamer,
Felix Geisendoerfer (http://www.debuggable.com/felix), Lars Fischer, AJ,
David, Aman Gupta, Michael White, Public Domain
(http://www.json.org/json2.js), Steven Levithan
(http://blog.stevenlevithan.com), Sakimori, Pellentesque Malesuada,
Thunder.m, Dj (http://phpjs.org/functions/htmlentities:425#comment_134018),
Steve Clay, David James, Francois, class_exists, nobbler, T. Wild, Itsacon
(http://www.itsacon.net/), date, Ole Vrijenhoek (http://www.nervous.nl/),
Fox, Raphael (Ao RUDLER), Marco, noname, Mateusz "loonquawl" Zalega, Frank
Forte, Arno, ger, mktime, john (http://www.jd-tech.net), Nick Kolosov
(http://sammy.ru), marc andreu, Scott Cariss, Douglas Crockford
(http://javascript.crockford.com), madipta, Slawomir Kaniecki,
ReverseSyntax, Nathan, Alex Wilson, kenneth, Bayron Guevara, Adam Wallner
(http://web2.bitbaro.hu/), paulo kuong, jmweb, Lincoln Ramsay, djmix,
Pyerre, Jon Hohle, Thiago Mata (http://thiagomata.blog.com), lmeyrick
(https://sourceforge.net/projects/bcmath-js/this.), Linuxworld, duncan,
Gilbert, Sanjoy Roy, Shingo, sankai, Oskar Larsson H?gfeldt
(http://oskar-lh.name/), Denny Wardhana, 0m3r, Everlasto, Subhasis Deb,
josh, jd, Pier Paolo Ramon (http://www.mastersoup.com/), P, merabi, Soren
Hansen, Eugene Bulkin (http://doubleaw.com/), Der Simon
(http://innerdom.sourceforge.net/), echo is bad, Ozh, XoraX
(http://www.xorax.info), EdorFaus, JB, J A R, Marc Jansen, Francesco, LH,
Stoyan Kyosev (http://www.svest.org/), nord_ua, omid
(http://phpjs.org/functions/380:380#comment_137122), Brad Touesnard, MeEtc
(http://yass.meetcweb.com), Peter-Paul Koch
(http://www.quirksmode.org/js/beat.html), Olivier Louvignes
(http://mg-crea.com/), T0bsn, Tim Wiel, Bryan Elliott, Jalal Berrami,
Martin, JT, David Randall, Thomas Beaucourt (http://www.webapp.fr), taith,
vlado houba, Pierre-Luc Paour, Kristof Coomans (SCK-CEN Belgian Nucleair
Research Centre), Martin Pool, Kirk Strobeck, Rick Waldron, Brant Messenger
(http://www.brantmessenger.com/), Devan Penner-Woelk, Saulo Vallory, Wagner
B. Soares, Artur Tchernychev, Valentina De Rosa, Jason Wong
(http://carrot.org/), Christoph, Daniel Esteban, strftime, Mick@el, rezna,
Simon Willison (http://simonwillison.net), Anton Ongson, Gabriel Paderni,
Marco van Oort, penutbutterjelly, Philipp Lenssen, Bjorn Roesbeke
(http://www.bjornroesbeke.be/), Bug?, Eric Nagel, Tomasz Wesolowski,
Evertjan Garretsen, Bobby Drake, Blues (http://tech.bluesmoon.info/), Luke
Godfrey, Pul, uestla, Alan C, Ulrich, Rafal Kukawski, Yves Sucaet,
sowberry, Norman "zEh" Fuchs, hitwork, Zahlii, johnrembo, Nick Callen,
Steven Levithan (stevenlevithan.com), ejsanders, Scott Baker, Brian Tafoya
(http://www.premasolutions.com/), Philippe Jausions
(http://pear.php.net/user/jausions), Aidan Lister
(http://aidanlister.com/), Rob, e-mike, HKM, ChaosNo1, metjay, strcasecmp,
strcmp, Taras Bogach, jpfle, Alexander Ermolaev
(http://snippets.dzone.com/user/AlexanderErmolaev), DxGx, kilops, Orlando,
dptr1988, Le Torbi, James (http://www.james-bell.co.uk/), Pedro Tainha
(http://www.pedrotainha.com), James, Arnout Kazemier
(http://www.3rd-Eden.com), Chris McMacken, gabriel paderni, Yannoo,
FGFEmperor, baris ozdil, Tod Gentille, Greg Frazier, jakes, 3D-GRAF, Allan
Jensen (http://www.winternet.no), Howard Yeend, Benjamin Lupton, davook,
daniel airton wermann (http://wermann.com.br), Atli T¨®r, Maximusya, Ryan
W Tenney (http://ryan.10e.us), Alexander M Beedie, fearphage
(http://http/my.opera.com/fearphage/), Nathan Sepulveda, Victor, Matteo,
Billy, stensi, Cord, Manish, T.J. Leahy, Riddler
(http://www.frontierwebdev.com/), Rafa? Kukawski, FremyCompany, Matt
Bradley, Tim de Koning, Luis Salazar (http://www.freaky-media.com/), Diogo
Resende, Rival, Andrej Pavlovic, Garagoth, Le Torbi
(http://www.letorbi.de/), Dino, Josep Sanz (http://www.ws3.es/), rem,
Russell Walker (http://www.nbill.co.uk/), Jamie Beck
(http://www.terabit.ca/), setcookie, Michael, YUI Library:
http://developer.yahoo.com/yui/docs/YAHOO.util.DateLocale.html, Blues at
http://hacks.bluesmoon.info/strftime/strftime.js, Ben
(http://benblume.co.uk/), DtTvB
(http://dt.in.th/2008-09-16.string-length-in-bytes.html), Andreas, William,
meo, incidence, Cagri Ekin, Amirouche, Amir Habibi
(http://www.residence-mixte.com/), Luke Smith (http://lucassmith.name),
Kheang Hok Chin (http://www.distantia.ca/), Jay Klehr, Lorenzo Pisani,
Tony, Yen-Wei Liu, Greenseed, mk.keck, Leslie Hoare, dude, booeyOH, Ben
Bryan

Licensed under the MIT (MIT-LICENSE.txt) license.

Permission is hereby granted, free of charge, to any person obtaining a
copy of this software and associated documentation files (the
"Software"), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be included
in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL KEVIN VAN ZONNEVELD BE LIABLE FOR ANY CLAIM, DAMAGES
OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.
*/

/**
  @license
  when.js - https://github.com/cujojs/when

  MIT License (c) copyright B Cavalier & J Hann

 * A lightweight CommonJS Promises/A and when() implementation
 * when is part of the cujo.js family of libraries (http://cujojs.com/)
 *
 * Licensed under the MIT License at:
 * http://www.opensource.org/licenses/mit-license.php
 *
 * @version 1.7.1
 */

!function(){define("Core/defined",[],function(){"use strict";var e=function(e){return void 0!==e};return e}),define("Core/freezeObject",["./defined"],function(e){"use strict";var t=Object.freeze;return e(t)||(t=function(e){return e}),t}),define("Core/defaultValue",["./freezeObject"],function(e){"use strict";var t=function(e,t){return void 0!==e?e:t};return t.EMPTY_OBJECT=e({}),t}),define("Core/DeveloperError",["./defined"],function(e){"use strict";var t=function(e){this.name="DeveloperError",this.message=e;var t=new Error;this.stack=t.stack};return t.prototype.toString=function(){var t=this.name+": "+this.message;return e(this.stack)&&(t+="\n"+this.stack.toString()),t},t}),define("Core/Cartesian2",["./defaultValue","./defined","./DeveloperError","./freezeObject"],function(e,t,r,n){"use strict";var i=function(t,r){this.x=e(t,0),this.y=e(r,0)};i.fromElements=function(e,r,n){return t(n)?(n.x=e,n.y=r,n):new i(e,r)},i.clone=function(e,r){return t(e)?t(r)?(r.x=e.x,r.y=e.y,r):new i(e.x,e.y):void 0},i.fromCartesian3=i.clone,i.fromCartesian4=i.clone,i.packedLength=2,i.pack=function(t,r,n){n=e(n,0),r[n++]=t.x,r[n]=t.y},i.unpack=function(r,n,o){return n=e(n,0),t(o)||(o=new i),o.x=r[n++],o.y=r[n],o},i.fromArray=i.unpack,i.getMaximumComponent=function(e){return Math.max(e.x,e.y)},i.getMinimumComponent=function(e){return Math.min(e.x,e.y)},i.getMinimumByComponent=function(e,r,n){return t(n)||(n=new i),n.x=Math.min(e.x,r.x),n.y=Math.min(e.y,r.y),n},i.getMaximumByComponent=function(e,r,n){return t(n)||(n=new i),n.x=Math.max(e.x,r.x),n.y=Math.max(e.y,r.y),n},i.magnitudeSquared=function(e){return e.x*e.x+e.y*e.y},i.magnitude=function(e){return Math.sqrt(i.magnitudeSquared(e))};var o=new i;i.distance=function(e,t){return i.subtract(e,t,o),i.magnitude(o)},i.normalize=function(e,r){var n=i.magnitude(e);return t(r)?(r.x=e.x/n,r.y=e.y/n,r):new i(e.x/n,e.y/n)},i.dot=function(e,t){return e.x*t.x+e.y*t.y},i.multiplyComponents=function(e,r,n){return t(n)?(n.x=e.x*r.x,n.y=e.y*r.y,n):new i(e.x*r.x,e.y*r.y)},i.add=function(e,r,n){return t(n)?(n.x=e.x+r.x,n.y=e.y+r.y,n):new i(e.x+r.x,e.y+r.y)},i.subtract=function(e,r,n){return t(n)?(n.x=e.x-r.x,n.y=e.y-r.y,n):new i(e.x-r.x,e.y-r.y)},i.multiplyByScalar=function(e,r,n){return t(n)?(n.x=e.x*r,n.y=e.y*r,n):new i(e.x*r,e.y*r)},i.divideByScalar=function(e,r,n){return t(n)?(n.x=e.x/r,n.y=e.y/r,n):new i(e.x/r,e.y/r)},i.negate=function(e,r){return t(r)?(r.x=-e.x,r.y=-e.y,r):new i(-e.x,-e.y)},i.abs=function(e,r){return t(r)?(r.x=Math.abs(e.x),r.y=Math.abs(e.y),r):new i(Math.abs(e.x),Math.abs(e.y))};var a=new i;i.lerp=function(e,t,r,n){return i.multiplyByScalar(t,r,a),n=i.multiplyByScalar(e,1-r,n),i.add(a,n,n)};var s=new i,u=new i;i.angleBetween=function(e,t){return i.normalize(e,s),i.normalize(t,u),Math.acos(i.dot(s,u))};var l=new i;return i.mostOrthogonalAxis=function(e,t){var r=i.normalize(e,l);return i.abs(r,r),t=r.x<=r.y?i.clone(i.UNIT_X,t):i.clone(i.UNIT_Y,t)},i.equals=function(e,r){return e===r||t(e)&&t(r)&&e.x===r.x&&e.y===r.y},i.equalsEpsilon=function(e,r,n){return e===r||t(e)&&t(r)&&Math.abs(e.x-r.x)<=n&&Math.abs(e.y-r.y)<=n},i.ZERO=n(new i(0,0)),i.UNIT_X=n(new i(1,0)),i.UNIT_Y=n(new i(0,1)),i.prototype.clone=function(e){return i.clone(this,e)},i.prototype.equals=function(e){return i.equals(this,e)},i.prototype.equalsEpsilon=function(e,t){return i.equalsEpsilon(this,e,t)},i.prototype.toString=function(){return"("+this.x+", "+this.y+")"},i}),define("ThirdParty/mersenne-twister",[],function(){var e=function(e){void 0==e&&(e=(new Date).getTime()),this.N=624,this.M=397,this.MATRIX_A=2567483615,this.UPPER_MASK=2147483648,this.LOWER_MASK=2147483647,this.mt=new Array(this.N),this.mti=this.N+1,this.init_genrand(e)};return e.prototype.init_genrand=function(e){for(this.mt[0]=e>>>0,this.mti=1;this.mti<this.N;this.mti++){var e=this.mt[this.mti-1]^this.mt[this.mti-1]>>>30;this.mt[this.mti]=(1812433253*((4294901760&e)>>>16)<<16)+1812433253*(65535&e)+this.mti,this.mt[this.mti]>>>=0}},e.prototype.genrand_int32=function(){var e,t=new Array(0,this.MATRIX_A);if(this.mti>=this.N){var r;for(this.mti==this.N+1&&this.init_genrand(5489),r=0;r<this.N-this.M;r++)e=this.mt[r]&this.UPPER_MASK|this.mt[r+1]&this.LOWER_MASK,this.mt[r]=this.mt[r+this.M]^e>>>1^t[1&e];for(;r<this.N-1;r++)e=this.mt[r]&this.UPPER_MASK|this.mt[r+1]&this.LOWER_MASK,this.mt[r]=this.mt[r+(this.M-this.N)]^e>>>1^t[1&e];e=this.mt[this.N-1]&this.UPPER_MASK|this.mt[0]&this.LOWER_MASK,this.mt[this.N-1]=this.mt[this.M-1]^e>>>1^t[1&e],this.mti=0}return e=this.mt[this.mti++],e^=e>>>11,e^=2636928640&e<<7,e^=4022730752&e<<15,e^=e>>>18,e>>>0},e.prototype.random=function(){return this.genrand_int32()*(1/4294967296)},e}),define("Core/Math",["./defaultValue","./defined","./DeveloperError","../ThirdParty/mersenne-twister"],function(e,t,r,n){"use strict";var i={};i.EPSILON1=.1,i.EPSILON2=.01,i.EPSILON3=.001,i.EPSILON4=1e-4,i.EPSILON5=1e-5,i.EPSILON6=1e-6,i.EPSILON7=1e-7,i.EPSILON8=1e-8,i.EPSILON9=1e-9,i.EPSILON10=1e-10,i.EPSILON11=1e-11,i.EPSILON12=1e-12,i.EPSILON13=1e-13,i.EPSILON14=1e-14,i.EPSILON15=1e-15,i.EPSILON16=1e-16,i.EPSILON17=1e-17,i.EPSILON18=1e-18,i.EPSILON19=1e-19,i.EPSILON20=1e-20,i.GRAVITATIONALPARAMETER=3986004418e5,i.SOLAR_RADIUS=6955e5,i.LUNAR_RADIUS=1737400,i.SIXTY_FOUR_KILOBYTES=65536,i.sign=function(e){return e>0?1:0>e?-1:0},i.sinh=function(e){var t=Math.pow(Math.E,e),r=Math.pow(Math.E,-1*e);return.5*(t-r)},i.cosh=function(e){var t=Math.pow(Math.E,e),r=Math.pow(Math.E,-1*e);return.5*(t+r)},i.lerp=function(e,t,r){return(1-r)*e+r*t},i.PI=Math.PI,i.ONE_OVER_PI=1/Math.PI,i.PI_OVER_TWO=.5*Math.PI,i.PI_OVER_THREE=Math.PI/3,i.PI_OVER_FOUR=Math.PI/4,i.PI_OVER_SIX=Math.PI/6,i.THREE_PI_OVER_TWO=.5*3*Math.PI,i.TWO_PI=2*Math.PI,i.ONE_OVER_TWO_PI=1/(2*Math.PI),i.RADIANS_PER_DEGREE=Math.PI/180,i.DEGREES_PER_RADIAN=180/Math.PI,i.RADIANS_PER_ARCSECOND=i.RADIANS_PER_DEGREE/3600,i.toRadians=function(e){return e*i.RADIANS_PER_DEGREE},i.toDegrees=function(e){return e*i.DEGREES_PER_RADIAN},i.convertLongitudeRange=function(e){var t=i.TWO_PI,r=e-Math.floor(e/t)*t;return r<-Math.PI?r+t:r>=Math.PI?r-t:r},i.negativePiToPi=function(e){for(var t=i.EPSILON10,r=i.PI,n=i.TWO_PI;-(r+t)>e;)e+=n;if(-r>e)return-r;for(;e>r+t;)e-=n;return e>r?r:e},i.zeroToTwoPi=function(e){var t=e%i.TWO_PI;return 0>t?(t+i.TWO_PI)%i.TWO_PI:t},i.equalsEpsilon=function(t,r,n){return n=e(n,0),Math.abs(t-r)<=n};var o=[1];i.factorial=function(e){var t=o.length;if(e>=t)for(var r=o[t-1],n=t;e>=n;n++)o.push(r*n);return o[e]},i.incrementWrap=function(t,r,n){return n=e(n,0),++t,t>r&&(t=n),t},i.isPowerOfTwo=function(e){return 0!==e&&0===(e&e-1)},i.nextPowerOfTwo=function(e){return--e,e|=e>>1,e|=e>>2,e|=e>>4,e|=e>>8,e|=e>>16,++e,e},i.clamp=function(e,t,r){return t>e?t:e>r?r:e};var a=new n;return i.setRandomNumberSeed=function(e){a=new n(e)},i.nextRandomNumber=function(){return a.random()},i}),define("Core/Cartographic",["./defaultValue","./defined","./DeveloperError","./freezeObject","./Math"],function(e,t,r,n,i){"use strict";var o=function(t,r,n){this.longitude=e(t,0),this.latitude=e(r,0),this.height=e(n,0)};return o.fromDegrees=function(r,n,a,s){return r=i.toRadians(e(r,0)),n=i.toRadians(e(n,0)),a=e(a,0),t(s)?(s.longitude=r,s.latitude=n,s.height=a,s):new o(r,n,a)},o.clone=function(e,r){return t(e)?t(r)?(r.longitude=e.longitude,r.latitude=e.latitude,r.height=e.height,r):new o(e.longitude,e.latitude,e.height):void 0},o.equals=function(e,r){return e===r||t(e)&&t(r)&&e.longitude===r.longitude&&e.latitude===r.latitude&&e.height===r.height},o.equalsEpsilon=function(e,n,i){if("number"!=typeof i)throw new r("epsilon is required and must be a number.");return e===n||t(e)&&t(n)&&Math.abs(e.longitude-n.longitude)<=i&&Math.abs(e.latitude-n.latitude)<=i&&Math.abs(e.height-n.height)<=i},o.toString=function(e){if(!t(e))throw new r("cartographic is required");return"("+e.longitude+", "+e.latitude+", "+e.height+")"},o.ZERO=n(new o(0,0,0)),o.prototype.clone=function(e){return o.clone(this,e)},o.prototype.equals=function(e){return o.equals(this,e)},o.prototype.equalsEpsilon=function(e,t){return o.equalsEpsilon(this,e,t)},o.prototype.toString=function(){return o.toString(this)},o}),define("Core/Cartesian3",["./defaultValue","./defined","./DeveloperError","./freezeObject"],function(e,t,r,n){"use strict";var i=function(t,r,n){this.x=e(t,0),this.y=e(r,0),this.z=e(n,0)};i.fromSpherical=function(r,n){t(n)||(n=new i);var o=r.clock,a=r.cone,s=e(r.magnitude,1),u=s*Math.sin(a);return n.x=u*Math.cos(o),n.y=u*Math.sin(o),n.z=s*Math.cos(a),n},i.fromElements=function(e,r,n,o){return t(o)?(o.x=e,o.y=r,o.z=n,o):new i(e,r,n)},i.clone=function(e,r){return t(e)?t(r)?(r.x=e.x,r.y=e.y,r.z=e.z,r):new i(e.x,e.y,e.z):void 0},i.fromCartesian4=i.clone,i.packedLength=3,i.pack=function(t,r,n){n=e(n,0),r[n++]=t.x,r[n++]=t.y,r[n]=t.z},i.unpack=function(r,n,o){return n=e(n,0),t(o)||(o=new i),o.x=r[n++],o.y=r[n++],o.z=r[n],o},i.fromArray=i.unpack,i.getMaximumComponent=function(e){return Math.max(e.x,e.y,e.z)},i.getMinimumComponent=function(e){return Math.min(e.x,e.y,e.z)},i.getMinimumByComponent=function(e,r,n){return t(n)||(n=new i),n.x=Math.min(e.x,r.x),n.y=Math.min(e.y,r.y),n.z=Math.min(e.z,r.z),n},i.getMaximumByComponent=function(e,r,n){return t(n)||(n=new i),n.x=Math.max(e.x,r.x),n.y=Math.max(e.y,r.y),n.z=Math.max(e.z,r.z),n},i.magnitudeSquared=function(e){return e.x*e.x+e.y*e.y+e.z*e.z},i.magnitude=function(e){return Math.sqrt(i.magnitudeSquared(e))};var o=new i;i.distance=function(e,t){return i.subtract(e,t,o),i.magnitude(o)},i.normalize=function(e,r){var n=i.magnitude(e);return t(r)?(r.x=e.x/n,r.y=e.y/n,r.z=e.z/n,r):new i(e.x/n,e.y/n,e.z/n)},i.dot=function(e,t){return e.x*t.x+e.y*t.y+e.z*t.z},i.multiplyComponents=function(e,r,n){return t(n)?(n.x=e.x*r.x,n.y=e.y*r.y,n.z=e.z*r.z,n):new i(e.x*r.x,e.y*r.y,e.z*r.z)},i.add=function(e,r,n){return t(n)?(n.x=e.x+r.x,n.y=e.y+r.y,n.z=e.z+r.z,n):new i(e.x+r.x,e.y+r.y,e.z+r.z)},i.subtract=function(e,r,n){return t(n)?(n.x=e.x-r.x,n.y=e.y-r.y,n.z=e.z-r.z,n):new i(e.x-r.x,e.y-r.y,e.z-r.z)},i.multiplyByScalar=function(e,r,n){return t(n)?(n.x=e.x*r,n.y=e.y*r,n.z=e.z*r,n):new i(e.x*r,e.y*r,e.z*r)},i.divideByScalar=function(e,r,n){return t(n)?(n.x=e.x/r,n.y=e.y/r,n.z=e.z/r,n):new i(e.x/r,e.y/r,e.z/r)},i.negate=function(e,r){return t(r)?(r.x=-e.x,r.y=-e.y,r.z=-e.z,r):new i(-e.x,-e.y,-e.z)},i.abs=function(e,r){return t(r)?(r.x=Math.abs(e.x),r.y=Math.abs(e.y),r.z=Math.abs(e.z),r):new i(Math.abs(e.x),Math.abs(e.y),Math.abs(e.z))};var a=new i;i.lerp=function(e,t,r,n){return i.multiplyByScalar(t,r,a),n=i.multiplyByScalar(e,1-r,n),i.add(a,n,n)};var s=new i,u=new i;i.angleBetween=function(e,t){i.normalize(e,s),i.normalize(t,u);var r=i.dot(s,u),n=i.magnitude(i.cross(s,u,s));return Math.atan2(n,r)};var l=new i;return i.mostOrthogonalAxis=function(e,t){var r=i.normalize(e,l);return i.abs(r,r),t=r.x<=r.y?r.x<=r.z?i.clone(i.UNIT_X,t):i.clone(i.UNIT_Z,t):r.y<=r.z?i.clone(i.UNIT_Y,t):i.clone(i.UNIT_Z,t)},i.equals=function(e,r){return e===r||t(e)&&t(r)&&e.x===r.x&&e.y===r.y&&e.z===r.z},i.equalsEpsilon=function(e,r,n){return e===r||t(e)&&t(r)&&Math.abs(e.x-r.x)<=n&&Math.abs(e.y-r.y)<=n&&Math.abs(e.z-r.z)<=n},i.cross=function(e,r,n){var o=e.x,a=e.y,s=e.z,u=r.x,l=r.y,c=r.z,f=a*c-s*l,h=s*u-o*c,m=o*l-a*u;return t(n)?(n.x=f,n.y=h,n.z=m,n):new i(f,h,m)},i.ZERO=n(new i(0,0,0)),i.UNIT_X=n(new i(1,0,0)),i.UNIT_Y=n(new i(0,1,0)),i.UNIT_Z=n(new i(0,0,1)),i.prototype.clone=function(e){return i.clone(this,e)},i.prototype.equals=function(e){return i.equals(this,e)},i.prototype.equalsEpsilon=function(e,t){return i.equalsEpsilon(this,e,t)},i.prototype.toString=function(){return"("+this.x+", "+this.y+", "+this.z+")"},i}),define("Core/Ellipsoid",["./freezeObject","./defaultValue","./defined","./DeveloperError","./Math","./Cartesian3","./Cartographic"],function(e,t,r,n,i,o,a){"use strict";var s=function(e,r,a){if(e=t(e,0),r=t(r,0),a=t(a,0),0>e||0>r||0>a)throw new n("All radii components must be greater than or equal to zero.");this._radii=new o(e,r,a),this._radiiSquared=new o(e*e,r*r,a*a),this._radiiToTheFourth=new o(e*e*e*e,r*r*r*r,a*a*a*a),this._oneOverRadii=new o(0===e?0:1/e,0===r?0:1/r,0===a?0:1/a),this._oneOverRadiiSquared=new o(0===e?0:1/(e*e),0===r?0:1/(r*r),0===a?0:1/(a*a)),this._minimumRadius=Math.min(e,r,a),this._maximumRadius=Math.max(e,r,a),this._centerToleranceSquared=i.EPSILON1};s.clone=function(e,t){if(!r(e))return void 0;var n=e._radii;return r(t)?(o.clone(n,t._radii),o.clone(e._radiiSquared,t._radiiSquared),o.clone(e._radiiToTheFourth,t._radiiToTheFourth),o.clone(e._oneOverRadii,t._oneOverRadii),o.clone(e._oneOverRadiiSquared,t._oneOverRadiiSquared),t._minimumRadius=e._minimumRadius,t._maximumRadius=e._maximumRadius,t._centerToleranceSquared=e._centerToleranceSquared,t):new s(n.x,n.y,n.z)},s.fromCartesian3=function(e){return r(e)?new s(e.x,e.y,e.z):new s},s.WGS84=e(new s(6378137,6378137,6356752.314245179)),s.UNIT_SPHERE=e(new s(1,1,1)),s.MOON=e(new s(i.LUNAR_RADIUS,i.LUNAR_RADIUS,i.LUNAR_RADIUS)),s.prototype.getRadii=function(){return this._radii},s.prototype.getRadiiSquared=function(){return this._radiiSquared},s.prototype.getRadiiToTheFourth=function(){return this._radiiToTheFourth},s.prototype.getOneOverRadii=function(){return this._oneOverRadii},s.prototype.getOneOverRadiiSquared=function(){return this._oneOverRadiiSquared},s.prototype.getMinimumRadius=function(){return this._minimumRadius},s.prototype.getMaximumRadius=function(){return this._maximumRadius},s.prototype.clone=function(e){return s.clone(this,e)},s.prototype.geocentricSurfaceNormal=o.normalize,s.prototype.geodeticSurfaceNormalCartographic=function(e,t){if(!r(e))throw new n("cartographic is required.");var i=e.longitude,a=e.latitude,s=Math.cos(a),u=s*Math.cos(i),l=s*Math.sin(i),c=Math.sin(a);return r(t)||(t=new o),t.x=u,t.y=l,t.z=c,o.normalize(t,t)},s.prototype.geodeticSurfaceNormal=function(e,t){return t=o.multiplyComponents(e,this._oneOverRadiiSquared,t),o.normalize(t,t)};var u=new o,l=new o;s.prototype.cartographicToCartesian=function(e,t){var r=u,n=l;this.geodeticSurfaceNormalCartographic(e,r),o.multiplyComponents(this._radiiSquared,r,n);var i=Math.sqrt(o.dot(r,n));return o.divideByScalar(n,i,n),o.multiplyByScalar(r,e.height,r),o.add(n,r,t)},s.prototype.cartographicArrayToCartesianArray=function(e,t){if(!r(e))throw new n("cartographics is required.");var i=e.length;r(t)?t.length=i:t=new Array(i);for(var o=0;i>o;o++)t[o]=this.cartographicToCartesian(e[o],t[o]);return t};var c=new o,f=new o,h=new o;s.prototype.cartesianToCartographic=function(e,t){var n=this.scaleToGeodeticSurface(e,f);if(!r(n))return void 0;var s=this.geodeticSurfaceNormal(n,c),u=o.subtract(e,n,h),l=Math.atan2(s.y,s.x),m=Math.asin(s.z),d=i.sign(o.dot(u,e))*o.magnitude(u);return r(t)?(t.longitude=l,t.latitude=m,t.height=d,t):new a(l,m,d)},s.prototype.cartesianArrayToCartographicArray=function(e,t){if(!r(e))throw new n("cartesians is required.");var i=e.length;r(t)?t.length=i:t=new Array(i);for(var o=0;i>o;++o)t[o]=this.cartesianToCartographic(e[o],t[o]);return t};var m=new o,d=new o;return s.prototype.scaleToGeodeticSurface=function(e,t){if(!r(e))throw new n("cartesian is required.");var a=e.x,s=e.y,u=e.z,l=this._oneOverRadii,c=l.x,f=l.y,h=l.z,p=a*a*c*c,y=s*s*f*f,v=u*u*h*h,w=p+y+v,g=Math.sqrt(1/w),E=o.multiplyByScalar(e,g,m);if(w<this._centerToleranceSquared)return isFinite(g)?o.clone(E,t):void 0;var S=this._oneOverRadiiSquared,x=S.x,C=S.y,b=S.z,T=d;T.x=2*E.x*x,T.y=2*E.y*C,T.z=2*E.z*b;var O,A,I,M,N,D,_,P,R,z,L,q=(1-g)*o.magnitude(e)/(.5*o.magnitude(T)),F=0;do{q-=F,I=1/(1+q*x),M=1/(1+q*C),N=1/(1+q*b),D=I*I,_=M*M,P=N*N,R=D*I,z=_*M,L=P*N,O=p*D+y*_+v*P-1,A=p*R*x+y*z*C+v*L*b;var U=-2*A;F=O/U}while(Math.abs(O)>i.EPSILON12);return r(t)?(t.x=a*I,t.y=s*M,t.z=u*N,t):new o(a*I,s*M,u*N)},s.prototype.scaleToGeocentricSurface=function(e,t){if(!r(e))throw new n("cartesian is required.");var i=e.x,a=e.y,s=e.z,u=this._oneOverRadiiSquared,l=1/Math.sqrt(i*i*u.x+a*a*u.y+s*s*u.z);return o.multiplyByScalar(e,l,t)},s.prototype.transformPositionToScaledSpace=function(e,t){return o.multiplyComponents(e,this._oneOverRadii,t)},s.prototype.transformPositionFromScaledSpace=function(e,t){return o.multiplyComponents(e,this._radii,t)},s.prototype.equals=function(e){return this===e||r(e)&&o.equals(this._radii,e._radii)},s.prototype.toString=function(){return this._radii.toString()},s}),define("Core/GeographicProjection",["./defaultValue","./defined","./Cartesian3","./Cartographic","./Ellipsoid"],function(e,t,r,n,i){"use strict";var o=function(t){this._ellipsoid=e(t,i.WGS84),this._semimajorAxis=this._ellipsoid.getMaximumRadius(),this._oneOverSemimajorAxis=1/this._semimajorAxis};return o.prototype.getEllipsoid=function(){return this._ellipsoid},o.prototype.project=function(e,n){var i=this._semimajorAxis,o=e.longitude*i,a=e.latitude*i,s=e.height;return t(n)?(n.x=o,n.y=a,n.z=s,n):new r(o,a,s)},o.prototype.unproject=function(e,r){var i=this._oneOverSemimajorAxis,o=e.x*i,a=e.y*i,s=e.z;return t(r)?(r.longitude=o,r.latitude=a,r.height=s,r):new n(o,a,s)},o}),define("Core/Enumeration",["./defined"],function(e){"use strict";var t=function(t,r,n){if(this.value=t,this.name=r,e(n))for(var i in n)n.hasOwnProperty(i)&&(this[i]=n[i])};return t.prototype.valueOf=function(){return this.value},t.prototype.toString=function(){return this.name},t}),define("Core/Intersect",["./Enumeration"],function(e){"use strict";var t={OUTSIDE:new e(-1,"OUTSIDE"),INTERSECTING:new e(0,"INTERSECTING"),INSIDE:new e(1,"INSIDE")};return t}),define("Core/BoundingRectangle",["./defaultValue","./defined","./DeveloperError","./Cartesian2","./Cartographic","./GeographicProjection","./Intersect"],function(e,t,r,n,i,o,a){"use strict";var s=function(t,r,n,i){this.x=e(t,0),this.y=e(r,0),this.width=e(n,0),this.height=e(i,0)};s.fromPoints=function(e,r){if(t(r)||(r=new s),!t(e)||0===e.length)return r.x=0,r.y=0,r.width=0,r.height=0,r;for(var n=e.length,i=e[0].x,o=e[0].y,a=e[0].x,u=e[0].y,l=1;n>l;l++){var c=e[l],f=c.x,h=c.y;i=Math.min(f,i),a=Math.max(f,a),o=Math.min(h,o),u=Math.max(h,u)}return r.x=i,r.y=o,r.width=a-i,r.height=u-o,r};var u=new o,l=new i,c=new i;return s.fromExtent=function(r,i,o){if(t(o)||(o=new s),!t(r))return o.x=0,o.y=0,o.width=0,o.height=0,o;i=e(i,u);var a=i.project(r.getSouthwest(l)),f=i.project(r.getNortheast(c));return n.subtract(f,a,f),o.x=a.x,o.y=a.y,o.width=f.x,o.height=f.y,o},s.clone=function(e,r){return t(e)?t(r)?(r.x=e.x,r.y=e.y,r.width=e.width,r.height=e.height,r):new s(e.x,e.y,e.width,e.height):void 0},s.union=function(e,n,i){if(!t(e))throw new r("left is required.");if(!t(n))throw new r("right is required.");t(i)||(i=new s);var o=Math.min(e.x,n.x),a=Math.min(e.y,n.y),u=Math.max(e.x+e.width,n.x+n.width),l=Math.max(e.y+e.height,n.y+n.height);return i.x=o,i.y=a,i.width=u-o,i.height=l-a,i},s.expand=function(e,n,i){if(!t(e))throw new r("rectangle is required.");if(!t(n))throw new r("point is required.");i=s.clone(e,i);var o=n.x-i.x,a=n.y-i.y;return o>i.width?i.width=o:0>o&&(i.width-=o,i.x=n.x),a>i.height?i.height=a:0>a&&(i.height-=a,i.y=n.y),i},s.intersect=function(e,n){if(!t(e))throw new r("left is required.");if(!t(n))throw new r("right is required.");var i=e.x,o=e.y,s=n.x,u=n.y;return i>s+n.width||i+e.width<s||o+e.height<u||o>u+n.height?a.OUTSIDE:a.INTERSECTING},s.equals=function(e,r){return e===r||t(e)&&t(r)&&e.x===r.x&&e.y===r.y&&e.width===r.width&&e.height===r.height},s.prototype.clone=function(e){return s.clone(this,e)},s.prototype.union=function(e,t){return s.union(this,e,t)},s.prototype.expand=function(e,t){return s.expand(this,e,t)},s.prototype.intersect=function(e){return s.intersect(this,e)},s.prototype.equals=function(e){return s.equals(this,e)},s}),define("Core/Cartesian4",["./defaultValue","./defined","./DeveloperError","./freezeObject"],function(e,t,r,n){"use strict";var i=function(t,r,n,i){this.x=e(t,0),this.y=e(r,0),this.z=e(n,0),this.w=e(i,0)};i.fromElements=function(e,r,n,o,a){return t(a)?(a.x=e,a.y=r,a.z=n,a.w=o,a):new i(e,r,n,o)},i.clone=function(e,r){return t(e)?t(r)?(r.x=e.x,r.y=e.y,r.z=e.z,r.w=e.w,r):new i(e.x,e.y,e.z,e.w):void 0},i.packedLength=4,i.pack=function(t,r,n){n=e(n,0),r[n++]=t.x,r[n++]=t.y,r[n++]=t.z,r[n]=t.w},i.unpack=function(r,n,o){return n=e(n,0),t(o)||(o=new i),o.x=r[n++],o.y=r[n++],o.z=r[n++],o.w=r[n],o},i.fromArray=i.unpack,i.getMaximumComponent=function(e){return Math.max(e.x,e.y,e.z,e.w)},i.getMinimumComponent=function(e){return Math.min(e.x,e.y,e.z,e.w)},i.getMinimumByComponent=function(e,r,n){return t(n)||(n=new i),n.x=Math.min(e.x,r.x),n.y=Math.min(e.y,r.y),n.z=Math.min(e.z,r.z),n.w=Math.min(e.w,r.w),n},i.getMaximumByComponent=function(e,r,n){return t(n)||(n=new i),n.x=Math.max(e.x,r.x),n.y=Math.max(e.y,r.y),n.z=Math.max(e.z,r.z),n.w=Math.max(e.w,r.w),n},i.magnitudeSquared=function(e){return e.x*e.x+e.y*e.y+e.z*e.z+e.w*e.w},i.magnitude=function(e){return Math.sqrt(i.magnitudeSquared(e))};var o=new i;i.distance=function(e,t){return i.subtract(e,t,o),i.magnitude(o)},i.normalize=function(e,r){var n=i.magnitude(e);return t(r)?(r.x=e.x/n,r.y=e.y/n,r.z=e.z/n,r.w=e.w/n,r):new i(e.x/n,e.y/n,e.z/n,e.w/n)},i.dot=function(e,t){return e.x*t.x+e.y*t.y+e.z*t.z+e.w*t.w},i.multiplyComponents=function(e,r,n){return t(n)?(n.x=e.x*r.x,n.y=e.y*r.y,n.z=e.z*r.z,n.w=e.w*r.w,n):new i(e.x*r.x,e.y*r.y,e.z*r.z,e.w*r.w)},i.add=function(e,r,n){return t(n)?(n.x=e.x+r.x,n.y=e.y+r.y,n.z=e.z+r.z,n.w=e.w+r.w,n):new i(e.x+r.x,e.y+r.y,e.z+r.z,e.w+r.w)},i.subtract=function(e,r,n){return t(n)?(n.x=e.x-r.x,n.y=e.y-r.y,n.z=e.z-r.z,n.w=e.w-r.w,n):new i(e.x-r.x,e.y-r.y,e.z-r.z,e.w-r.w)},i.multiplyByScalar=function(e,r,n){return t(n)?(n.x=e.x*r,n.y=e.y*r,n.z=e.z*r,n.w=e.w*r,n):new i(e.x*r,e.y*r,e.z*r,e.w*r)},i.divideByScalar=function(e,r,n){return t(n)?(n.x=e.x/r,n.y=e.y/r,n.z=e.z/r,n.w=e.w/r,n):new i(e.x/r,e.y/r,e.z/r,e.w/r)},i.negate=function(e,r){return t(r)?(r.x=-e.x,r.y=-e.y,r.z=-e.z,r.w=-e.w,r):new i(-e.x,-e.y,-e.z,-e.w)},i.abs=function(e,r){return t(r)?(r.x=Math.abs(e.x),r.y=Math.abs(e.y),r.z=Math.abs(e.z),r.w=Math.abs(e.w),r):new i(Math.abs(e.x),Math.abs(e.y),Math.abs(e.z),Math.abs(e.w))};var a=new i;i.lerp=function(e,t,r,n){return i.multiplyByScalar(t,r,a),n=i.multiplyByScalar(e,1-r,n),i.add(a,n,n)};var s=new i;return i.mostOrthogonalAxis=function(e,t){var r=i.normalize(e,s);return i.abs(r,r),t=r.x<=r.y?r.x<=r.z?r.x<=r.w?i.clone(i.UNIT_X,t):i.clone(i.UNIT_W,t):r.z<=r.w?i.clone(i.UNIT_Z,t):i.clone(i.UNIT_W,t):r.y<=r.z?r.y<=r.w?i.clone(i.UNIT_Y,t):i.clone(i.UNIT_W,t):r.z<=r.w?i.clone(i.UNIT_Z,t):i.clone(i.UNIT_W,t)},i.equals=function(e,r){return e===r||t(e)&&t(r)&&e.x===r.x&&e.y===r.y&&e.z===r.z&&e.w===r.w},i.equalsEpsilon=function(e,r,n){return e===r||t(e)&&t(r)&&Math.abs(e.x-r.x)<=n&&Math.abs(e.y-r.y)<=n&&Math.abs(e.z-r.z)<=n&&Math.abs(e.w-r.w)<=n},i.ZERO=n(new i(0,0,0,0)),i.UNIT_X=n(new i(1,0,0,0)),i.UNIT_Y=n(new i(0,1,0,0)),i.UNIT_Z=n(new i(0,0,1,0)),i.UNIT_W=n(new i(0,0,0,1)),i.prototype.clone=function(e){return i.clone(this,e)},i.prototype.equals=function(e){return i.equals(this,e)},i.prototype.equalsEpsilon=function(e,t){return i.equalsEpsilon(this,e,t)},i.prototype.toString=function(){return"("+this.x+", "+this.y+", "+this.z+", "+this.w+")"},i}),define("Core/Interval",["./defaultValue"],function(e){"use strict";var t=function(t,r){this.start=e(t,0),this.stop=e(r,0)};return t}),define("Core/Matrix3",["./Cartesian3","./defaultValue","./defined","./DeveloperError","./freezeObject","./Math"],function(e,t,r,n,i,o){"use strict";function a(e){for(var t=0,r=0;9>r;++r){var n=e[r];t+=n*n}return Math.sqrt(t)}function s(e){for(var t=0,r=0;3>r;++r){var n=e[l.getElementIndex(f[r],c[r])];t+=2*n*n}return Math.sqrt(t)}function u(e,t){for(var r=o.EPSILON15,n=0,i=1,a=0;3>a;++a){var s=Math.abs(e[l.getElementIndex(f[a],c[a])]);s>n&&(i=a,n=s)}var u=1,h=0,m=c[i],d=f[i];if(Math.abs(e[l.getElementIndex(d,m)])>r){var p,y=e[l.getElementIndex(d,d)],v=e[l.getElementIndex(m,m)],w=e[l.getElementIndex(d,m)],g=(y-v)/2/w;p=0>g?-1/(-g+Math.sqrt(1+g*g)):1/(g+Math.sqrt(1+g*g)),u=1/Math.sqrt(1+p*p),h=p*u}return t=l.clone(l.IDENTITY,t),t[l.getElementIndex(m,m)]=t[l.getElementIndex(d,d)]=u,t[l.getElementIndex(d,m)]=h,t[l.getElementIndex(m,d)]=-h,t}var l=function(e,r,n,i,o,a,s,u,l){this[0]=t(e,0),this[1]=t(i,0),this[2]=t(s,0),this[3]=t(r,0),this[4]=t(o,0),this[5]=t(u,0),this[6]=t(n,0),this[7]=t(a,0),this[8]=t(l,0)};l.clone=function(e,t){return r(e)?r(t)?(t[0]=e[0],t[1]=e[1],t[2]=e[2],t[3]=e[3],t[4]=e[4],t[5]=e[5],t[6]=e[6],t[7]=e[7],t[8]=e[8],t):new l(e[0],e[3],e[6],e[1],e[4],e[7],e[2],e[5],e[8]):void 0},l.fromArray=function(e,n,i){return n=t(n,0),r(i)||(i=new l),i[0]=e[n],i[1]=e[n+1],i[2]=e[n+2],i[3]=e[n+3],i[4]=e[n+4],i[5]=e[n+5],i[6]=e[n+6],i[7]=e[n+7],i[8]=e[n+8],i[9]=e[n+9],i},l.fromColumnMajorArray=function(e,t){return l.clone(e,t)},l.fromRowMajorArray=function(e,t){return r(t)?(t[0]=e[0],t[1]=e[3],t[2]=e[6],t[3]=e[1],t[4]=e[4],t[5]=e[7],t[6]=e[2],t[7]=e[5],t[8]=e[8],t):new l(e[0],e[1],e[2],e[3],e[4],e[5],e[6],e[7],e[8])},l.fromQuaternion=function(e,t){var n=e.x*e.x,i=e.x*e.y,o=e.x*e.z,a=e.x*e.w,s=e.y*e.y,u=e.y*e.z,c=e.y*e.w,f=e.z*e.z,h=e.z*e.w,m=e.w*e.w,d=n-s-f+m,p=2*(i-h),y=2*(o+c),v=2*(i+h),w=-n+s-f+m,g=2*(u-a),E=2*(o-c),S=2*(u+a),x=-n-s+f+m;return r(t)?(t[0]=d,t[1]=v,t[2]=E,t[3]=p,t[4]=w,t[5]=S,t[6]=y,t[7]=g,t[8]=x,t):new l(d,p,y,v,w,g,E,S,x)},l.fromScale=function(e,t){return r(t)?(t[0]=e.x,t[1]=0,t[2]=0,t[3]=0,t[4]=e.y,t[5]=0,t[6]=0,t[7]=0,t[8]=e.z,t):new l(e.x,0,0,0,e.y,0,0,0,e.z)},l.fromUniformScale=function(e,t){return r(t)?(t[0]=e,t[1]=0,t[2]=0,t[3]=0,t[4]=e,t[5]=0,t[6]=0,t[7]=0,t[8]=e,t):new l(e,0,0,0,e,0,0,0,e)},l.fromRotationX=function(e,t){var n=Math.cos(e),i=Math.sin(e);return r(t)?(t[0]=1,t[1]=0,t[2]=0,t[3]=0,t[4]=n,t[5]=i,t[6]=0,t[7]=-i,t[8]=n,t):new l(1,0,0,0,n,-i,0,i,n)},l.fromRotationY=function(e,t){var n=Math.cos(e),i=Math.sin(e);return r(t)?(t[0]=n,t[1]=0,t[2]=-i,t[3]=0,t[4]=1,t[5]=0,t[6]=i,t[7]=0,t[8]=n,t):new l(n,0,i,0,1,0,-i,0,n)},l.fromRotationZ=function(e,t){var n=Math.cos(e),i=Math.sin(e);return r(t)?(t[0]=n,t[1]=i,t[2]=0,t[3]=-i,t[4]=n,t[5]=0,t[6]=0,t[7]=0,t[8]=1,t):new l(n,-i,0,i,n,0,0,0,1)},l.toArray=function(e,t){return r(t)?(t[0]=e[0],t[1]=e[1],t[2]=e[2],t[3]=e[3],t[4]=e[4],t[5]=e[5],t[6]=e[6],t[7]=e[7],t[8]=e[8],t):[e[0],e[1],e[2],e[3],e[4],e[5],e[6],e[7],e[8]]},l.getElementIndex=function(e,t){return 3*e+t},l.getColumn=function(t,n,i){var o=3*n,a=t[o],s=t[o+1],u=t[o+2];return r(i)?(i.x=a,i.y=s,i.z=u,i):new e(a,s,u)},l.setColumn=function(e,t,r,n){n=l.clone(e,n);var i=3*t;return n[i]=r.x,n[i+1]=r.y,n[i+2]=r.z,n},l.getRow=function(t,n,i){var o=t[n],a=t[n+3],s=t[n+6];return r(i)?(i.x=o,i.y=a,i.z=s,i):new e(o,a,s)},l.setRow=function(e,t,r,n){return n=l.clone(e,n),n[t]=r.x,n[t+3]=r.y,n[t+6]=r.z,n},l.multiply=function(e,t,n){var i=e[0]*t[0]+e[3]*t[1]+e[6]*t[2],o=e[1]*t[0]+e[4]*t[1]+e[7]*t[2],a=e[2]*t[0]+e[5]*t[1]+e[8]*t[2],s=e[0]*t[3]+e[3]*t[4]+e[6]*t[5],u=e[1]*t[3]+e[4]*t[4]+e[7]*t[5],c=e[2]*t[3]+e[5]*t[4]+e[8]*t[5],f=e[0]*t[6]+e[3]*t[7]+e[6]*t[8],h=e[1]*t[6]+e[4]*t[7]+e[7]*t[8],m=e[2]*t[6]+e[5]*t[7]+e[8]*t[8];return r(n)?(n[0]=i,n[1]=o,n[2]=a,n[3]=s,n[4]=u,n[5]=c,n[6]=f,n[7]=h,n[8]=m,n):new l(i,s,f,o,u,h,a,c,m)},l.multiplyByVector=function(t,n,i){var o=n.x,a=n.y,s=n.z,u=t[0]*o+t[3]*a+t[6]*s,l=t[1]*o+t[4]*a+t[7]*s,c=t[2]*o+t[5]*a+t[8]*s;return r(i)?(i.x=u,i.y=l,i.z=c,i):new e(u,l,c)},l.multiplyByScalar=function(e,t,n){return r(n)?(n[0]=e[0]*t,n[1]=e[1]*t,n[2]=e[2]*t,n[3]=e[3]*t,n[4]=e[4]*t,n[5]=e[5]*t,n[6]=e[6]*t,n[7]=e[7]*t,n[8]=e[8]*t,n):new l(e[0]*t,e[3]*t,e[6]*t,e[1]*t,e[4]*t,e[7]*t,e[2]*t,e[5]*t,e[8]*t)},l.negate=function(e,t){return r(t)?(t[0]=-e[0],t[1]=-e[1],t[2]=-e[2],t[3]=-e[3],t[4]=-e[4],t[5]=-e[5],t[6]=-e[6],t[7]=-e[7],t[8]=-e[8],t):new l(-e[0],-e[3],-e[6],-e[1],-e[4],-e[7],-e[2],-e[5],-e[8])},l.transpose=function(e,t){var n=e[0],i=e[3],o=e[6],a=e[1],s=e[4],u=e[7],c=e[2],f=e[5],h=e[8];return r(t)?(t[0]=n,t[1]=i,t[2]=o,t[3]=a,t[4]=s,t[5]=u,t[6]=c,t[7]=f,t[8]=h,t):new l(n,a,c,i,s,f,o,u,h)};var c=[1,0,0],f=[2,2,1],h=new l,m=new l;return l.getEigenDecomposition=function(e,t){var n=o.EPSILON20,i=10,c=0,f=0;r(t)||(t={});for(var d=t.unitary=l.clone(l.IDENTITY,t.unitary),p=t.diagonal=l.clone(e,t.diagonal),y=n*a(p);i>f&&s(p)>y;)u(p,h),l.transpose(h,m),l.multiply(p,h,p),l.multiply(m,p,p),l.multiply(d,h,d),++c>2&&(++f,c=0);return t},l.abs=function(e,t){return r(t)?(t[0]=Math.abs(e[0]),t[1]=Math.abs(e[1]),t[2]=Math.abs(e[2]),t[3]=Math.abs(e[3]),t[4]=Math.abs(e[4]),t[5]=Math.abs(e[5]),t[6]=Math.abs(e[6]),t[7]=Math.abs(e[7]),t[8]=Math.abs(e[8]),t):new l(Math.abs(e[0]),Math.abs(e[3]),Math.abs(e[6]),Math.abs(e[1]),Math.abs(e[4]),Math.abs(e[7]),Math.abs(e[2]),Math.abs(e[5]),Math.abs(e[8]))},l.determinant=function(e){if(!r(e))throw new n("matrix is required");var t=e[0],i=e[3],o=e[6],a=e[1],s=e[4],u=e[7],l=e[2],c=e[5],f=e[8];return t*(s*f-c*u)+a*(c*o-i*f)+l*(i*u-s*o)},l.inverse=function(e,t){if(!r(e))throw new n("matrix is required");var i=e[0],a=e[1],s=e[2],u=e[3],c=e[4],f=e[5],h=e[6],m=e[7],d=e[8],p=l.determinant(e);if(Math.abs(p)<=o.EPSILON15)throw new n("matrix is not invertible");var y=new l(c*d-m*f,h*f-u*d,u*m-h*c,m*s-a*d,i*d-h*s,h*a-i*m,a*f-c*s,u*s-i*f,i*c-u*a),v=1/p;return l.multiplyByScalar(y,v,t)},l.equals=function(e,t){return e===t||r(e)&&r(t)&&e[0]===t[0]&&e[1]===t[1]&&e[2]===t[2]&&e[3]===t[3]&&e[4]===t[4]&&e[5]===t[5]&&e[6]===t[6]&&e[7]===t[7]&&e[8]===t[8]},l.equalsEpsilon=function(e,t,n){return e===t||r(e)&&r(t)&&Math.abs(e[0]-t[0])<=n&&Math.abs(e[1]-t[1])<=n&&Math.abs(e[2]-t[2])<=n&&Math.abs(e[3]-t[3])<=n&&Math.abs(e[4]-t[4])<=n&&Math.abs(e[5]-t[5])<=n&&Math.abs(e[6]-t[6])<=n&&Math.abs(e[7]-t[7])<=n&&Math.abs(e[8]-t[8])<=n},l.IDENTITY=i(new l(1,0,0,0,1,0,0,0,1)),l.COLUMN0ROW0=0,l.COLUMN0ROW1=1,l.COLUMN0ROW2=2,l.COLUMN1ROW0=3,l.COLUMN1ROW1=4,l.COLUMN1ROW2=5,l.COLUMN2ROW0=6,l.COLUMN2ROW1=7,l.COLUMN2ROW2=8,l.prototype.clone=function(e){return l.clone(this,e)},l.prototype.equals=function(e){return l.equals(this,e)},l.prototype.equalsEpsilon=function(e,t){return l.equalsEpsilon(this,e,t)},l.prototype.toString=function(){return"("+this[0]+", "+this[3]+", "+this[6]+")\n"+"("+this[1]+", "+this[4]+", "+this[7]+")\n"+"("+this[2]+", "+this[5]+", "+this[8]+")"},l}),define("Core/RuntimeError",["./defined"],function(e){"use strict";var t=function(e){this.name="RuntimeError",this.message=e;var t=new Error;this.stack=t.stack};return t.prototype.toString=function(){var t=this.name+": "+this.message;return e(this.stack)&&(t+="\n"+this.stack.toString()),t},t}),define("Core/Matrix4",["./Cartesian3","./Cartesian4","./defaultValue","./defined","./DeveloperError","./freezeObject","./Math","./Matrix3","./RuntimeError"],function(e,t,r,n,i,o,a,s,u){"use strict";var l=function(e,t,n,i,o,a,s,u,l,c,f,h,m,d,p,y){this[0]=r(e,0),this[1]=r(o,0),this[2]=r(l,0),this[3]=r(m,0),this[4]=r(t,0),this[5]=r(a,0),this[6]=r(c,0),this[7]=r(d,0),this[8]=r(n,0),this[9]=r(s,0),this[10]=r(f,0),this[11]=r(p,0),this[12]=r(i,0),this[13]=r(u,0),this[14]=r(h,0),this[15]=r(y,0)};l.clone=function(e,t){return n(e)?n(t)?(t[0]=e[0],t[1]=e[1],t[2]=e[2],t[3]=e[3],t[4]=e[4],t[5]=e[5],t[6]=e[6],t[7]=e[7],t[8]=e[8],t[9]=e[9],t[10]=e[10],t[11]=e[11],t[12]=e[12],t[13]=e[13],t[14]=e[14],t[15]=e[15],t):new l(e[0],e[4],e[8],e[12],e[1],e[5],e[9],e[13],e[2],e[6],e[10],e[14],e[3],e[7],e[11],e[15]):void 0},l.fromArray=function(e,t,i){return t=r(t,0),n(i)||(i=new l),i[0]=e[t],i[1]=e[t+1],i[2]=e[t+2],i[3]=e[t+3],i[4]=e[t+4],i[5]=e[t+5],i[6]=e[t+6],i[7]=e[t+7],i[8]=e[t+8],i[9]=e[t+9],i[10]=e[t+10],i[11]=e[t+11],i[12]=e[t+12],i[13]=e[t+13],i[14]=e[t+14],i[15]=e[t+15],i},l.fromColumnMajorArray=function(e,t){return l.clone(e,t)},l.fromRowMajorArray=function(e,t){return n(t)?(t[0]=e[0],t[1]=e[4],t[2]=e[8],t[3]=e[12],t[4]=e[1],t[5]=e[5],t[6]=e[9],t[7]=e[13],t[8]=e[2],t[9]=e[6],t[10]=e[10],t[11]=e[14],t[12]=e[3],t[13]=e[7],t[14]=e[11],t[15]=e[15],t):new l(e[0],e[1],e[2],e[3],e[4],e[5],e[6],e[7],e[8],e[9],e[10],e[11],e[12],e[13],e[14],e[15])},l.fromRotationTranslation=function(e,t,r){return n(r)?(r[0]=e[0],r[1]=e[1],r[2]=e[2],r[3]=0,r[4]=e[3],r[5]=e[4],r[6]=e[5],r[7]=0,r[8]=e[6],r[9]=e[7],r[10]=e[8],r[11]=0,r[12]=t.x,r[13]=t.y,r[14]=t.z,r[15]=1,r):new l(e[0],e[3],e[6],t.x,e[1],e[4],e[7],t.y,e[2],e[5],e[8],t.z,0,0,0,1)
},new s,l.fromTranslationQuaternionRotationScale=function(e,t,r,i){n(i)||(i=new l);var o=r.x,a=r.y,s=r.z,u=t.x*t.x,c=t.x*t.y,f=t.x*t.z,h=t.x*t.w,m=t.y*t.y,d=t.y*t.z,p=t.y*t.w,y=t.z*t.z,v=t.z*t.w,w=t.w*t.w,g=u-m-y+w,E=2*(c-v),S=2*(f+p),x=2*(c+v),C=-u+m-y+w,b=2*(d-h),T=2*(f-p),O=2*(d+h),A=-u-m+y+w;return i[0]=g*o,i[1]=x*o,i[2]=T*o,i[3]=0,i[4]=E*a,i[5]=C*a,i[6]=O*a,i[7]=0,i[8]=S*s,i[9]=b*s,i[10]=A*s,i[11]=0,i[12]=e.x,i[13]=e.y,i[14]=e.z,i[15]=1,i},l.fromTranslation=function(e,t){return l.fromRotationTranslation(s.IDENTITY,e,t)},l.fromScale=function(e,t){return n(t)?(t[0]=e.x,t[1]=0,t[2]=0,t[3]=0,t[4]=0,t[5]=e.y,t[6]=0,t[7]=0,t[8]=0,t[9]=0,t[10]=e.z,t[11]=0,t[12]=0,t[13]=0,t[14]=0,t[15]=1,t):new l(e.x,0,0,0,0,e.y,0,0,0,0,e.z,0,0,0,0,1)},l.fromUniformScale=function(e,t){return n(t)?(t[0]=e,t[1]=0,t[2]=0,t[3]=0,t[4]=0,t[5]=e,t[6]=0,t[7]=0,t[8]=0,t[9]=0,t[10]=e,t[11]=0,t[12]=0,t[13]=0,t[14]=0,t[15]=1,t):new l(e,0,0,0,0,e,0,0,0,0,e,0,0,0,0,1)};var c=new e,f=new e,h=new e;l.fromCamera=function(t,r){var i=t.eye,o=t.target,a=t.up;e.normalize(e.subtract(o,i,c),c),e.normalize(e.cross(c,a,f),f),e.normalize(e.cross(f,c,h),h);var s=f.x,u=f.y,m=f.z,d=c.x,p=c.y,y=c.z,v=h.x,w=h.y,g=h.z,E=i.x,S=i.y,x=i.z,C=s*-E+u*-S+m*-x,b=v*-E+w*-S+g*-x,T=d*E+p*S+y*x;return n(r)?(r[0]=s,r[1]=v,r[2]=-d,r[3]=0,r[4]=u,r[5]=w,r[6]=-p,r[7]=0,r[8]=m,r[9]=g,r[10]=-y,r[11]=0,r[12]=C,r[13]=b,r[14]=T,r[15]=1,r):new l(s,u,m,C,v,w,g,b,-d,-p,-y,T,0,0,0,1)},l.computePerspectiveFieldOfView=function(e,t,r,i,o){var a=Math.tan(.5*e),s=1/a,u=s/t,c=(i+r)/(r-i),f=2*i*r/(r-i);return n(o)?(o[0]=u,o[1]=0,o[2]=0,o[3]=0,o[4]=0,o[5]=s,o[6]=0,o[7]=0,o[8]=0,o[9]=0,o[10]=c,o[11]=-1,o[12]=0,o[13]=0,o[14]=f,o[15]=0,o):new l(u,0,0,0,0,s,0,0,0,0,c,f,0,0,-1,0)},l.computeOrthographicOffCenter=function(e,t,r,i,o,a,s){var u=1/(t-e),c=1/(i-r),f=1/(a-o),h=-(t+e)*u,m=-(i+r)*c,d=-(a+o)*f;return u*=2,c*=2,f*=-2,n(s)?(s[0]=u,s[1]=0,s[2]=0,s[3]=0,s[4]=0,s[5]=c,s[6]=0,s[7]=0,s[8]=0,s[9]=0,s[10]=f,s[11]=0,s[12]=h,s[13]=m,s[14]=d,s[15]=1,s):new l(u,0,0,h,0,c,0,m,0,0,f,d,0,0,0,1)},l.computePerspectiveOffCenter=function(e,t,r,i,o,a,s){var u=2*o/(t-e),c=2*o/(i-r),f=(t+e)/(t-e),h=(i+r)/(i-r),m=-(a+o)/(a-o),d=-1,p=-2*a*o/(a-o);return n(s)?(s[0]=u,s[1]=0,s[2]=0,s[3]=0,s[4]=0,s[5]=c,s[6]=0,s[7]=0,s[8]=f,s[9]=h,s[10]=m,s[11]=d,s[12]=0,s[13]=0,s[14]=p,s[15]=0,s):new l(u,0,f,0,0,c,h,0,0,0,m,p,0,0,d,0)},l.computeInfinitePerspectiveOffCenter=function(e,t,r,i,o,a){var s=2*o/(t-e),u=2*o/(i-r),c=(t+e)/(t-e),f=(i+r)/(i-r),h=-1,m=-1,d=-2*o;return n(a)?(a[0]=s,a[1]=0,a[2]=0,a[3]=0,a[4]=0,a[5]=u,a[6]=0,a[7]=0,a[8]=c,a[9]=f,a[10]=h,a[11]=m,a[12]=0,a[13]=0,a[14]=d,a[15]=0,a):new l(s,0,c,0,0,u,f,0,0,0,h,d,0,0,m,0)},l.computeViewportTransformation=function(e,t,i,o){e=r(e,r.EMPTY_OBJECT);var a=r(e.x,0),s=r(e.y,0),u=r(e.width,0),c=r(e.height,0);t=r(t,0),i=r(i,1);var f=.5*u,h=.5*c,m=.5*(i-t),d=f,p=h,y=m,v=a+f,w=s+h,g=t+m,E=1;return n(o)?(o[0]=d,o[1]=0,o[2]=0,o[3]=0,o[4]=0,o[5]=p,o[6]=0,o[7]=0,o[8]=0,o[9]=0,o[10]=y,o[11]=0,o[12]=v,o[13]=w,o[14]=g,o[15]=E,o):new l(d,0,0,v,0,p,0,w,0,0,y,g,0,0,0,E)},l.toArray=function(e,t){return n(t)?(t[0]=e[0],t[1]=e[1],t[2]=e[2],t[3]=e[3],t[4]=e[4],t[5]=e[5],t[6]=e[6],t[7]=e[7],t[8]=e[8],t[9]=e[9],t[10]=e[10],t[11]=e[11],t[12]=e[12],t[13]=e[13],t[14]=e[14],t[15]=e[15],t):[e[0],e[1],e[2],e[3],e[4],e[5],e[6],e[7],e[8],e[9],e[10],e[11],e[12],e[13],e[14],e[15]]},l.getElementIndex=function(e,t){return 4*e+t},l.getColumn=function(e,r,i){var o=4*r,a=e[o],s=e[o+1],u=e[o+2],l=e[o+3];return n(i)?(i.x=a,i.y=s,i.z=u,i.w=l,i):new t(a,s,u,l)},l.setColumn=function(e,t,r,n){n=l.clone(e,n);var i=4*t;return n[i]=r.x,n[i+1]=r.y,n[i+2]=r.z,n[i+3]=r.w,n},l.getRow=function(e,r,i){var o=e[r],a=e[r+4],s=e[r+8],u=e[r+12];return n(i)?(i.x=o,i.y=a,i.z=s,i.w=u,i):new t(o,a,s,u)},l.setRow=function(e,t,r,n){return n=l.clone(e,n),n[t]=r.x,n[t+4]=r.y,n[t+8]=r.z,n[t+12]=r.w,n},l.multiply=function(e,t,r){var i=e[0],o=e[1],a=e[2],s=e[3],u=e[4],c=e[5],f=e[6],h=e[7],m=e[8],d=e[9],p=e[10],y=e[11],v=e[12],w=e[13],g=e[14],E=e[15],S=t[0],x=t[1],C=t[2],b=t[3],T=t[4],O=t[5],A=t[6],I=t[7],M=t[8],N=t[9],D=t[10],_=t[11],P=t[12],R=t[13],z=t[14],L=t[15],q=i*S+u*x+m*C+v*b,F=o*S+c*x+d*C+w*b,U=a*S+f*x+p*C+g*b,B=s*S+h*x+y*C+E*b,G=i*T+u*O+m*A+v*I,W=o*T+c*O+d*A+w*I,Y=a*T+f*O+p*A+g*I,j=s*T+h*O+y*A+E*I,V=i*M+u*N+m*D+v*_,H=o*M+c*N+d*D+w*_,k=a*M+f*N+p*D+g*_,K=s*M+h*N+y*D+E*_,Z=i*P+u*R+m*z+v*L,J=o*P+c*R+d*z+w*L,X=a*P+f*R+p*z+g*L,Q=s*P+h*R+y*z+E*L;return n(r)?(r[0]=q,r[1]=F,r[2]=U,r[3]=B,r[4]=G,r[5]=W,r[6]=Y,r[7]=j,r[8]=V,r[9]=H,r[10]=k,r[11]=K,r[12]=Z,r[13]=J,r[14]=X,r[15]=Q,r):new l(q,G,V,Z,F,W,H,J,U,Y,k,X,B,j,K,Q)},l.multiplyTransformation=function(e,t,r){var i=e[0],o=e[1],a=e[2],s=e[4],u=e[5],c=e[6],f=e[8],h=e[9],m=e[10],d=e[12],p=e[13],y=e[14],v=t[0],w=t[1],g=t[2],E=t[4],S=t[5],x=t[6],C=t[8],b=t[9],T=t[10],O=t[12],A=t[13],I=t[14],M=i*v+s*w+f*g,N=o*v+u*w+h*g,D=a*v+c*w+m*g,_=i*E+s*S+f*x,P=o*E+u*S+h*x,R=a*E+c*S+m*x,z=i*C+s*b+f*T,L=o*C+u*b+h*T,q=a*C+c*b+m*T,F=i*O+s*A+f*I+d,U=o*O+u*A+h*I+p,B=a*O+c*A+m*I+y;return n(r)?(r[0]=M,r[1]=N,r[2]=D,r[3]=0,r[4]=_,r[5]=P,r[6]=R,r[7]=0,r[8]=z,r[9]=L,r[10]=q,r[11]=0,r[12]=F,r[13]=U,r[14]=B,r[15]=1,r):new l(M,_,z,F,N,P,L,U,D,R,q,B,0,0,0,1)},l.multiplyByTranslation=function(e,t,r){var i=t.x,o=t.y,a=t.z,s=i*e[0]+o*e[4]+a*e[8]+e[12],u=i*e[1]+o*e[5]+a*e[9]+e[13],c=i*e[2]+o*e[6]+a*e[10]+e[14];return n(r)?(r[0]=e[0],r[1]=e[1],r[2]=e[2],r[3]=e[3],r[4]=e[4],r[5]=e[5],r[6]=e[6],r[7]=e[7],r[8]=e[8],r[9]=e[9],r[10]=e[10],r[11]=e[11],r[12]=s,r[13]=u,r[14]=c,r[15]=e[15],r):new l(e[0],e[4],e[8],s,e[1],e[5],e[9],u,e[2],e[6],e[10],c,e[3],e[7],e[11],e[15])};var m=new e;return l.multiplyByUniformScale=function(e,t,r){return m.x=t,m.y=t,m.z=t,l.multiplyByScale(e,m,r)},l.multiplyByScale=function(e,t,r){var i=t.x,o=t.y,a=t.z;return 1===i&&1===o&&1===a?l.clone(e,r):n(r)?(r[0]=i*e[0],r[1]=i*e[1],r[2]=i*e[2],r[3]=0,r[4]=o*e[4],r[5]=o*e[5],r[6]=o*e[6],r[7]=0,r[8]=a*e[8],r[9]=a*e[9],r[10]=a*e[10],r[11]=0,r[12]=e[12],r[13]=e[13],r[14]=e[14],r[15]=1,r):new l(i*e[0],o*e[4],a*e[8],e[12],i*e[1],o*e[5],a*e[9],e[13],i*e[2],o*e[6],a*e[10],e[14],0,0,0,1)},l.multiplyByVector=function(e,r,i){var o=r.x,a=r.y,s=r.z,u=r.w,l=e[0]*o+e[4]*a+e[8]*s+e[12]*u,c=e[1]*o+e[5]*a+e[9]*s+e[13]*u,f=e[2]*o+e[6]*a+e[10]*s+e[14]*u,h=e[3]*o+e[7]*a+e[11]*s+e[15]*u;return n(i)?(i.x=l,i.y=c,i.z=f,i.w=h,i):new t(l,c,f,h)},l.multiplyByPointAsVector=function(t,r,i){var o=r.x,a=r.y,s=r.z,u=t[0]*o+t[4]*a+t[8]*s,l=t[1]*o+t[5]*a+t[9]*s,c=t[2]*o+t[6]*a+t[10]*s;return n(i)?(i.x=u,i.y=l,i.z=c,i):new e(u,l,c)},l.multiplyByPoint=function(t,r,i){var o=r.x,a=r.y,s=r.z,u=t[0]*o+t[4]*a+t[8]*s+t[12],l=t[1]*o+t[5]*a+t[9]*s+t[13],c=t[2]*o+t[6]*a+t[10]*s+t[14];return n(i)?(i.x=u,i.y=l,i.z=c,i):new e(u,l,c)},l.multiplyByScalar=function(e,t,r){return n(r)?(r[0]=e[0]*t,r[1]=e[1]*t,r[2]=e[2]*t,r[3]=e[3]*t,r[4]=e[4]*t,r[5]=e[5]*t,r[6]=e[6]*t,r[7]=e[7]*t,r[8]=e[8]*t,r[9]=e[9]*t,r[10]=e[10]*t,r[11]=e[11]*t,r[12]=e[12]*t,r[13]=e[13]*t,r[14]=e[14]*t,r[15]=e[15]*t,r):new l(e[0]*t,e[4]*t,e[8]*t,e[12]*t,e[1]*t,e[5]*t,e[9]*t,e[13]*t,e[2]*t,e[6]*t,e[10]*t,e[14]*t,e[3]*t,e[7]*t,e[11]*t,e[15]*t)},l.negate=function(e,t){return n(t)?(t[0]=-e[0],t[1]=-e[1],t[2]=-e[2],t[3]=-e[3],t[4]=-e[4],t[5]=-e[5],t[6]=-e[6],t[7]=-e[7],t[8]=-e[8],t[9]=-e[9],t[10]=-e[10],t[11]=-e[11],t[12]=-e[12],t[13]=-e[13],t[14]=-e[14],t[15]=-e[15],t):new l(-e[0],-e[4],-e[8],-e[12],-e[1],-e[5],-e[9],-e[13],-e[2],-e[6],-e[10],-e[14],-e[3],-e[7],-e[11],-e[15])},l.transpose=function(e,t){if(!n(t))return new l(e[0],e[1],e[2],e[3],e[4],e[5],e[6],e[7],e[8],e[9],e[10],e[11],e[12],e[13],e[14],e[15]);var r=e[1],i=e[2],o=e[3],a=e[6],s=e[7],u=e[11];return t[0]=e[0],t[1]=e[4],t[2]=e[8],t[3]=e[12],t[4]=r,t[5]=e[5],t[6]=e[9],t[7]=e[13],t[8]=i,t[9]=a,t[10]=e[10],t[11]=e[14],t[12]=o,t[13]=s,t[14]=u,t[15]=e[15],t},l.abs=function(e,t){return n(t)?(t[0]=Math.abs(e[0]),t[1]=Math.abs(e[1]),t[2]=Math.abs(e[2]),t[3]=Math.abs(e[3]),t[4]=Math.abs(e[4]),t[5]=Math.abs(e[5]),t[6]=Math.abs(e[6]),t[7]=Math.abs(e[7]),t[8]=Math.abs(e[8]),t[9]=Math.abs(e[9]),t[10]=Math.abs(e[10]),t[11]=Math.abs(e[11]),t[12]=Math.abs(e[12]),t[13]=Math.abs(e[13]),t[14]=Math.abs(e[14]),t[15]=Math.abs(e[15]),t):new l(Math.abs(e[0]),Math.abs(e[4]),Math.abs(e[8]),Math.abs(e[12]),Math.abs(e[1]),Math.abs(e[5]),Math.abs(e[9]),Math.abs(e[13]),Math.abs(e[2]),Math.abs(e[6]),Math.abs(e[10]),Math.abs(e[14]),Math.abs(e[3]),Math.abs(e[7]),Math.abs(e[11]),Math.abs(e[15]))},l.equals=function(e,t){return e===t||n(e)&&n(t)&&e[0]===t[0]&&e[1]===t[1]&&e[2]===t[2]&&e[3]===t[3]&&e[4]===t[4]&&e[5]===t[5]&&e[6]===t[6]&&e[7]===t[7]&&e[8]===t[8]&&e[9]===t[9]&&e[10]===t[10]&&e[11]===t[11]&&e[12]===t[12]&&e[13]===t[13]&&e[14]===t[14]&&e[15]===t[15]},l.equalsEpsilon=function(e,t,r){return e===t||n(e)&&n(t)&&Math.abs(e[0]-t[0])<=r&&Math.abs(e[1]-t[1])<=r&&Math.abs(e[2]-t[2])<=r&&Math.abs(e[3]-t[3])<=r&&Math.abs(e[4]-t[4])<=r&&Math.abs(e[5]-t[5])<=r&&Math.abs(e[6]-t[6])<=r&&Math.abs(e[7]-t[7])<=r&&Math.abs(e[8]-t[8])<=r&&Math.abs(e[9]-t[9])<=r&&Math.abs(e[10]-t[10])<=r&&Math.abs(e[11]-t[11])<=r&&Math.abs(e[12]-t[12])<=r&&Math.abs(e[13]-t[13])<=r&&Math.abs(e[14]-t[14])<=r&&Math.abs(e[15]-t[15])<=r},l.getTranslation=function(t,r){return n(r)?(r.x=t[12],r.y=t[13],r.z=t[14],r):new e(t[12],t[13],t[14])},l.getRotation=function(e,t){return n(t)?(t[0]=e[0],t[1]=e[1],t[2]=e[2],t[3]=e[4],t[4]=e[5],t[5]=e[6],t[6]=e[8],t[7]=e[9],t[8]=e[10],t):new s(e[0],e[4],e[8],e[1],e[5],e[9],e[2],e[6],e[10])},l.inverse=function(e,t){var r=e[0],i=e[4],o=e[8],s=e[12],c=e[1],f=e[5],h=e[9],m=e[13],d=e[2],p=e[6],y=e[10],v=e[14],w=e[3],g=e[7],E=e[11],S=e[15],x=y*S,C=v*E,b=p*S,T=v*g,O=p*E,A=y*g,I=d*S,M=v*w,N=d*E,D=y*w,_=d*g,P=p*w,R=x*f+T*h+O*m-(C*f+b*h+A*m),z=C*c+I*h+D*m-(x*c+M*h+N*m),L=b*c+M*f+_*m-(T*c+I*f+P*m),q=A*c+N*f+P*h-(O*c+D*f+_*h),F=C*i+b*o+A*s-(x*i+T*o+O*s),U=x*r+M*o+N*s-(C*r+I*o+D*s),B=T*r+I*i+P*s-(b*r+M*i+_*s),G=O*r+D*i+_*o-(A*r+N*i+P*o);x=o*m,C=s*h,b=i*m,T=s*f,O=i*h,A=o*f,I=r*m,M=s*c,N=r*h,D=o*c,_=r*f,P=i*c;var W=x*g+T*E+O*S-(C*g+b*E+A*S),Y=C*w+I*E+D*S-(x*w+M*E+N*S),j=b*w+M*g+_*S-(T*w+I*g+P*S),V=A*w+N*g+P*E-(O*w+D*g+_*E),H=b*y+A*v+C*p-(O*v+x*p+T*y),k=N*v+x*d+M*y-(I*y+D*v+C*d),K=I*p+P*v+T*d-(_*v+b*d+M*p),Z=_*y+O*d+D*p-(N*p+P*y+A*d),J=r*R+i*z+o*L+s*q;if(Math.abs(J)<a.EPSILON20)throw new u("matrix is not invertible because its determinate is zero.");return J=1/J,n(t)?(t[0]=R*J,t[1]=z*J,t[2]=L*J,t[3]=q*J,t[4]=F*J,t[5]=U*J,t[6]=B*J,t[7]=G*J,t[8]=W*J,t[9]=Y*J,t[10]=j*J,t[11]=V*J,t[12]=H*J,t[13]=k*J,t[14]=K*J,t[15]=Z*J,t):new l(R*J,F*J,W*J,H*J,z*J,U*J,Y*J,k*J,L*J,B*J,j*J,K*J,q*J,G*J,V*J,Z*J)},l.inverseTransformation=function(e,t){var r=e[0],i=e[1],o=e[2],a=e[4],s=e[5],u=e[6],c=e[8],f=e[9],h=e[10],m=e[12],d=e[13],p=e[14],y=-r*m-i*d-o*p,v=-a*m-s*d-u*p,w=-c*m-f*d-h*p;return n(t)?(t[0]=r,t[1]=a,t[2]=c,t[3]=0,t[4]=i,t[5]=s,t[6]=f,t[7]=0,t[8]=o,t[9]=u,t[10]=h,t[11]=0,t[12]=y,t[13]=v,t[14]=w,t[15]=1,t):new l(r,i,o,y,a,s,u,v,c,f,h,w,0,0,0,1)},l.IDENTITY=o(new l(1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1)),l.COLUMN0ROW0=0,l.COLUMN0ROW1=1,l.COLUMN0ROW2=2,l.COLUMN0ROW3=3,l.COLUMN1ROW0=4,l.COLUMN1ROW1=5,l.COLUMN1ROW2=6,l.COLUMN1ROW3=7,l.COLUMN2ROW0=8,l.COLUMN2ROW1=9,l.COLUMN2ROW2=10,l.COLUMN2ROW3=11,l.COLUMN3ROW0=12,l.COLUMN3ROW1=13,l.COLUMN3ROW2=14,l.COLUMN3ROW3=15,l.prototype.clone=function(e){return l.clone(this,e)},l.prototype.equals=function(e){return l.equals(this,e)},l.prototype.equalsEpsilon=function(e,t){return l.equalsEpsilon(this,e,t)},l.prototype.toString=function(){return"("+this[0]+", "+this[4]+", "+this[8]+", "+this[12]+")\n"+"("+this[1]+", "+this[5]+", "+this[9]+", "+this[13]+")\n"+"("+this[2]+", "+this[6]+", "+this[10]+", "+this[14]+")\n"+"("+this[3]+", "+this[7]+", "+this[11]+", "+this[15]+")"},l}),define("Core/BoundingSphere",["./defaultValue","./defined","./DeveloperError","./Cartesian3","./Cartesian4","./Cartographic","./Ellipsoid","./GeographicProjection","./Intersect","./Interval","./Matrix4"],function(e,t,r,n,i,o,a,s,u,l,c){"use strict";var f=function(t,r){this.center=n.clone(e(t,n.ZERO)),this.radius=e(r,0)},h=new n,m=new n,d=new n,p=new n,y=new n,v=new n,w=new n,g=new n,E=new n,S=new n,x=new n,C=new n;f.fromPoints=function(e,r){if(t(r)||(r=new f),!t(e)||0===e.length)return r.center=n.clone(n.ZERO,r.center),r.radius=0,r;for(var i=n.clone(e[0],w),o=n.clone(i,h),a=n.clone(i,m),s=n.clone(i,d),u=n.clone(i,p),l=n.clone(i,y),c=n.clone(i,v),b=e.length,T=1;b>T;T++){n.clone(e[T],i);var O=i.x,A=i.y,I=i.z;O<o.x&&n.clone(i,o),O>u.x&&n.clone(i,u),A<a.y&&n.clone(i,a),A>l.y&&n.clone(i,l),I<s.z&&n.clone(i,s),I>c.z&&n.clone(i,c)}var M=n.magnitudeSquared(n.subtract(u,o,g)),N=n.magnitudeSquared(n.subtract(l,a,g)),D=n.magnitudeSquared(n.subtract(c,s,g)),_=o,P=u,R=M;N>R&&(R=N,_=a,P=l),D>R&&(R=D,_=s,P=c);var z=E;z.x=.5*(_.x+P.x),z.y=.5*(_.y+P.y),z.z=.5*(_.z+P.z);var L=n.magnitudeSquared(n.subtract(P,z,g)),q=Math.sqrt(L),F=S;F.x=o.x,F.y=a.y,F.z=s.z;var U=x;U.x=u.x,U.y=l.y,U.z=c.z;var B=n.multiplyByScalar(n.add(F,U,g),.5,C),G=0;for(T=0;b>T;T++){n.clone(e[T],i);var W=n.magnitude(n.subtract(i,B,g));W>G&&(G=W);var Y=n.magnitudeSquared(n.subtract(i,z,g));if(Y>L){var j=Math.sqrt(Y);q=.5*(q+j),L=q*q;var V=j-q;z.x=(q*z.x+V*i.x)/j,z.y=(q*z.y+V*i.y)/j,z.z=(q*z.z+V*i.z)/j}}return G>q?(n.clone(z,r.center),r.radius=q):(n.clone(B,r.center),r.radius=G),r};var b=new s,T=new n,O=new n,A=new o,I=new o;f.fromExtent2D=function(e,t,r){return f.fromExtentWithHeights2D(e,t,0,0,r)},f.fromExtentWithHeights2D=function(r,i,o,a,s){if(t(s)||(s=new f),!t(r))return s.center=n.clone(n.ZERO,s.center),s.radius=0,s;i=e(i,b),r.getSouthwest(A),A.height=o,r.getNortheast(I),I.height=a;var u=i.project(A,T),l=i.project(I,O),c=l.x-u.x,h=l.y-u.y,m=l.z-u.z;s.radius=.5*Math.sqrt(c*c+h*h+m*m);var d=s.center;return d.x=u.x+.5*c,d.y=u.y+.5*h,d.z=u.z+.5*m,s};var M=[];f.fromExtent3D=function(r,n,i,o){n=e(n,a.WGS84),i=e(i,0);var s;return t(r)&&(s=r.subsample(n,i,M)),f.fromPoints(s,o)},f.fromVertices=function(r,i,o,a){if(t(a)||(a=new f),!t(r)||0===r.length)return a.center=n.clone(n.ZERO,a.center),a.radius=0,a;i=e(i,n.ZERO),o=e(o,3);var s=w;s.x=r[0]+i.x,s.y=r[1]+i.y,s.z=r[2]+i.z;for(var u=n.clone(s,h),l=n.clone(s,m),c=n.clone(s,d),b=n.clone(s,p),T=n.clone(s,y),O=n.clone(s,v),A=r.length,I=0;A>I;I+=o){var M=r[I]+i.x,N=r[I+1]+i.y,D=r[I+2]+i.z;s.x=M,s.y=N,s.z=D,M<u.x&&n.clone(s,u),M>b.x&&n.clone(s,b),N<l.y&&n.clone(s,l),N>T.y&&n.clone(s,T),D<c.z&&n.clone(s,c),D>O.z&&n.clone(s,O)}var _=n.magnitudeSquared(n.subtract(b,u,g)),P=n.magnitudeSquared(n.subtract(T,l,g)),R=n.magnitudeSquared(n.subtract(O,c,g)),z=u,L=b,q=_;P>q&&(q=P,z=l,L=T),R>q&&(q=R,z=c,L=O);var F=E;F.x=.5*(z.x+L.x),F.y=.5*(z.y+L.y),F.z=.5*(z.z+L.z);var U=n.magnitudeSquared(n.subtract(L,F,g)),B=Math.sqrt(U),G=S;G.x=u.x,G.y=l.y,G.z=c.z;var W=x;W.x=b.x,W.y=T.y,W.z=O.z;var Y=n.multiplyByScalar(n.add(G,W,g),.5,C),j=0;for(I=0;A>I;I+=o){s.x=r[I]+i.x,s.y=r[I+1]+i.y,s.z=r[I+2]+i.z;var V=n.magnitude(n.subtract(s,Y,g));V>j&&(j=V);var H=n.magnitudeSquared(n.subtract(s,F,g));if(H>U){var k=Math.sqrt(H);B=.5*(B+k),U=B*B;var K=k-B;F.x=(B*F.x+K*s.x)/k,F.y=(B*F.y+K*s.y)/k,F.z=(B*F.z+K*s.z)/k}}return j>B?(n.clone(F,a.center),a.radius=B):(n.clone(Y,a.center),a.radius=j),a},f.fromCornerPoints=function(e,r,i){t(i)||(i=new f);var o=i.center;return n.add(e,r,o),n.multiplyByScalar(o,.5,o),i.radius=n.distance(o,r),i},f.fromEllipsoid=function(e,r){return t(r)||(r=new f),n.clone(n.ZERO,r.center),r.radius=e.getMaximumRadius(),r},f.clone=function(e,r){return t(e)?t(r)?(r.center=n.clone(e.center,r.center),r.radius=e.radius,r):new f(e.center,e.radius):void 0};var N=new n,D=new n;f.union=function(e,r,i){t(i)||(i=new f);var o=e.center,a=r.center;n.add(o,a,D);var s=n.multiplyByScalar(D,.5,D),u=n.magnitude(n.subtract(o,s,N))+e.radius,l=n.magnitude(n.subtract(a,s,N))+r.radius;return i.radius=Math.max(u,l),n.clone(s,i.center),i};var _=new n;f.expand=function(e,t,r){r=f.clone(e,r);var i=n.magnitude(n.subtract(t,r.center,_));return i>r.radius&&(r.radius=i),r},f.intersect=function(e,t){var r=e.center,i=e.radius,o=n.dot(t,r)+t.w;return-i>o?u.OUTSIDE:i>o?u.INTERSECTING:u.INSIDE};var P=new n;f.transform=function(e,r,i){return t(i)||(i=new f),i.center=c.multiplyByPoint(r,e.center,i.center),i.radius=Math.max(n.magnitude(c.getColumn(r,0,P)),n.magnitude(c.getColumn(r,1,P)),n.magnitude(c.getColumn(r,2,P)))*e.radius,i},f.transformWithoutScale=function(e,r,n){return t(n)||(n=new f),n.center=c.multiplyByPoint(r,e.center,n.center),n.radius=e.radius,n};var R=new n;f.getPlaneDistances=function(e,r,i,o){t(o)||(o=new l);var a=n.subtract(e.center,r,R),s=n.multiplyByScalar(i,n.dot(i,a),R),u=n.magnitude(s);return o.start=u-e.radius,o.stop=u+e.radius,o};for(var z=new n,L=new n,q=new n,F=new n,U=new n,B=new o,G=new Array(8),W=0;8>W;++W)G[W]=new n;var Y=new s;return f.projectTo2D=function(t,r,i){r=e(r,Y);var o=r.getEllipsoid(),a=t.center,s=t.radius,u=o.geodeticSurfaceNormal(a,z),l=n.cross(n.UNIT_Z,u,L);n.normalize(l,l);var c=n.cross(u,l,q);n.normalize(c,c),n.multiplyByScalar(u,s,u),n.multiplyByScalar(c,s,c),n.multiplyByScalar(l,s,l);var h=n.negate(c,U),m=n.negate(l,F),d=G,p=d[0];n.add(u,c,p),n.add(p,l,p),p=d[1],n.add(u,c,p),n.add(p,m,p),p=d[2],n.add(u,h,p),n.add(p,m,p),p=d[3],n.add(u,h,p),n.add(p,l,p),n.negate(u,u),p=d[4],n.add(u,c,p),n.add(p,l,p),p=d[5],n.add(u,c,p),n.add(p,m,p),p=d[6],n.add(u,h,p),n.add(p,m,p),p=d[7],n.add(u,h,p),n.add(p,l,p);for(var y=d.length,v=0;y>v;++v){var w=d[v];n.add(a,w,w);var g=o.cartesianToCartographic(w,B);r.project(g,w)}i=f.fromPoints(d,i),a=i.center;var E=a.x,S=a.y,x=a.z;return a.x=x,a.y=E,a.z=S,i},f.equals=function(e,r){return e===r||t(e)&&t(r)&&n.equals(e.center,r.center)&&e.radius===r.radius},f.prototype.clone=function(e){return f.clone(this,e)},f.prototype.union=function(e,t){return f.union(this,e,t)},f.prototype.expand=function(e,t){return f.expand(this,e,t)},f.prototype.intersect=function(e){return f.intersect(this,e)},f.prototype.getPlaneDistances=function(e,t,r){return f.getPlaneDistances(this,e,t,r)},f.prototype.projectTo2D=function(e,t){return f.projectTo2D(this,e,t)},f.prototype.equals=function(e){return f.equals(this,e)},f}),define("Core/Fullscreen",["./defined"],function(e){"use strict";var t,r={requestFullscreen:void 0,exitFullscreen:void 0,fullscreenEnabled:void 0,fullscreenElement:void 0,fullscreenchange:void 0,fullscreenerror:void 0},n={};return n.supportsFullscreen=function(){if(e(t))return t;t=!1;var n=document.body;if("function"==typeof n.requestFullscreen)return r.requestFullscreen="requestFullscreen",r.exitFullscreen="exitFullscreen",r.fullscreenEnabled="fullscreenEnabled",r.fullscreenElement="fullscreenElement",r.fullscreenchange="fullscreenchange",r.fullscreenerror="fullscreenerror",t=!0;for(var i,o=["webkit","moz","o","ms","khtml"],a=0,s=o.length;s>a;++a){var u=o[a];i=u+"RequestFullscreen","function"==typeof n[i]?(r.requestFullscreen=i,t=!0):(i=u+"RequestFullScreen","function"==typeof n[i]&&(r.requestFullscreen=i,t=!0)),i=u+"ExitFullscreen","function"==typeof document[i]?r.exitFullscreen=i:(i=u+"CancelFullScreen","function"==typeof document[i]&&(r.exitFullscreen=i)),i=u+"FullscreenEnabled",e(document[i])?r.fullscreenEnabled=i:(i=u+"FullScreenEnabled",e(document[i])&&(r.fullscreenEnabled=i)),i=u+"FullscreenElement",e(document[i])?r.fullscreenElement=i:(i=u+"FullScreenElement",e(document[i])&&(r.fullscreenElement=i)),i=u+"fullscreenchange",e(document["on"+i])&&("ms"===u&&(i="MSFullscreenChange"),r.fullscreenchange=i),i=u+"fullscreenerror",e(document["on"+i])&&("ms"===u&&(i="MSFullscreenError"),r.fullscreenerror=i)}return t},n.requestFullscreen=function(e){n.supportsFullscreen()&&e[r.requestFullscreen]()},n.exitFullscreen=function(){n.supportsFullscreen()&&document[r.exitFullscreen]()},n.isFullscreenEnabled=function(){return n.supportsFullscreen()?document[r.fullscreenEnabled]:void 0},n.getFullscreenElement=function(){return n.supportsFullscreen()?document[r.fullscreenElement]:void 0},n.isFullscreen=function(){return n.supportsFullscreen()?null!==n.getFullscreenElement():void 0},n.getFullscreenChangeEventName=function(){return n.supportsFullscreen()?r.fullscreenchange:void 0},n.getFullscreenErrorEventName=function(){return n.supportsFullscreen()?r.fullscreenerror:void 0},n}),define("Core/FeatureDetection",["./defined","./Fullscreen"],function(e,t){"use strict";function r(e){for(var t=e.split("."),r=0,n=t.length;n>r;++r)t[r]=parseInt(t[r],10);return t}function n(){if(!e(f)){var t=/ Chrome\/([\.0-9]+)/.exec(navigator.userAgent);null===t?f=!1:(f=!0,h=r(t[1]))}return f}function i(){return n()&&h}function o(){if(!e(m))if(n()||!/ Safari\/[\.0-9]+/.test(navigator.userAgent))m=!1;else{var t=/ Version\/([\.0-9]+)/.exec(navigator.userAgent);null===t?m=!1:(m=!0,d=r(t[1]))}return m}function a(){return o()&&d}function s(){if(!e(p)){var t=/ AppleWebKit\/([\.0-9]+)(\+?)/.exec(navigator.userAgent);null===t?p=!1:(p=!0,y=r(t[1]),y.isNightly=!!t[2])}return p}function u(){return s()&&y}function l(){if(!e(v)){var t=/ MSIE ([\.0-9]+)/.exec(navigator.userAgent);null===t?v=!1:(v=!0,w=r(t[1]))}return v}function c(){return l()&&w}var f,h,m,d,p,y,v,w,g,E={isChrome:n,chromeVersion:i,isSafari:o,safariVersion:a,isWebkit:s,webkitVersion:u,isInternetExplorer:l,internetExplorerVersion:c};return E.supportsCrossOriginImagery=function(){return e(g)||(g=o()&&u()[0]<536?!1:"withCredentials"in new XMLHttpRequest),g},E.supportsFullscreen=function(){return t.supportsFullscreen()},E.supportsTypedArrays=function(){return"undefined"!=typeof ArrayBuffer},E}),define("Core/ComponentDatatype",["./defaultValue","./defined","./DeveloperError","./FeatureDetection","./Enumeration"],function(e,t,r,n,i){"use strict";if(!n.supportsTypedArrays())return{};var o={BYTE:new i(5120,"BYTE",{sizeInBytes:Int8Array.BYTES_PER_ELEMENT}),UNSIGNED_BYTE:new i(5121,"UNSIGNED_BYTE",{sizeInBytes:Uint8Array.BYTES_PER_ELEMENT}),SHORT:new i(5122,"SHORT",{sizeInBytes:Int16Array.BYTES_PER_ELEMENT}),UNSIGNED_SHORT:new i(5123,"UNSIGNED_SHORT",{sizeInBytes:Uint16Array.BYTES_PER_ELEMENT}),FLOAT:new i(5126,"FLOAT",{sizeInBytes:Float32Array.BYTES_PER_ELEMENT}),DOUBLE:new i(5130,"DOUBLE",{sizeInBytes:Float64Array.BYTES_PER_ELEMENT})};return o.validate=function(e){return t(e)&&t(e.value)&&(e.value===o.BYTE.value||e.value===o.UNSIGNED_BYTE.value||e.value===o.SHORT.value||e.value===o.UNSIGNED_SHORT.value||e.value===o.FLOAT.value||e.value===o.DOUBLE.value)},o.createTypedArray=function(e,n){if(!t(e))throw new r("componentDatatype is required.");if(!t(n))throw new r("valuesOrLength is required.");switch(e.value){case o.BYTE.value:return new Int8Array(n);case o.UNSIGNED_BYTE.value:return new Uint8Array(n);case o.SHORT.value:return new Int16Array(n);case o.UNSIGNED_SHORT.value:return new Uint16Array(n);case o.FLOAT.value:return new Float32Array(n);case o.DOUBLE.value:return new Float64Array(n);default:throw new r("componentDatatype is not a valid enumeration value.")}},o.createArrayBufferView=function(n,i,a,s){if(!t(n))throw new r("componentDatatype is required.");if(!t(i))throw new r("buffer is required.");switch(a=e(a,0),s=e(s,(i.byteLength-a)/n.sizeInBytes),n.value){case o.BYTE.value:return new Int8Array(i,a,s);case o.UNSIGNED_BYTE.value:return new Uint8Array(i,a,s);case o.SHORT.value:return new Int16Array(i,a,s);case o.UNSIGNED_SHORT.value:return new Uint16Array(i,a,s);case o.FLOAT.value:return new Float32Array(i,a,s);case o.DOUBLE.value:return new Float64Array(i,a,s);default:throw new r("componentDatatype is not a valid enumeration value.")}},o}),define("ThirdParty/Uri",[],function(){function e(t){if(t instanceof e)this.scheme=t.scheme,this.authority=t.authority,this.path=t.path,this.query=t.query,this.fragment=t.fragment;else if(t){var r=n.exec(t);this.scheme=r[1],this.authority=r[2],this.path=r[3],this.query=r[4],this.fragment=r[5]}}function t(e){var t=unescape(e);return o.test(t)?t:e.toUpperCase()}function r(e,t,r,n){return(t||"")+r.toLowerCase()+(n||"")}e.prototype.scheme=null,e.prototype.authority=null,e.prototype.path="",e.prototype.query=null,e.prototype.fragment=null;var n=new RegExp("^(?:([^:/?#]+):)?(?://([^/?#]*))?([^?#]*)(?:\\?([^#]*))?(?:#(.*))?$");e.prototype.getScheme=function(){return this.scheme},e.prototype.getAuthority=function(){return this.authority},e.prototype.getPath=function(){return this.path},e.prototype.getQuery=function(){return this.query},e.prototype.getFragment=function(){return this.fragment},e.prototype.isAbsolute=function(){return!!this.scheme&&!this.fragment},e.prototype.isSameDocumentAs=function(e){return e.scheme==this.scheme&&e.authority==this.authority&&e.path==this.path&&e.query==this.query},e.prototype.equals=function(e){return this.isSameDocumentAs(e)&&e.fragment==this.fragment},e.prototype.normalize=function(){this.removeDotSegments(),this.scheme&&(this.scheme=this.scheme.toLowerCase()),this.authority&&(this.authority=this.authority.replace(a,r).replace(i,t)),this.path&&(this.path=this.path.replace(i,t)),this.query&&(this.query=this.query.replace(i,t)),this.fragment&&(this.fragment=this.fragment.replace(i,t))};var i=/%[0-9a-z]{2}/gi,o=/[a-zA-Z0-9\-\._~]/,a=/(.*@)?([^@:]*)(:.*)?/;e.prototype.resolve=function(t){var r=new e;return this.scheme?(r.scheme=this.scheme,r.authority=this.authority,r.path=this.path,r.query=this.query):(r.scheme=t.scheme,this.authority?(r.authority=this.authority,r.path=this.path,r.query=this.query):(r.authority=t.authority,""==this.path?(r.path=t.path,r.query=this.query||t.query):("/"==this.path.charAt(0)?(r.path=this.path,r.removeDotSegments()):(r.path=t.authority&&""==t.path?"/"+this.path:t.path.substring(0,t.path.lastIndexOf("/")+1)+this.path,r.removeDotSegments()),r.query=this.query))),r.fragment=this.fragment,r},e.prototype.removeDotSegments=function(){var e,t=this.path.split("/"),r=[],n=""==t[0];for(n&&t.shift(),""==t[0]?t.shift():null;t.length;)e=t.shift(),".."==e?r.pop():"."!=e&&r.push(e);("."==e||".."==e)&&r.push(""),n&&r.unshift(""),this.path=r.join("/")},e.resolve=function(t,r){var n=s[t]||(s[t]=new e(t)),i=s[r]||(s[r]=new e(r));return n.resolve(i).toString()};var s={};return e.prototype.toString=function(){var e="";return this.scheme&&(e+=this.scheme+":"),this.authority&&(e+="//"+this.authority),e+=this.path,this.query&&(e+="?"+this.query),this.fragment&&(e+="#"+this.fragment),e},e}),define("Core/buildModuleUrl",["require","./defined","./DeveloperError","../ThirdParty/Uri"],function(e,t,r,n){"use strict";function i(){for(var e=document.getElementsByTagName("script"),t=0,r=e.length;r>t;++t){var n=e[t].getAttribute("src"),i=f.exec(n);if(null!==i)return i[1]}return void 0}function o(){if(t(u))return u;var e;if(e="undefined"!=typeof CESIUM_BASE_URL?CESIUM_BASE_URL:i(),!t(e))throw new r("Unable to determine Cesium base URL automatically, try defining a global variable called CESIUM_BASE_URL.");return u=new n(e).resolve(new n(document.location.href))}function a(t){return e.toUrl("../"+t)}function s(e){return new n(e).resolve(o()).toString()}var u,l,c,f=/((?:.*\/)|^)cesium[\w-]*\.js(?:\W|$)/i,h=function(r){t(l)||(l=t(e.toUrl)?a:s),t(c)||(c=document.createElement("a"));var n=l(r);return c.href=n,c.href=c.href,c.href};return h._cesiumScriptRegex=f,h}),define("Core/Iau2006XysSample",[],function(){"use strict";var e=function(e,t,r){this.x=e,this.y=t,this.s=r};return e}),define("Core/binarySearch",["./defined","./DeveloperError"],function(e,t){"use strict";var r=function(r,n,i){if(!e(r))throw new t("array is required.");if(!e(n))throw new t("itemToFind is required.");if(!e(i))throw new t("comparator is required.");for(var o,a,s=0,u=r.length-1;u>=s;)if(o=~~((s+u)/2),a=i(r[o],n),0>a)s=o+1;else{if(!(a>0))return o;u=o-1}return~(u+1)};return r}),define("Core/TimeConstants",[],function(){"use strict";var e={SECONDS_PER_MILLISECOND:.001,SECONDS_PER_MINUTE:60,MINUTES_PER_HOUR:60,HOURS_PER_DAY:24,SECONDS_PER_HOUR:3600,MINUTES_PER_DAY:1440,SECONDS_PER_DAY:86400,DAYS_PER_JULIAN_CENTURY:36525,PICOSECOND:1e-9,MODIFIED_JULIAN_DATE_DIFFERENCE:2400000.5};return e}),define("Core/LeapSecond",["./defined","./DeveloperError"],function(e,t){"use strict";var r=function(r,n){if(!e(r))throw new t("date is required.");if(null===n||isNaN(n))throw new t("offset is required and must be a number.");this.julianDate=r,this.offset=n};return r.setLeapSeconds=function(e){if(!Array.isArray(e))throw new t("leapSeconds is required and must be an array.");r._leapSeconds=e,r._leapSeconds.sort(r.compareLeapSecondDate)},r.getLeapSeconds=function(){return r._leapSeconds},r.prototype.equals=function(e){return this.julianDate.equals(e.julianDate)&&this.offset===e.offset},r.compareLeapSecondDate=function(e,t){return e.julianDate.compareTo(t.julianDate)},r._leapSeconds=[],r}),define("Core/TimeStandard",[],function(){"use strict";var e={UTC:0,TAI:1};return e}),define("Core/isLeapYear",["./DeveloperError"],function(e){"use strict";function t(t){if(null===t||isNaN(t))throw new e("year is required and must be a number.");return 0===t%4&&0!==t%100||0===t%400}return t}),define("ThirdParty/sprintf",[],function(){function e(){var e=/%%|%(\d+\$)?([-+\'#0 ]*)(\*\d+\$|\*|\d+)?(\.(\*\d+\$|\*|\d+))?([scboxXuideEfFgG])/g,t=arguments,r=0,n=t[r++],i=function(e,t,r,n){r||(r=" ");var i=e.length>=t?"":Array(1+t-e.length>>>0).join(r);return n?e+i:i+e},o=function(e,t,r,n,o,a){var s=n-e.length;return s>0&&(e=r||!o?i(e,n,a,r):e.slice(0,t.length)+i("",s,"0",!0)+e.slice(t.length)),e},a=function(e,t,r,n,a,s,u){var l=e>>>0;return r=r&&l&&{2:"0b",8:"0",16:"0x"}[t]||"",e=r+i(l.toString(t),s||0,"0",!1),o(e,r,n,a,u)},s=function(e,t,r,n,i,a){return null!=n&&(e=e.slice(0,n)),o(e,"",t,r,i,a)},u=function(e,n,u,l,c,f,h){var m,d,p,y,v;if("%%"==e)return"%";for(var w=!1,g="",E=!1,S=!1,x=" ",C=u.length,b=0;u&&C>b;b++)switch(u.charAt(b)){case" ":g=" ";break;case"+":g="+";break;case"-":w=!0;break;case"'":x=u.charAt(b+1);break;case"0":E=!0;break;case"#":S=!0}if(l=l?"*"==l?+t[r++]:"*"==l.charAt(0)?+t[l.slice(1,-1)]:+l:0,0>l&&(l=-l,w=!0),!isFinite(l))throw new Error("sprintf: (minimum-)width must be finite");switch(f=f?"*"==f?+t[r++]:"*"==f.charAt(0)?+t[f.slice(1,-1)]:+f:"fFeE".indexOf(h)>-1?6:"d"==h?0:void 0,v=n?t[n.slice(0,-1)]:t[r++],h){case"s":return s(String(v),w,l,f,E,x);case"c":return s(String.fromCharCode(+v),w,l,f,E);case"b":return a(v,2,S,w,l,f,E);case"o":return a(v,8,S,w,l,f,E);case"x":return a(v,16,S,w,l,f,E);case"X":return a(v,16,S,w,l,f,E).toUpperCase();case"u":return a(v,10,S,w,l,f,E);case"i":case"d":return m=+v||0,m=Math.round(m-m%1),d=0>m?"-":g,v=d+i(String(Math.abs(m)),f,"0",!1),o(v,d,w,l,E);case"e":case"E":case"f":case"F":case"g":case"G":return m=+v,d=0>m?"-":g,p=["toExponential","toFixed","toPrecision"]["efg".indexOf(h.toLowerCase())],y=["toString","toUpperCase"]["eEfFgG".indexOf(h)%2],v=d+Math.abs(m)[p](f),o(v,d,w,l,E)[y]();default:return e}};return n.replace(e,u)}return e}),define("Core/JulianDate",["./DeveloperError","./binarySearch","./defined","./TimeConstants","./LeapSecond","./TimeStandard","./isLeapYear","../ThirdParty/sprintf"],function(e,t,r,n,i,o,a,s){"use strict";function u(e){y.julianDate=e;var r=i.getLeapSeconds(),n=t(r,y,i.compareLeapSecondDate);0>n&&(n=~n),n>=r.length&&(n=r.length-1);var o=r[n].offset;if(n>0){var a=e.getSecondsDifference(r[n].julianDate);a>o&&(n--,o=r[n].offset)}e.addSeconds(o,e)}function l(e,r){y.julianDate=e;var n=i.getLeapSeconds(),o=t(n,y,i.compareLeapSecondDate);if(0>o&&(o=~o),0===o)return e.addSeconds(-n[0].offset,r);if(o>=n.length)return e.addSeconds(-n[o-1].offset,r);var a=e.getSecondsDifference(n[o].julianDate);return 0===a?e.addSeconds(-n[o].offset,r):1>=a?void 0:e.addSeconds(-n[--o].offset,r)}function c(e,t,i){var a=0|t/n.SECONDS_PER_DAY;return e+=a,t-=n.SECONDS_PER_DAY*a,0>t&&(e--,t+=n.SECONDS_PER_DAY),r(i)?(i._julianDayNumber=e,i._secondsOfDay=t,i):new A(e,t,o.TAI)}function f(e,t,r,i,o,a,s){var u=0|(t-14)/12,l=e+4800+u,c=(0|1461*l/4)+(0|367*(t-2-12*u)/12)-(0|3*((l+100)/100)/4)+r-32075;i-=12,0>i&&(i+=24);var f=a+(i*n.SECONDS_PER_HOUR+o*n.SECONDS_PER_MINUTE+s*n.SECONDS_PER_MILLISECOND);return f>=43200&&(c-=1),[c,f]}function h(e){return f(e.getUTCFullYear(),e.getUTCMonth()+1,e.getUTCDate(),e.getUTCHours(),e.getUTCMinutes(),e.getUTCSeconds(),e.getUTCMilliseconds())}var m=function(e,t,r,n,i,o,a,s){this.year=e,this.month=t,this.day=r,this.hour=n,this.minute=i,this.second=o,this.millisecond=a,this.isLeapSecond=s
},d=[31,28,31,30,31,30,31,31,30,31,30,31],p=29,y={julianDate:void 0},v=/^(\d{4})$/,w=/^(\d{4})-(\d{2})$/,g=/^(\d{4})-?(\d{3})$/,E=/^(\d{4})-?W(\d{2})-?(\d{1})?$/,S=/^(\d{4})-?(\d{2})-?(\d{2})$/,x=/([Z+\-])?(\d{2})?:?(\d{2})?$/,C=/^(\d{2})(\.\d+)?/.source+x.source,b=/^(\d{2}):?(\d{2})(\.\d+)?/.source+x.source,T=/^(\d{2}):?(\d{2}):?(\d{2})(\.\d+)?/.source+x.source,O="Valid ISO 8601 date string required.",A=function(t,i,a){this._julianDayNumber=void 0,this._secondsOfDay=void 0;var s,l;if(r(t)||r(i)||r(a)){if(r(a)){if(a!==o.UTC&&a!==o.TAI)throw new e("timeStandard is not a known TimeStandard.")}else a=o.UTC;if(null===t||isNaN(t))throw new e("julianDayNumber is required.");if(null===i||isNaN(i))throw new e("julianSecondsOfDay is required.");s=0|t,l=i+(t-s)*n.SECONDS_PER_DAY}else{var f=new Date,m=h(f);s=m[0],l=m[1],a=o.UTC}c(s,l,this),a===o.UTC&&u(this)};A.clone=function(e,t){return r(e)?r(t)?(t._julianDayNumber=e._julianDayNumber,t._secondsOfDay=e._secondsOfDay,t):new A(e._julianDayNumber,e._secondsOfDay,o.TAI):void 0},A.fromDate=function(t,r){if(!(t instanceof Date)||isNaN(t.getTime()))throw new e("date must be a valid JavaScript Date.");var n=h(t);return new A(n[0],n[1],r)},A.fromIso8601=function(t){if("string"!=typeof t)throw new e(O);t=t.replace(",",".");var n,i,s,u=t.split("T"),l=1,c=1,h=0,m=0,y=0,x=0,I=u[0],M=u[1];if(!r(I))throw new e(O);var N;if(u=I.match(S),null!==u){if(N=I.split("-").length-1,N>0&&2!==N)throw new e(O);n=+u[1],l=+u[2],c=+u[3]}else if(u=I.match(w),null!==u)n=+u[1],l=+u[2];else if(u=I.match(v),null!==u)n=+u[1];else{var D;if(u=I.match(g),null!==u){if(n=+u[1],D=+u[2],s=a(n),1>D||s&&D>366||!s&&D>365)throw new e(O)}else{if(u=I.match(E),null===u)throw new e(O);n=+u[1];var _=+u[2],P=+u[3]||0;if(N=I.split("-").length-1,N>0&&(!r(u[3])&&1!==N||r(u[3])&&2!==N))throw new e(O);var R=new Date(Date.UTC(n,0,4));D=7*_+P-R.getUTCDay()-3}i=new Date(Date.UTC(n,0,1)),i.setUTCDate(D),l=i.getUTCMonth()+1,c=i.getUTCDate()}if(s=a(n),1>l||l>12||1>c||(2!==l||!s)&&c>d[l-1]||s&&2===l&&c>p)throw new e(O);var z;if(r(M)){if(u=M.match(T),null!==u){if(N=M.split(":").length-1,N>0&&2!==N&&3!==N)throw new e(O);h=+u[1],m=+u[2],y=+u[3],x=1e3*+(u[4]||0),z=5}else if(u=M.match(b),null!==u){if(N=M.split(":").length-1,N>0&&1!==N)throw new e(O);h=+u[1],m=+u[2],y=60*+(u[3]||0),z=4}else{if(u=M.match(C),null===u)throw new e(O);h=+u[1],m=60*+(u[2]||0),z=3}if(m>=60||y>=61||h>24||24===h&&(m>0||y>0||x>0))throw new e(O);var L=u[z],q=+u[z+1],F=+(u[z+2]||0);switch(L){case"+":h-=q,m-=F;break;case"-":h+=q,m+=F;break;case"Z":break;default:m+=new Date(Date.UTC(n,l-1,c,h,m)).getTimezoneOffset()}}else m+=new Date(Date.UTC(n,l-1,c)).getTimezoneOffset();var U=60===y;for(U&&y--;m>=60;)m-=60,h++;for(;h>=24;)h-=24,c++;for(i=s&&2===l?p:d[l-1];c>i;)c-=i,l++,l>12&&(l-=12,n++),i=s&&2===l?p:d[l-1];for(;0>m;)m+=60,h--;for(;0>h;)h+=24,c--;for(;1>c;)l--,1>l&&(l+=12,n--),i=s&&2===l?p:d[l-1],c+=i;var B=f(n,l,c,h,m,y,x),G=new A(B[0],B[1],o.UTC);return U&&G.addSeconds(1,G),G},A.fromTotalDays=function(t,r){if(null===t||isNaN(t))throw new e("totalDays is required.");return new A(t,0,r)},A.compare=function(e,t){var r=e._julianDayNumber-t._julianDayNumber;return 0!==r?r:e._secondsOfDay-t._secondsOfDay},A.equals=function(e,t){return e===t||r(e)&&r(t)&&e._julianDayNumber===t._julianDayNumber&&e._secondsOfDay===t._secondsOfDay},A.equalsEpsilon=function(t,r,n){if(null===n||isNaN(n))throw new e("epsilon is required and must be a number.");return Math.abs(t.getSecondsDifference(r))<=n},A.prototype.clone=function(e){return A.clone(this,e)},A.prototype.getTotalDays=function(){return this._julianDayNumber+this._secondsOfDay/n.SECONDS_PER_DAY},A.prototype.getJulianDayNumber=function(){return this._julianDayNumber},A.prototype.getJulianTimeFraction=function(){return this._secondsOfDay/n.SECONDS_PER_DAY},A.prototype.getSecondsOfDay=function(){return this._secondsOfDay};var I=new A(0,0,o.TAI);return A.prototype.toGregorianDate=function(){var e=!1,t=l(this,I);r(t)||(this.addSeconds(-1,I),t=l(I,I),e=!0);var i=t._julianDayNumber,o=t._secondsOfDay;o>=43200&&(i+=1);var a=0|i+68569,s=0|4*a/146097;a=0|a-(0|(146097*s+3)/4);var u=0|4e3*(a+1)/1461001;a=0|a-(0|1461*u/4)+31;var c=0|80*a/2447,f=0|a-(0|2447*c/80);a=0|c/11;var h=0|c+2-12*a,d=0|100*(s-49)+u+a,p=0|o/n.SECONDS_PER_HOUR,y=o-p*n.SECONDS_PER_HOUR,v=0|y/n.SECONDS_PER_MINUTE;y-=v*n.SECONDS_PER_MINUTE;var w=0|y,g=(y-w)/n.SECONDS_PER_MILLISECOND;return p+=12,p>23&&(p-=24),e&&(w+=1),new m(d,h,f,p,v,w,g,e)},A.prototype.toDate=function(){var e=this.toGregorianDate(),t=e.second;return e.isLeapSecond&&(t-=1),new Date(Date.UTC(e.year,e.month-1,e.day,e.hour,e.minute,t,e.millisecond))},A.prototype.toIso8601=function(e){var t,n=this.toGregorianDate();return r(e)||0===n.millisecond?r(e)&&0!==e?(t=(.01*n.millisecond).toFixed(e).replace(".","").slice(0,e),s("%04d-%02d-%02dT%02d:%02d:%02d.%sZ",n.year,n.month,n.day,n.hour,n.minute,n.second,t)):s("%04d-%02d-%02dT%02d:%02d:%02dZ",n.year,n.month,n.day,n.hour,n.minute,n.second):(t=(.01*n.millisecond).toString().replace(".",""),s("%04d-%02d-%02dT%02d:%02d:%02d.%sZ",n.year,n.month,n.day,n.hour,n.minute,n.second,t))},A.prototype.getSecondsDifference=function(e){var t=this,r=e,i=(r._julianDayNumber-t._julianDayNumber)*n.SECONDS_PER_DAY;return i+(r._secondsOfDay-t._secondsOfDay)},A.prototype.getMinutesDifference=function(e){return this.getSecondsDifference(e)/n.SECONDS_PER_MINUTE},A.prototype.getDaysDifference=function(e){var t=this,r=e,i=r._julianDayNumber-t._julianDayNumber,o=(r._secondsOfDay-t._secondsOfDay)/n.SECONDS_PER_DAY;return i+o},A.prototype.getTaiMinusUtc=function(){y.julianDate=this;var e=i.getLeapSeconds(),r=t(e,y,i.compareLeapSecondDate);return 0>r&&(r=~r,--r,0>r&&(r=0)),e[r].offset},A.prototype.addSeconds=function(t,r){if(null===t||isNaN(t))throw new e("seconds is required and must be a number.");return c(this._julianDayNumber,this._secondsOfDay+t,r)},A.prototype.addMinutes=function(t){if(null===t||isNaN(t))throw new e("duration is required and must be a number.");var r=this._secondsOfDay+t*n.SECONDS_PER_MINUTE;return new A(this._julianDayNumber,r,o.TAI)},A.prototype.addHours=function(t){if(null===t||isNaN(t))throw new e("duration is required and must be a number.");var r=this._secondsOfDay+t*n.SECONDS_PER_HOUR;return new A(this._julianDayNumber,r,o.TAI)},A.prototype.addDays=function(t){if(null===t||isNaN(t))throw new e("duration is required and must be a number.");var r=this._julianDayNumber+t;return new A(r,this._secondsOfDay,o.TAI)},A.prototype.lessThan=function(e){return A.compare(this,e)<0},A.prototype.lessThanOrEquals=function(e){return A.compare(this,e)<=0},A.prototype.greaterThan=function(e){return A.compare(this,e)>0},A.prototype.greaterThanOrEquals=function(e){return A.compare(this,e)>=0},A.prototype.compareTo=function(e){return A.compare(this,e)},A.prototype.equals=function(e){return A.equals(this,e)},A.prototype.equalsEpsilon=function(e,t){return A.equalsEpsilon(this,e,t)},0===i._leapSeconds.length&&(i._leapSeconds=[new i(new A(2441317,43210,o.TAI),10),new i(new A(2441499,43211,o.TAI),11),new i(new A(2441683,43212,o.TAI),12),new i(new A(2442048,43213,o.TAI),13),new i(new A(2442413,43214,o.TAI),14),new i(new A(2442778,43215,o.TAI),15),new i(new A(2443144,43216,o.TAI),16),new i(new A(2443509,43217,o.TAI),17),new i(new A(2443874,43218,o.TAI),18),new i(new A(2444239,43219,o.TAI),19),new i(new A(2444786,43220,o.TAI),20),new i(new A(2445151,43221,o.TAI),21),new i(new A(2445516,43222,o.TAI),22),new i(new A(2446247,43223,o.TAI),23),new i(new A(2447161,43224,o.TAI),24),new i(new A(2447892,43225,o.TAI),25),new i(new A(2448257,43226,o.TAI),26),new i(new A(2448804,43227,o.TAI),27),new i(new A(2449169,43228,o.TAI),28),new i(new A(2449534,43229,o.TAI),29),new i(new A(2450083,43230,o.TAI),30),new i(new A(2450630,43231,o.TAI),31),new i(new A(2451179,43232,o.TAI),32),new i(new A(2453736,43233,o.TAI),33),new i(new A(2454832,43234,o.TAI),34),new i(new A(2456109,43235,o.TAI),35)]),A}),define("Core/clone",["./defaultValue"],function(e){"use strict";var t=function(r,n){if(null===r||"object"!=typeof r)return r;n=e(n,!1);var i=new r.constructor;for(var o in r)if(r.hasOwnProperty(o)){var a=r[o];n&&(a=t(a,n)),i[o]=a}return i};return t}),define("Core/RequestErrorEvent",["./defined"],function(e){"use strict";var t=function(e,t){this.statusCode=e,this.response=t};return t.prototype.toString=function(){var t="Request has failed.";return e(this.statusCode)&&(t+=" Status Code: "+this.statusCode),t},t}),function(e){"use strict";e("ThirdParty/when",[],function(){function e(e,r,n,i){return t(e).then(r,n,i)}function t(e){var t,r;return e instanceof n?t=e:s(e)?(r=a(),e.then(function(e){r.resolve(e)},function(e){r.reject(e)},function(e){r.progress(e)}),t=r.promise):t=i(e),t}function r(t){return e(t,o)}function n(e){this.then=e}function i(e){var r=new n(function(r){try{return t(r?r(e):e)}catch(n){return o(n)}});return r}function o(e){var r=new n(function(r,n){try{return n?t(n(e)):o(e)}catch(i){return o(i)}});return r}function a(){function e(e,t,r){return h(e,t,r)}function r(e){return d(e)}function i(e){return d(o(e))}function s(e){return m(e)}var u,l,c,f,h,m,d;return l=new n(e),u={then:e,resolve:r,reject:i,progress:s,promise:l,resolver:{resolve:r,reject:i,progress:s}},c=[],f=[],h=function(e,t,r){var n,i;return n=a(),i="function"==typeof r?function(e){try{n.progress(r(e))}catch(t){n.progress(t)}}:function(e){n.progress(e)},c.push(function(r){r.then(e,t).then(n.resolve,n.reject,i)}),f.push(i),n.promise},m=function(e){return p(f,e),e},d=function(e){return e=t(e),h=e.then,d=t,m=v,p(c,e),f=c=S,e},u}function s(e){return e&&"function"==typeof e.then}function u(t,r,n,i,o){return y(2,arguments),e(t,function(t){function s(e){p(e)}function u(e){d(e)}var l,c,f,h,m,d,p,y,w,g;if(w=t.length>>>0,l=Math.max(0,Math.min(r,w)),f=[],c=w-l+1,h=[],m=a(),l)for(y=m.progress,p=function(e){h.push(e),--c||(d=p=v,m.reject(h))},d=function(e){f.push(e),--l||(d=p=v,m.resolve(f))},g=0;w>g;++g)g in t&&e(t[g],u,s,y);else m.resolve(f);return m.then(n,i,o)})}function l(e,t,r,n){function i(e){return t?t(e[0]):e[0]}return u(e,1,i,r,n)}function c(e,t,r,n){return y(1,arguments),h(e,w).then(t,r,n)}function f(){return h(arguments,w)}function h(t,r){return e(t,function(t){var n,i,o,s,u,l;if(o=i=t.length>>>0,n=[],l=a(),o)for(s=function(t,i){e(t,r).then(function(e){n[i]=e,--o||l.resolve(n)},l.reject)},u=0;i>u;u++)u in t?s(t[u],u):--o;else l.resolve(n);return l.promise})}function m(t,r){var n=E.call(arguments,1);return e(t,function(t){var i;return i=t.length,n[0]=function(t,n,o){return e(t,function(t){return e(n,function(e){return r(t,e,o,i)})})},g.apply(t,n)})}function d(t,r,n){var i=arguments.length>2;return e(t,function(e){return e=i?n:e,r.resolve(e),e},function(e){return r.reject(e),o(e)},r.progress)}function p(e,t){for(var r,n=0;r=e[n++];)r(t)}function y(e,t){for(var r,n=t.length;n>e;)if(r=t[--n],null!=r&&"function"!=typeof r)throw new Error("arg "+n+" must be a function")}function v(){}function w(e){return e}var g,E,S;return e.defer=a,e.resolve=t,e.reject=r,e.join=f,e.all=c,e.map=h,e.reduce=m,e.any=l,e.some=u,e.chain=d,e.isPromise=s,n.prototype={always:function(e,t){return this.then(e,e,t)},otherwise:function(e){return this.then(S,e)},yield:function(e){return this.then(function(){return e})},spread:function(e){return this.then(function(t){return c(t,function(t){return e.apply(S,t)})})}},E=[].slice,g=[].reduce||function(e){var t,r,n,i,o;if(o=0,t=Object(this),i=t.length>>>0,r=arguments,r.length<=1)for(;;){if(o in t){n=t[o++];break}if(++o>=i)throw new TypeError}else n=r[1];for(;i>o;++o)o in t&&(n=e(n,t[o],o,t));return n},e})}("function"==typeof define&&define.amd?define:function(e){"object"==typeof exports?module.exports=e():this.when=e()}),define("Core/loadWithXhr",["./defined","./defaultValue","./DeveloperError","./RequestErrorEvent","../ThirdParty/when"],function(e,t,r,n,i){"use strict";var o=function(n){if(n=t(n,t.EMPTY_OBJECT),!e(n.url))throw new r("options.url is required.");var a=n.responseType,s=t(n.method,"GET"),u=n.data,l=n.headers;return i(n.url,function(e){var t=i.defer();return o.load(e,a,s,u,l,t),t.promise})};return o.load=function(t,r,i,o,a,s){var u=new XMLHttpRequest;if(u.open(i,t,!0),e(a))for(var l in a)a.hasOwnProperty(l)&&u.setRequestHeader(l,a[l]);e(r)&&(u.responseType=r),u.onload=function(){200===u.status?s.resolve(u.response):s.reject(new n(u.status,u.response))},u.onerror=function(){s.reject(new n)},u.send(o)},o.defaultLoad=o.load,o}),define("Core/loadText",["./loadWithXhr"],function(e){"use strict";var t=function(t,r){return e({url:t,headers:r})};return t}),define("Core/loadJson",["./clone","./defined","./loadText","./DeveloperError"],function(e,t,r,n){"use strict";var i={Accept:"application/json,*/*;q=0.01"},o=function(o,a){if(!t(o))throw new n("url is required.");return t(a)?t(a.Accept)||(a=e(a),a.Accept=i.Accept):a=i,r(o,a).then(function(e){return JSON.parse(e)})};return o}),define("Core/Iau2006XysData",["./buildModuleUrl","./defaultValue","./defined","./Iau2006XysSample","./JulianDate","./loadJson","./TimeStandard","../ThirdParty/when"],function(e,t,r,n,i,o,a,s){"use strict";function u(e,t,r){var n=f;return n._julianDayNumber=t,n._secondsOfDay=r,e._sampleZeroDateTT.getDaysDifference(n)}function l(t,n){if(t._chunkDownloadsInProgress[n])return t._chunkDownloadsInProgress[n];var i=s.defer();t._chunkDownloadsInProgress[n]=i;var a,u=t._xysFileUrlTemplate;return a=r(u)?u.replace("{0}",n):e("Assets/IAU2006_XYS/IAU2006_XYS_"+n+".json"),s(o(a),function(e){t._chunkDownloadsInProgress[n]=!1;for(var r=t._samples,o=e.samples,a=3*n*t._samplesPerXysFile,s=0,u=o.length;u>s;++s)r[a+s]=o[s];i.resolve()}),i.promise}var c=function(e){e=t(e,t.EMPTY_OBJECT),this._xysFileUrlTemplate=e.xysFileUrlTemplate,this._interpolationOrder=t(e.interpolationOrder,9),this._sampleZeroJulianEphemerisDate=t(e.sampleZeroJulianEphemerisDate,2442396.5),this._sampleZeroDateTT=new i(this._sampleZeroJulianEphemerisDate,0,a.TAI),this._stepSizeDays=t(e.stepSizeDays,1),this._samplesPerXysFile=t(e.samplesPerXysFile,1e3),this._totalSamples=t(e.totalSamples,27426),this._samples=new Array(3*this._totalSamples),this._chunkDownloadsInProgress=[];for(var r=this._interpolationOrder,n=this._denominators=new Array(r+1),o=this._xTable=new Array(r+1),s=Math.pow(this._stepSizeDays,r),u=0;r>=u;++u){n[u]=s,o[u]=u*this._stepSizeDays;for(var l=0;r>=l;++l)l!==u&&(n[u]*=u-l);n[u]=1/n[u]}this._work=new Array(r+1),this._coef=new Array(r+1)},f=new i(0,0,a.TAI);return c.prototype.preload=function(e,t,r,n){var i=u(this,e,t),o=u(this,r,n),a=0|i/this._stepSizeDays-this._interpolationOrder/2;0>a&&(a=0);var c=o/this._stepSizeDays-this._interpolationOrder/2|0+this._interpolationOrder;c>=this._totalSamples&&(c=this._totalSamples-1);for(var f=0|a/this._samplesPerXysFile,h=0|c/this._samplesPerXysFile,m=[],d=f;h>=d;++d)m.push(l(this,d));return s.all(m)},c.prototype.computeXysRadians=function(e,t,i){var o=u(this,e,t);if(0>o)return void 0;var a=0|o/this._stepSizeDays;if(a>=this._totalSamples)return void 0;var s=this._interpolationOrder,c=a-(0|s/2);0>c&&(c=0);var f=c+s;f>=this._totalSamples&&(f=this._totalSamples-1,c=f-s,0>c&&(c=0));var h=!1,m=this._samples;if(r(m[3*c])||(l(this,0|c/this._samplesPerXysFile),h=!0),r(m[3*f])||(l(this,0|f/this._samplesPerXysFile),h=!0),h)return void 0;r(i)?(i.x=0,i.y=0,i.s=0):i=new n(0,0,0);var d,p,y=o-c*this._stepSizeDays,v=this._work,w=this._denominators,g=this._coef,E=this._xTable;for(d=0;s>=d;++d)v[d]=y-E[d];for(d=0;s>=d;++d){for(g[d]=1,p=0;s>=p;++p)p!==d&&(g[d]*=v[p]);g[d]*=w[d];var S=3*(c+d);i.x+=g[d]*m[S++],i.y+=g[d]*m[S++],i.s+=g[d]*m[S]}return i},c}),define("Core/EarthOrientationParametersSample",[],function(){"use strict";var e=function(e,t,r,n,i){this.xPoleWander=e,this.yPoleWander=t,this.xPoleOffset=r,this.yPoleOffset=n,this.ut1MinusUtc=i};return e}),define("Core/EarthOrientationParameters",["./binarySearch","./defaultValue","./defined","./freezeObject","./loadJson","./EarthOrientationParametersSample","./JulianDate","./LeapSecond","./RuntimeError","./TimeConstants","./TimeStandard","../ThirdParty/when"],function(e,t,r,n,i,o,a,s,u,l,c,f){"use strict";function h(e,t){return a.compare(e.julianDate,t)}function m(t,n){if(!r(n.columnNames))return t._dataError="Error in loaded EOP data: The columnNames property is required.",void 0;if(!r(n.samples))return t._dataError="Error in loaded EOP data: The samples property is required.",void 0;var i=n.columnNames.indexOf("modifiedJulianDateUtc"),o=n.columnNames.indexOf("xPoleWanderRadians"),u=n.columnNames.indexOf("yPoleWanderRadians"),f=n.columnNames.indexOf("ut1MinusUtcSeconds"),m=n.columnNames.indexOf("xCelestialPoleOffsetRadians"),d=n.columnNames.indexOf("yCelestialPoleOffsetRadians"),p=n.columnNames.indexOf("taiMinusUtcSeconds");if(0>i||0>o||0>u||0>f||0>m||0>d||0>p)return t._dataError="Error in loaded EOP data: The columnNames property must include modifiedJulianDateUtc, xPoleWanderRadians, yPoleWanderRadians, ut1MinusUtcSeconds, xCelestialPoleOffsetRadians, yCelestialPoleOffsetRadians, and taiMinusUtcSeconds columns",void 0;var y=t._samples=n.samples,v=t._dates=[];t._dateColumn=i,t._xPoleWanderRadiansColumn=o,t._yPoleWanderRadiansColumn=u,t._ut1MinusUtcSecondsColumn=f,t._xCelestialPoleOffsetRadiansColumn=m,t._yCelestialPoleOffsetRadiansColumn=d,t._taiMinusUtcSecondsColumn=p,t._columnCount=n.columnNames.length,t._lastIndex=void 0;for(var w,g=t._addNewLeapSeconds,E=0,S=y.length;S>E;E+=t._columnCount){var x=y[E+i],C=y[E+p],b=x+l.MODIFIED_JULIAN_DATE_DIFFERENCE,T=new a(b,C,c.TAI);if(v.push(T),g){if(C!==w&&r(w)){var O=s.getLeapSeconds(),A=e(O,T,h);if(0>A){var I=new s(T,C);O.splice(~A,0,I)}}w=C}}}function d(e,t,r,n,i){var o=r*n;i.xPoleWander=t[o+e._xPoleWanderRadiansColumn],i.yPoleWander=t[o+e._yPoleWanderRadiansColumn],i.xPoleOffset=t[o+e._xCelestialPoleOffsetRadiansColumn],i.yPoleOffset=t[o+e._yCelestialPoleOffsetRadiansColumn],i.ut1MinusUtc=t[o+e._ut1MinusUtcSecondsColumn]}function p(e,t,r){return t+e*(r-t)}function y(e,t,r,n,i,o,a){var s=e._columnCount;if(o>t.length-1)return a.xPoleWander=0,a.yPoleWander=0,a.xPoleOffset=0,a.yPoleOffset=0,a.ut1MinusUtc=0,a;var u=t[i],l=t[o];if(u.equals(l)||n.equals(u))return d(e,r,i,s,a),a;if(n.equals(l))return d(e,r,o,s,a),a;var c=u.getSecondsDifference(n)/u.getSecondsDifference(l),f=i*s,h=o*s,m=r[f+e._ut1MinusUtcSecondsColumn],y=r[h+e._ut1MinusUtcSecondsColumn],v=y-m;if(v>.5||-.5>v){var w=r[f+e._taiMinusUtcSecondsColumn],g=r[h+e._taiMinusUtcSecondsColumn];w!==g&&(l.equals(n)?m=y:y-=g-w)}return a.xPoleWander=p(c,r[f+e._xPoleWanderRadiansColumn],r[h+e._xPoleWanderRadiansColumn]),a.yPoleWander=p(c,r[f+e._yPoleWanderRadiansColumn],r[h+e._yPoleWanderRadiansColumn]),a.xPoleOffset=p(c,r[f+e._xCelestialPoleOffsetRadiansColumn],r[h+e._xCelestialPoleOffsetRadiansColumn]),a.yPoleOffset=p(c,r[f+e._yCelestialPoleOffsetRadiansColumn],r[h+e._yCelestialPoleOffsetRadiansColumn]),a.ut1MinusUtc=p(c,m,y),a}var v=function(e){if(e=t(e,t.EMPTY_OBJECT),this._dates=void 0,this._samples=void 0,this._dateColumn=-1,this._xPoleWanderRadiansColumn=-1,this._yPoleWanderRadiansColumn=-1,this._ut1MinusUtcSecondsColumn=-1,this._xCelestialPoleOffsetRadiansColumn=-1,this._yCelestialPoleOffsetRadiansColumn=-1,this._taiMinusUtcSecondsColumn=-1,this._columnCount=0,this._lastIndex=-1,this._downloadPromise=void 0,this._dataError=void 0,this._addNewLeapSeconds=t(e.addNewLeapSeconds,!0),r(e.data))m(this,e.data);else if(r(e.url)){var n=this;this._downloadPromise=f(i(e.url),function(e){m(n,e)},function(){n._dataError="An error occurred while retrieving the EOP data from the URL "+e.url+"."})}else m(this,{columnNames:["dateIso8601","modifiedJulianDateUtc","xPoleWanderRadians","yPoleWanderRadians","ut1MinusUtcSeconds","lengthOfDayCorrectionSeconds","xCelestialPoleOffsetRadians","yCelestialPoleOffsetRadians","taiMinusUtcSeconds"],samples:[]})};return v.NONE=n({getPromiseToLoad:function(){return f()},compute:function(e,t){return r(t)?(t.xPoleWander=0,t.yPoleWander=0,t.xPoleOffset=0,t.yPoleOffset=0,t.ut1MinusUtc=0):t=new o(0,0,0,0,0),t}}),v.prototype.getPromiseToLoad=function(){return f(this._downloadPromise)},v.prototype.compute=function(t,n){if(!r(this._samples)){if(r(this._dataError))throw new u(this._dataError);return void 0}if(r(n)||(n=new o(0,0,0,0,0)),0===this._samples.length)return n.xPoleWander=0,n.yPoleWander=0,n.xPoleOffset=0,n.yPoleOffset=0,n.ut1MinusUtc=0,n;var i=this._dates,s=this._lastIndex,l=0,c=0;if(r(s)){var f=i[s],h=i[s+1],m=f.lessThanOrEquals(t),d=!r(h),p=d||h.greaterThanOrEquals(t);if(m&&p)return l=s,!d&&h.equals(t)&&++l,c=l+1,y(this,i,this._samples,t,l,c,n),n}var v=e(i,t,a.compare,this._dateColumn);return v>=0?(v<i.length-1&&i[v+1].equals(t)&&++v,l=v,c=v):(c=~v,l=c-1,0>l&&(l=0)),this._lastIndex=l,y(this,i,this._samples,t,l,c,n),n},v}),define("Core/Transforms",["./defaultValue","./defined","./DeveloperError","./Iau2006XysData","./Iau2006XysSample","./Math","./Matrix3","./Matrix4","./Cartesian2","./Cartesian3","./Cartesian4","./TimeConstants","./Ellipsoid","./EarthOrientationParameters","./EarthOrientationParametersSample","../ThirdParty/when"],function(e,t,r,n,i,o,a,s,u,l,c,f,h,m,d,p){"use strict";var y={},v=new l,w=new l,g=new l;y.eastNorthUpToFixedFrame=function(r,n,i){if(o.equalsEpsilon(r.x,0,o.EPSILON14)&&o.equalsEpsilon(r.y,0,o.EPSILON14)){var a=o.sign(r.z);return t(i)?(i[0]=0,i[1]=1,i[2]=0,i[3]=0,i[4]=-a,i[5]=0,i[6]=0,i[7]=0,i[8]=0,i[9]=0,i[10]=a,i[11]=0,i[12]=r.x,i[13]=r.y,i[14]=r.z,i[15]=1,i):new s(0,-a,0,r.x,1,0,0,r.y,0,0,a,r.z,0,0,0,1)}var u=v,c=w,f=g;return n=e(n,h.WGS84),n.geodeticSurfaceNormal(r,u),c.x=-r.y,c.y=r.x,c.z=0,l.normalize(c,c),l.cross(u,c,f),t(i)?(i[0]=c.x,i[1]=c.y,i[2]=c.z,i[3]=0,i[4]=f.x,i[5]=f.y,i[6]=f.z,i[7]=0,i[8]=u.x,i[9]=u.y,i[10]=u.z,i[11]=0,i[12]=r.x,i[13]=r.y,i[14]=r.z,i[15]=1,i):new s(c.x,f.x,u.x,r.x,c.y,f.y,u.y,r.y,c.z,f.z,u.z,r.z,0,0,0,1)};var E=new l,S=new l,x=new l;y.northEastDownToFixedFrame=function(r,n,i){if(o.equalsEpsilon(r.x,0,o.EPSILON14)&&o.equalsEpsilon(r.y,0,o.EPSILON14)){var a=o.sign(r.z);return t(i)?(i[0]=-a,i[1]=0,i[2]=0,i[3]=0,i[4]=0,i[5]=1,i[6]=0,i[7]=0,i[8]=0,i[9]=0,i[10]=-a,i[11]=0,i[12]=r.x,i[13]=r.y,i[14]=r.z,i[15]=1,i):new s(-a,0,0,r.x,0,1,0,r.y,0,0,-a,r.z,0,0,0,1)}var u=E,c=S,f=x;return n=e(n,h.WGS84),n.geodeticSurfaceNormal(r,u),c.x=-r.y,c.y=r.x,c.z=0,l.normalize(c,c),l.cross(u,c,f),t(i)?(i[0]=f.x,i[1]=f.y,i[2]=f.z,i[3]=0,i[4]=c.x,i[5]=c.y,i[6]=c.z,i[7]=0,i[8]=-u.x,i[9]=-u.y,i[10]=-u.z,i[11]=0,i[12]=r.x,i[13]=r.y,i[14]=r.z,i[15]=1,i):new s(f.x,c.x,-u.x,r.x,f.y,c.y,-u.y,r.y,f.z,c.z,-u.z,r.z,0,0,0,1)};var C=24110.54841,b=8640184.812866,T=.093104,O=-62e-7,A=1.1772758384668e-19,I=72921158553e-15,M=o.TWO_PI/86400;y.computeTemeToPseudoFixedMatrix=function(e,r){var n,i=e.addSeconds(-e.getTaiMinusUtc()),s=i.getJulianDayNumber(),u=i.getSecondsOfDay(),l=s-2451545;n=u>=43200?(l+.5)/f.DAYS_PER_JULIAN_CENTURY:(l-.5)/f.DAYS_PER_JULIAN_CENTURY;var c=C+n*(b+n*(T+n*O)),h=c*M%o.TWO_PI,m=I+A*(s-2451545.5),d=(u+.5*f.SECONDS_PER_DAY)%f.SECONDS_PER_DAY,p=h+m*d,y=Math.cos(p),v=Math.sin(p);return t(r)?(r[0]=y,r[1]=-v,r[2]=0,r[3]=v,r[4]=y,r[5]=0,r[6]=0,r[7]=0,r[8]=1,r):new a(y,v,0,-v,y,0,0,0,1)},y.iau2006XysData=new n,y.earthOrientationParameters=m.NONE;var N=32.184,D=2451545;y.preloadIcrfFixed=function(e){var t=e.start.getJulianDayNumber(),r=e.start.getSecondsOfDay()+N,n=e.stop.getJulianDayNumber(),i=e.stop.getSecondsOfDay()+N,o=y.iau2006XysData.preload(t,r,n,i),a=y.earthOrientationParameters.getPromiseToLoad();return p.all([o,a])},y.computeIcrfToFixedMatrix=function(e,r){var n=y.computeFixedToIcrfMatrix(e,r);return t(n)?a.transpose(n,r):void 0};var _=new i(0,0,0),P=new d(0,0,0,0,0,0),R=new a,z=new a;y.computeFixedToIcrfMatrix=function(e,r){var n=y.earthOrientationParameters.compute(e,P);if(!t(n))return void 0;var i=e.getJulianDayNumber(),s=e.getSecondsOfDay()+N,u=y.iau2006XysData.computeXysRadians(i,s,_);if(!t(u))return void 0;var l=u.x+n.xPoleOffset,c=u.y+n.yPoleOffset,h=1/(1+Math.sqrt(1-l*l-c*c)),m=R;m[0]=1-h*l*l,m[3]=-h*l*c,m[6]=l,m[1]=-h*l*c,m[4]=1-h*c*c,m[7]=c,m[2]=-l,m[5]=-c,m[8]=1-h*(l*l+c*c);var d=a.fromRotationZ(-u.s,z),p=a.multiply(m,d,R),v=e.getJulianDayNumber(),w=e.getSecondsOfDay()-e.getTaiMinusUtc()+n.ut1MinusUtc,g=v-2451545,E=w/f.SECONDS_PER_DAY,S=.779057273264+E+.00273781191135448*(g+E);S=S%1*o.TWO_PI;var x=a.fromRotationZ(S,z),C=a.multiply(p,x,R),b=Math.cos(n.xPoleWander),T=Math.cos(n.yPoleWander),O=Math.sin(n.xPoleWander),A=Math.sin(n.yPoleWander),I=i-D+s/f.SECONDS_PER_DAY;I/=36525;var M=-47e-6*I*o.RADIANS_PER_DEGREE/3600,L=Math.cos(M),q=Math.sin(M),F=z;return F[0]=b*L,F[1]=b*q,F[2]=O,F[3]=-T*q+A*O*L,F[4]=T*L+A*O*q,F[5]=-A*b,F[6]=-A*q-T*O*L,F[7]=A*L-T*O*q,F[8]=T*b,a.multiply(C,F,r)};var L=new c;return y.pointToWindowCoordinates=function(e,t,r,n){var i=L;return s.multiplyByVector(e,c.fromElements(r.x,r.y,r.z,1,i),i),c.multiplyByScalar(i,1/i.w,i),s.multiplyByVector(t,i,i),u.fromCartesian4(i,n)},y}),define("Core/AxisAlignedBoundingBox",["./defaultValue","./defined","./DeveloperError","./Cartesian3","./Intersect"],function(e,t,r,n,i){"use strict";var o=function(r,i,o){this.minimum=n.clone(e(r,n.ZERO)),this.maximum=n.clone(e(i,n.ZERO)),t(o)?o=n.clone(o):(o=n.add(this.minimum,this.maximum),n.multiplyByScalar(o,.5,o)),this.center=o};o.fromPoints=function(e,r){if(t(r)||(r=new o),!t(e)||0===e.length)return r.minimum=n.clone(n.ZERO,r.minimum),r.maximum=n.clone(n.ZERO,r.maximum),r.center=n.clone(n.ZERO,r.center),r;for(var i=e[0].x,a=e[0].y,s=e[0].z,u=e[0].x,l=e[0].y,c=e[0].z,f=e.length,h=1;f>h;h++){var m=e[h],d=m.x,p=m.y,y=m.z;i=Math.min(d,i),u=Math.max(d,u),a=Math.min(p,a),l=Math.max(p,l),s=Math.min(y,s),c=Math.max(y,c)}var v=r.minimum;v.x=i,v.y=a,v.z=s;var w=r.maximum;w.x=u,w.y=l,w.z=c;var g=n.add(v,w,r.center);return n.multiplyByScalar(g,.5,g),r},o.clone=function(e,r){return t(e)?t(r)?(r.minimum=n.clone(e.minimum,r.minimum),r.maximum=n.clone(e.maximum,r.maximum),r.center=n.clone(e.center,r.center),r):new o(e.minimum,e.maximum):void 0},o.equals=function(e,r){return e===r||t(e)&&t(r)&&n.equals(e.center,r.center)&&n.equals(e.minimum,r.minimum)&&n.equals(e.maximum,r.maximum)};var a=new n;return o.intersect=function(e,o){if(!t(e))throw new r("box is required.");if(!t(o))throw new r("plane is required.");a=n.subtract(e.maximum,e.minimum,a);var s=n.multiplyByScalar(a,.5,a),u=s.x*Math.abs(o.x)+s.y*Math.abs(o.y)+s.z*Math.abs(o.z),l=n.dot(e.center,o)+o.w;return l-u>0?i.INSIDE:0>l+u?i.OUTSIDE:i.INTERSECTING},o.prototype.clone=function(e){return o.clone(this,e)},o.prototype.intersect=function(e){return o.intersect(this,e)},o.prototype.equals=function(e){return o.equals(this,e)},o}),define("Core/QuadraticRealPolynomial",["./DeveloperError","./Math"],function(e,t){"use strict";function r(e,r,n){var i=e+r;return t.sign(e)!==t.sign(r)&&Math.abs(i/Math.max(Math.abs(e),Math.abs(r)))<n?0:i}var n={};return n.discriminant=function(t,r,n){if("number"!=typeof t)throw new e("a is a required number.");if("number"!=typeof r)throw new e("b is a required number.");if("number"!=typeof n)throw new e("c is a required number.");var i=r*r-4*t*n;return i},n.realRoots=function(n,i,o){if("number"!=typeof n)throw new e("a is a required number.");if("number"!=typeof i)throw new e("b is a required number.");if("number"!=typeof o)throw new e("c is a required number.");var a;if(0===n)return 0===i?[]:[-o/i];if(0===i){if(0===o)return[0,0];var s=Math.abs(o),u=Math.abs(n);if(u>s&&s/u<t.EPSILON14)return[0,0];if(s>u&&u/s<t.EPSILON14)return[];if(a=-o/n,0>a)return[];var l=Math.sqrt(a);return[-l,l]}if(0===o)return a=-i/n,0>a?[a,0]:[0,a];var c=i*i,f=4*n*o,h=r(c,-f,t.EPSILON14);if(0>h)return[];var m=-.5*r(i,t.sign(i)*Math.sqrt(h),t.EPSILON14);return i>0?[m/n,o/m]:[o/m,m/n]},n}),define("Core/CubicRealPolynomial",["./DeveloperError","./QuadraticRealPolynomial"],function(e,t){"use strict";function r(e,t,r,n){var i,o,a=e,s=t/3,u=r/3,l=n,c=a*u,f=s*l,h=s*s,m=u*u,d=a*u-h,p=a*l-s*u,y=s*l-m,v=4*d*y-p*p;if(0>v){var w,g,E;h*f>=c*m?(w=a,g=d,E=-2*s*d+a*p):(w=l,g=y,E=-l*p+2*u*y);var S=0>E?-1:1,x=-S*Math.abs(w)*Math.sqrt(-v);o=-E+x;var C=o/2,b=0>C?-Math.pow(-C,1/3):Math.pow(C,1/3),T=o===x?-b:-g/b;return i=0>=g?b+T:-E/(b*b+T*T+g),h*f>=c*m?[(i-s)/a]:[-l/(i+u)]}var O=d,A=-2*s*d+a*p,I=y,M=-l*p+2*u*y,N=Math.sqrt(v),D=Math.sqrt(3)/2,_=Math.abs(Math.atan2(a*N,-A)/3);i=2*Math.sqrt(-O);var P=Math.cos(_);o=i*P;var R=i*(-P/2-D*Math.sin(_)),z=o+R>2*s?o-s:R-s,L=a,q=z/L;_=Math.abs(Math.atan2(l*N,-M)/3),i=2*Math.sqrt(-I),P=Math.cos(_),o=i*P,R=i*(-P/2-D*Math.sin(_));var F=-l,U=2*u>o+R?o+u:R+u,B=F/U,G=L*U,W=-z*U-L*F,Y=z*F,j=(u*W-s*Y)/(-s*W+u*G);return j>=q?B>=q?B>=j?[q,j,B]:[q,B,j]:[B,q,j]:B>=q?[j,q,B]:B>=j?[j,B,q]:[B,j,q]}var n={};return n.discriminant=function(t,r,n,i){if("number"!=typeof t)throw new e("a is a required number.");if("number"!=typeof r)throw new e("b is a required number.");if("number"!=typeof n)throw new e("c is a required number.");if("number"!=typeof i)throw new e("d is a required number.");var o=t*t,a=r*r,s=n*n,u=i*i,l=18*t*r*n*i+a*s-27*o*u-4*(t*s*n+a*r*i);return l},n.realRoots=function(n,i,o,a){if("number"!=typeof n)throw new e("a is a required number.");if("number"!=typeof i)throw new e("b is a required number.");if("number"!=typeof o)throw new e("c is a required number.");if("number"!=typeof a)throw new e("d is a required number.");var s,u;if(0===n)return t.realRoots(i,o,a);if(0===i){if(0===o){if(0===a)return[0,0,0];u=-a/n;var l=0>u?-Math.pow(-u,1/3):Math.pow(u,1/3);return[l,l,l]}return 0===a?(s=t.realRoots(n,0,o),0===s.Length?[0]:[s[0],0,s[1]]):r(n,0,o,a)}return 0===o?0===a?(u=-i/n,0>u?[u,0,0]:[0,0,u]):r(n,i,0,a):0===a?(s=t.realRoots(n,i,o),0===s.length?[0]:s[1]<=0?[s[0],s[1],0]:s[0]>=0?[0,s[0],s[1]]:[s[0],0,s[1]]):r(n,i,o,a)},n}),define("Core/QuarticRealPolynomial",["./DeveloperError","./Math","./CubicRealPolynomial","./QuadraticRealPolynomial"],function(e,t,r,n){"use strict";function i(e,i,o,a){var s=e*e,u=i-3*s/8,l=o-i*e/2+s*e/8,c=a-o*e/4+i*s/16-3*s*s/256,f=r.realRoots(1,2*u,u*u-4*c,-l*l);if(f.length>0){var h=-e/4,m=f[f.length-1];if(Math.abs(m)<t.EPSILON14){var d=n.realRoots(1,u,c);if(2===d.length){var p,y=d[0],v=d[1];if(y>=0&&v>=0){var w=Math.sqrt(y),g=Math.sqrt(v);return[h-g,h-w,h+w,h+g]}if(y>=0&&0>v)return p=Math.sqrt(y),[h-p,h+p];if(0>y&&v>=0)return p=Math.sqrt(v),[h-p,h+p]}return[]}if(m>0){var E=Math.sqrt(m),S=(u+m-l/E)/2,x=(u+m+l/E)/2,C=n.realRoots(1,E,S),b=n.realRoots(1,-E,x);return 0!==C.length?(C[0]+=h,C[1]+=h,0!==b.length?(b[0]+=h,b[1]+=h,C[1]<=b[0]?[C[0],C[1],b[0],b[1]]:b[1]<=C[0]?[b[0],b[1],C[0],C[1]]:C[0]>=b[0]&&C[1]<=b[1]?[b[0],C[0],C[1],b[1]]:b[0]>=C[0]&&b[1]<=C[1]?[C[0],b[0],b[1],C[1]]:C[0]>b[0]&&C[0]<b[1]?[b[0],C[0],b[1],C[1]]:[C[0],b[0],C[1],b[1]]):C):0!==b.length?(b[0]+=h,b[1]+=h,b):[]}}return[]}function o(e,i,o,a){var s=o*o,u=i*i,l=e*e,c=-2*i,f=o*e+u-4*a,h=l*a-o*i*e+s,m=r.realRoots(1,c,f,h);if(m.length>0){var d,p,y=m[0],v=i-y,w=v*v,g=e/2,E=v/2,S=w-4*a,x=w+4*Math.abs(a),C=l-4*y,b=l+4*Math.abs(y);if(0>y||C*x>S*b){var T=Math.sqrt(C);d=T/2,p=0===T?0:(e*E-o)/T}else{var O=Math.sqrt(S);d=0===O?0:(e*E-o)/O,p=O/2}var A,I;0===g&&0===d?(A=0,I=0):t.sign(g)===t.sign(d)?(A=g+d,I=y/A):(I=g-d,A=y/I);var M,N;0===E&&0===p?(M=0,N=0):t.sign(E)===t.sign(p)?(M=E+p,N=a/M):(N=E-p,M=a/N);var D=n.realRoots(1,A,M),_=n.realRoots(1,I,N);if(0!==D.length)return 0!==_.length?D[1]<=_[0]?[D[0],D[1],_[0],_[1]]:_[1]<=D[0]?[_[0],_[1],D[0],D[1]]:D[0]>=_[0]&&D[1]<=_[1]?[_[0],D[0],D[1],_[1]]:_[0]>=D[0]&&_[1]<=D[1]?[D[0],_[0],_[1],D[1]]:D[0]>_[0]&&D[0]<_[1]?[_[0],D[0],_[1],D[1]]:[D[0],_[0],D[1],_[1]]:D;if(0!==_.length)return _}return[]}var a={};return a.discriminant=function(t,r,n,i,o){if("number"!=typeof t)throw new e("a is a required number.");if("number"!=typeof r)throw new e("b is a required number.");if("number"!=typeof n)throw new e("c is a required number.");if("number"!=typeof i)throw new e("d is a required number.");if("number"!=typeof o)throw new e("e is a required number.");var a=t*t,s=a*t,u=r*r,l=u*r,c=n*n,f=c*n,h=i*i,m=h*i,d=o*o,p=d*o,y=u*c*h-4*l*m-4*t*f*h+18*t*r*n*m-27*a*h*h+256*s*p+o*(18*l*n*i-4*u*f+16*t*c*c-80*t*r*c*i-6*t*u*h+144*a*n*h)+d*(144*t*u*n-27*u*u-128*a*c-192*a*r*i);return y},a.realRoots=function(n,a,s,u,l){if("number"!=typeof n)throw new e("a is a required number.");
if("number"!=typeof a)throw new e("b is a required number.");if("number"!=typeof s)throw new e("c is a required number.");if("number"!=typeof u)throw new e("d is a required number.");if("number"!=typeof l)throw new e("e is a required number.");if(Math.abs(n)<t.EPSILON15)return r.realRoots(a,s,u,l);var c=a/n,f=s/n,h=u/n,m=l/n,d=0>c?1:0;switch(d+=0>f?d+1:d,d+=0>h?d+1:d,d+=0>m?d+1:d){case 0:return i(c,f,h,m);case 1:return o(c,f,h,m);case 2:return o(c,f,h,m);case 3:return i(c,f,h,m);case 4:return i(c,f,h,m);case 5:return o(c,f,h,m);case 6:return i(c,f,h,m);case 7:return i(c,f,h,m);case 8:return o(c,f,h,m);case 9:return i(c,f,h,m);case 10:return i(c,f,h,m);case 11:return o(c,f,h,m);case 12:return i(c,f,h,m);case 13:return i(c,f,h,m);case 14:return i(c,f,h,m);case 15:return i(c,f,h,m);default:return void 0}},a}),define("Core/IntersectionTests",["./defined","./DeveloperError","./Math","./Cartesian3","./Cartographic","./Matrix3","./QuadraticRealPolynomial","./QuarticRealPolynomial"],function(e,t,r,n,i,o,a,s){"use strict";function u(e,t,n){var i=e+t;return r.sign(e)!==r.sign(t)&&Math.abs(i/Math.max(Math.abs(e),Math.abs(t)))<n?0:i}function l(e,t,i,l,c){var f,h=l*l,m=c*c,d=(e[o.COLUMN1ROW1]-e[o.COLUMN2ROW2])*m,p=c*(l*u(e[o.COLUMN1ROW0],e[o.COLUMN0ROW1],r.EPSILON15)+t.y),y=e[o.COLUMN0ROW0]*h+e[o.COLUMN2ROW2]*m+l*t.x+i,v=m*u(e[o.COLUMN2ROW1],e[o.COLUMN1ROW2],r.EPSILON15),w=c*(l*u(e[o.COLUMN2ROW0],e[o.COLUMN0ROW2])+t.z),g=[];if(0===w&&0===v){if(f=a.realRoots(d,p,y),0===f.length)return g;var E=f[0],S=Math.sqrt(Math.max(1-E*E,0));if(g.push(new n(l,c*E,c*-S)),g.push(new n(l,c*E,c*S)),2===f.length){var x=f[1],C=Math.sqrt(Math.max(1-x*x,0));g.push(new n(l,c*x,c*-C)),g.push(new n(l,c*x,c*C))}return g}var b=w*w,T=v*v,O=d*d,A=w*v,I=O+T,M=2*(p*d+A),N=2*y*d+p*p-T+b,D=2*(y*p-A),_=y*y-b;if(0===I&&0===M&&0===N&&0===D)return g;f=s.realRoots(I,M,N,D,_);var P=f.length;if(0===P)return g;for(var R=0;P>R;++R){var z,L=f[R],q=L*L,F=Math.max(1-q,0),U=Math.sqrt(F);z=r.sign(d)===r.sign(y)?u(d*q+y,p*L,r.EPSILON12):r.sign(y)===r.sign(p*L)?u(d*q,p*L+y,r.EPSILON12):u(d*q+p*L,y,r.EPSILON12);var B=u(v*L,w,r.EPSILON15),G=z*B;0>G?g.push(new n(l,c*L,c*U)):G>0?g.push(new n(l,c*L,c*-U)):0!==U?(g.push(new n(l,c*L,c*-U)),g.push(new n(l,c*L,c*U)),++R):g.push(new n(l,c*L,c*U))}return g}var c={};c.rayPlane=function(i,o,a){if(!e(i))throw new t("ray is required.");if(!e(o))throw new t("plane is required.");var s=i.origin,u=i.direction,l=o.normal,c=n.dot(l,u);if(Math.abs(c)<r.EPSILON15)return void 0;var f=(-o.distance-n.dot(l,s))/c;return 0>f?void 0:(a=n.multiplyByScalar(u,f,a),n.add(s,a,a))};var f=new n,h=new n;c.rayEllipsoid=function(r,i){if(!e(r))throw new t("ray is required.");if(!e(i))throw new t("ellipsoid is required.");var o,a,s,u,l,c=i.getOneOverRadii(),m=n.multiplyComponents(c,r.origin,f),d=n.multiplyComponents(c,r.direction,h),p=n.magnitudeSquared(m),y=n.dot(m,d);if(p>1){if(y>=0)return void 0;var v=y*y;if(o=p-1,a=n.magnitudeSquared(d),s=a*o,s>v)return void 0;if(v>s){u=y*y-s,l=-y+Math.sqrt(u);var w=l/a,g=o/l;return g>w?{start:w,stop:g}:{start:g,stop:w}}var E=Math.sqrt(o/a);return{start:E,stop:E}}return 1>p?(o=p-1,a=n.magnitudeSquared(d),s=a*o,u=y*y-s,l=-y+Math.sqrt(u),{start:0,stop:l/a}):0>y?(a=n.magnitudeSquared(d),{start:0,stop:-y/a}):void 0},c.grazingAltitudeLocation=function(a,s){if(!e(a))throw new t("ray is required.");if(!e(s))throw new t("ellipsoid is required.");var u=a.origin,c=a.direction,f=s.geodeticSurfaceNormal(u);if(n.dot(c,f)>=0)return u;var h,m,d=e(this.rayEllipsoid(a,s)),p=s.transformPositionToScaledSpace(c),y=n.normalize(p),v=n.mostOrthogonalAxis(p),w=n.normalize(n.cross(v,y)),g=n.normalize(n.cross(y,w)),E=new o(y.x,w.x,g.x,y.y,w.y,g.y,y.z,w.z,g.z),S=o.transpose(E),x=o.fromScale(s.getRadii()),C=o.fromScale(s.getOneOverRadii()),b=new o(0,c.z,-c.y,-c.z,0,c.x,c.y,-c.x,0),T=o.multiply(o.multiply(S,C),b),O=o.multiply(o.multiply(T,x),E),A=o.multiplyByVector(T,u),I=l(O,n.negate(A),0,0,1),M=I.length;if(M>0){for(var N=n.ZERO,D=Number.NEGATIVE_INFINITY,_=0;M>_;++_){h=o.multiplyByVector(x,o.multiplyByVector(E,I[_]));var P=n.normalize(n.subtract(h,u)),R=n.dot(P,c);R>D&&(D=R,N=h)}var z=s.cartesianToCartographic(N);return D=r.clamp(D,0,1),m=n.magnitude(n.subtract(N,u))*Math.sqrt(1-D*D),m=d?-m:m,s.cartographicToCartesian(new i(z.longitude,z.latitude,m))}return void 0};var m=new n;return c.lineSegmentPlane=function(i,o,a,s){if(!e(i))throw new t("endPoint0 is required.");if(!e(o))throw new t("endPoint1 is required.");if(!e(a))throw new t("plane is required.");var u=n.subtract(o,i,m),l=a.normal,c=n.dot(l,u);if(Math.abs(c)<r.EPSILON6)return void 0;var f=n.dot(l,i),h=-(a.distance+f)/c;return 0>h||h>1?void 0:(e(s)||(s=new n),n.multiplyByScalar(u,h,s),n.add(i,s,s),s)},c.trianglePlaneIntersection=function(r,i,o,a){if(!(e(r)&&e(i)&&e(o)&&e(a)))throw new t("p0, p1, p2, and plane are required.");var s=a.normal,u=a.distance,l=n.dot(s,r)+u<0,f=n.dot(s,i)+u<0,h=n.dot(s,o)+u<0,m=0;m+=l?1:0,m+=f?1:0,m+=h?1:0;var d,p;if((1===m||2===m)&&(d=new n,p=new n),1===m){if(l)return c.lineSegmentPlane(r,i,a,d),c.lineSegmentPlane(r,o,a,p),{positions:[r,i,o,d,p],indices:[0,3,4,1,2,4,1,4,3]};if(f)return c.lineSegmentPlane(i,o,a,d),c.lineSegmentPlane(i,r,a,p),{positions:[r,i,o,d,p],indices:[1,3,4,2,0,4,2,4,3]};if(h)return c.lineSegmentPlane(o,r,a,d),c.lineSegmentPlane(o,i,a,p),{positions:[r,i,o,d,p],indices:[2,3,4,0,1,4,0,4,3]}}else if(2===m){if(!l)return c.lineSegmentPlane(i,r,a,d),c.lineSegmentPlane(o,r,a,p),{positions:[r,i,o,d,p],indices:[1,2,4,1,4,3,0,3,4]};if(!f)return c.lineSegmentPlane(o,i,a,d),c.lineSegmentPlane(r,i,a,p),{positions:[r,i,o,d,p],indices:[2,0,4,2,4,3,1,3,4]};if(!h)return c.lineSegmentPlane(r,o,a,d),c.lineSegmentPlane(i,o,a,p),{positions:[r,i,o,d,p],indices:[0,1,4,0,4,3,2,3,4]}}return void 0},c}),define("Core/Ray",["./DeveloperError","./defaultValue","./Cartesian3"],function(e,t,r){"use strict";var n=function(e,n){n=r.clone(t(n,r.ZERO)),r.equals(n,r.ZERO)||r.normalize(n,n),this.origin=r.clone(t(e,r.ZERO)),this.direction=n};return n.prototype.getPoint=function(t,n){if("number"!=typeof t)throw new e("t is a required number");return n=r.multiplyByScalar(this.direction,t,n),r.add(this.origin,n,n)},n}),define("Core/Plane",["./Cartesian3","./defined","./DeveloperError"],function(e,t,r){"use strict";var n=function(n,i){if(!t(n))throw new r("normal is required.");if(!t(i))throw new r("distance is required.");this.normal=e.clone(n),this.distance=i};return n.fromPointNormal=function(i,o,a){if(!t(i))throw new r("point is required.");if(!t(o))throw new r("normal is required.");var s=-e.dot(o,i);return t(a)?(e.clone(o,a.normal),a.distance=s,a):new n(o,s)},n.getPointDistance=function(n,i){if(!t(n))throw new r("plane is required.");if(!t(i))throw new r("point is required.");return e.dot(n.normal,i)+n.distance},n.prototype.getPointDistance=function(e){return n.getPointDistance(this,e)},n}),define("Core/EllipsoidTangentPlane",["./defaultValue","./defined","./DeveloperError","./Transforms","./AxisAlignedBoundingBox","./IntersectionTests","./Cartesian2","./Cartesian3","./Ellipsoid","./Matrix4","./Ray","./Plane"],function(e,t,r,n,i,o,a,s,u,l,c,f){"use strict";var h=function(i,o){if(!t(i))throw new r("origin is required.");if(o=e(o,u.WGS84),i=o.scaleToGeodeticSurface(i),!t(i))throw new r("origin must not be at the center of the ellipsoid.");var a=n.eastNorthUpToFixedFrame(i,o);this._ellipsoid=o,this._origin=s.clone(i),this._xAxis=s.fromCartesian4(l.getColumn(a,0)),this._yAxis=s.fromCartesian4(l.getColumn(a,1));var c=s.fromCartesian4(l.getColumn(a,2));this._plane=f.fromPointNormal(i,c)},m=new i;h.fromPoints=function(e,n){if(!t(e))throw new r("cartesians is required.");var o=i.fromPoints(e,m);return new h(o.center,n)},h.prototype.getEllipsoid=function(){return this._ellipsoid},h.prototype.getOrigin=function(){return this._origin};var d=new c,p=new s;h.prototype.projectPointOntoPlane=function(e,n){if(!t(e))throw new r("cartesian is required.");var i=d;i.origin=e,s.normalize(e,i.direction);var u=o.rayPlane(i,this._plane,p);if(t(u)||(s.negate(i.direction,i.direction),u=o.rayPlane(i,this._plane,p)),t(u)){var l=s.subtract(u,this._origin,u),c=s.dot(this._xAxis,l),f=s.dot(this._yAxis,l);return t(n)?(n.x=c,n.y=f,n):new a(c,f)}return void 0},h.prototype.projectPointsOntoPlane=function(e,n){if(!t(e))throw new r("cartesians is required.");t(n)||(n=[]);for(var i=0,o=e.length,a=0;o>a;a++){var s=this.projectPointOntoPlane(e[a],n[i]);t(s)&&(n[i]=s,i++)}return n.length=i,n};var y=new s;return h.prototype.projectPointsOntoEllipsoid=function(e,n){if(!t(e))throw new r("cartesians is required.");var i=e.length;t(n)?n.length=i:n=new Array(i);for(var o=this._ellipsoid,a=this._origin,u=this._xAxis,l=this._yAxis,c=y,f=0;i>f;++f){var h=e[f];s.multiplyByScalar(u,h.x,c);var m=n[f]=s.add(a,c,n[f]);s.multiplyByScalar(l,h.y,c),s.add(m,c,m),o.scaleToGeocentricSurface(m,m)}return n},h}),define("Core/Geometry",["./defaultValue","./defined","./DeveloperError","./BoundingSphere"],function(e,t,r){"use strict";var n=function(n){if(n=e(n,e.EMPTY_OBJECT),!t(n.attributes))throw new r("options.attributes is required.");if(!t(n.primitiveType))throw new r("options.primitiveType is required.");this.attributes=n.attributes,this.indices=n.indices,this.primitiveType=n.primitiveType,this.boundingSphere=n.boundingSphere};return n.computeNumberOfVertices=function(e){if(!t(e))throw new r("geometry is required.");var n=-1;for(var i in e.attributes)if(e.attributes.hasOwnProperty(i)&&t(e.attributes[i])&&t(e.attributes[i].values)){var o=e.attributes[i],a=o.values.length/o.componentsPerAttribute;if(n!==a&&-1!==n)throw new r("All attribute lists must have the same number of attributes.");n=a}return n},n}),define("Core/GeometryAttribute",["./defaultValue","./defined","./DeveloperError"],function(e,t,r){"use strict";var n=function(n){if(n=e(n,e.EMPTY_OBJECT),!t(n.componentDatatype))throw new r("options.componentDatatype is required.");if(!t(n.componentsPerAttribute))throw new r("options.componentsPerAttribute is required.");if(n.componentsPerAttribute<1||n.componentsPerAttribute>4)throw new r("options.componentsPerAttribute must be between 1 and 4.");if(!t(n.values))throw new r("options.values is required.");this.componentDatatype=n.componentDatatype,this.componentsPerAttribute=n.componentsPerAttribute,this.normalize=e(n.normalize,!1),this.values=n.values};return n}),define("Core/GeometryAttributes",["./defaultValue"],function(e){"use strict";var t=function(t){t=e(t,e.EMPTY_OBJECT),this.position=t.position,this.normal=t.normal,this.st=t.st,this.binormal=t.binormal,this.tangent=t.tangent,this.color=t.color};return t}),define("Core/GeometryInstanceAttribute",["./defaultValue","./defined","./DeveloperError"],function(e,t,r){"use strict";var n=function(n){if(n=e(n,e.EMPTY_OBJECT),!t(n.componentDatatype))throw new r("options.componentDatatype is required.");if(!t(n.componentsPerAttribute))throw new r("options.componentsPerAttribute is required.");if(n.componentsPerAttribute<1||n.componentsPerAttribute>4)throw new r("options.componentsPerAttribute must be between 1 and 4.");if(!t(n.value))throw new r("options.value is required.");this.componentDatatype=n.componentDatatype,this.componentsPerAttribute=n.componentsPerAttribute,this.normalize=e(n.normalize,!1),this.value=n.value};return n}),define("Core/GeometryInstance",["./defaultValue","./defined","./DeveloperError","./Matrix4","./Geometry","./GeometryInstanceAttribute"],function(e,t,r,n){"use strict";var i=function(i){if(i=e(i,e.EMPTY_OBJECT),!t(i.geometry))throw new r("options.geometry is required.");this.geometry=i.geometry,this.modelMatrix=n.clone(e(i.modelMatrix,n.IDENTITY)),this.id=i.id,this.pickPrimitive=i.pickPrimitive,this.attributes=e(i.attributes,{})};return i}),define("Core/barycentricCoordinates",["./Cartesian2","./Cartesian3","./defined","./DeveloperError"],function(e,t,r,n){"use strict";var i=new t,o=new t,a=new t,s=function(s,u,l,c,f){if(!(r(s)&&r(u)&&r(l)&&r(c)))throw new n("point, p0, p1, and p2 are required.");r(f)||(f=new t);var h,m,d,p,y,v,w,g;r(u.z)?(h=t.subtract(l,u,i),m=t.subtract(c,u,o),d=t.subtract(s,u,a),p=t.dot(h,h),y=t.dot(h,m),v=t.dot(h,d),w=t.dot(m,m),g=t.dot(m,d)):(h=e.subtract(l,u,i),m=e.subtract(c,u,o),d=e.subtract(s,u,a),p=e.dot(h,h),y=e.dot(h,m),v=e.dot(h,d),w=e.dot(m,m),g=e.dot(m,d));var E=1/(p*w-y*y);return f.y=(w*v-y*g)*E,f.z=(p*g-y*v)*E,f.x=1-f.y-f.z,f};return s}),define("Core/EncodedCartesian3",["./Cartesian3","./defined","./DeveloperError"],function(e,t,r){"use strict";var n=function(){this.high=e.clone(e.ZERO),this.low=e.clone(e.ZERO)};n.encode=function(e,n){if(!t(e))throw new r("value is required");t(n)||(n={high:0,low:0});var i;return e>=0?(i=65536*Math.floor(e/65536),n.high=i,n.low=e-i):(i=65536*Math.floor(-e/65536),n.high=-i,n.low=e+i),n};var i={high:0,low:0};n.fromCartesian=function(e,o){if(!t(e))throw new r("cartesian is required");t(o)||(o=new n);var a=o.high,s=o.low;return n.encode(e.x,i),a.x=i.high,s.x=i.low,n.encode(e.y,i),a.y=i.high,s.y=i.low,n.encode(e.z,i),a.z=i.high,s.z=i.low,o};var o=new n;return n.writeElements=function(e,i,a){if(!t(e))throw new r("cartesian is required");if(!t(i))throw new r("cartesianArray is required");if("number"!=typeof a||0>a)throw new r("index must be a number greater than or equal to 0.");n.fromCartesian(e,o);var s=o.high,u=o.low;i[a]=s.x,i[a+1]=s.y,i[a+2]=s.z,i[a+3]=u.x,i[a+4]=u.y,i[a+5]=u.z},n}),define("Core/IndexDatatype",["./defined","./DeveloperError","./Math"],function(e,t,r){"use strict";var n={UNSIGNED_BYTE:5121,UNSIGNED_SHORT:5123,UNSIGNED_INT:5125};return n.getSizeInBytes=function(e){switch(e){case n.UNSIGNED_BYTE:return Uint8Array.BYTES_PER_ELEMENT;case n.UNSIGNED_SHORT:return Uint16Array.BYTES_PER_ELEMENT;case n.UNSIGNED_INT:return Uint32Array.BYTES_PER_ELEMENT}throw new t("indexDatatype is required and must be a valid IndexDatatype constant.")},n.validate=function(t){return e(t)&&(t===n.UNSIGNED_BYTE||t===n.UNSIGNED_SHORT||t===n.UNSIGNED_INT)},n.createTypedArray=function(n,i){if(!e(n))throw new t("numberOfVertices is required.");return n>r.SIXTY_FOUR_KILOBYTES?new Uint32Array(i):new Uint16Array(i)},n}),define("Core/PrimitiveType",[],function(){"use strict";var e={POINTS:0,LINES:1,LINE_LOOP:2,LINE_STRIP:3,TRIANGLES:4,TRIANGLE_STRIP:5,TRIANGLE_FAN:6,validate:function(t){return t===e.POINTS||t===e.LINES||t===e.LINE_LOOP||t===e.LINE_STRIP||t===e.TRIANGLES||t===e.TRIANGLE_STRIP||t===e.TRIANGLE_FAN}};return e}),define("Core/Tipsify",["./defaultValue","./defined","./DeveloperError"],function(e,t,r){"use strict";var n={};return n.calculateACMR=function(n){n=e(n,e.EMPTY_OBJECT);var i=n.indices,o=n.maximumIndex,a=e(n.cacheSize,24);if(!t(i))throw new r("indices is required.");var s=i.length;if(3>s||0!==s%3)throw new r("indices length must be a multiple of three.");if(0>=o)throw new r("maximumIndex must be greater than zero.");if(3>a)throw new r("cacheSize must be greater than two.");if(!t(o)){o=0;for(var u=0,l=i[u];s>u;)l>o&&(o=l),++u,l=i[u]}for(var c=[],f=0;o+1>f;f++)c[f]=0;for(var h=a+1,m=0;s>m;++m)h-c[i[m]]>a&&(c[i[m]]=h,++h);return(h-a+1)/(s/3)},n.tipsify=function(n){function i(e,t,r,n){for(;t.length>=1;){var i=t[t.length-1];if(t.splice(t.length-1,1),e[i].numLiveTriangles>0)return i}for(;n>a;){if(e[a].numLiveTriangles>0)return++a,a-1;++a}return-1}function o(e,t,r,n,o,a,s){for(var u,l=-1,c=-1,f=0;f<r.length;){var h=r[f];n[h].numLiveTriangles&&(u=0,o-n[h].timeStamp+2*n[h].numLiveTriangles<=t&&(u=o-n[h].timeStamp),(u>c||-1===c)&&(c=u,l=h)),++f}return-1===l?i(n,a,e,s):l}n=e(n,e.EMPTY_OBJECT);var a,s=n.indices,u=n.maximumIndex,l=e(n.cacheSize,24);if(!t(s))throw new r("indices is required.");var c=s.length;if(3>c||0!==c%3)throw new r("indices length must be a multiple of three.");if(0>=u)throw new r("maximumIndex must be greater than zero.");if(3>l)throw new r("cacheSize must be greater than two.");var f=0,h=0,m=s[h],d=c;if(t(u))f=u+1;else{for(;d>h;)m>f&&(f=m),++h,m=s[h];if(-1===f)return 0;++f}for(var p=[],y=0;f>y;y++)p[y]={numLiveTriangles:0,timeStamp:0,vertexTriangles:[]};h=0;for(var v=0;d>h;)p[s[h]].vertexTriangles.push(v),++p[s[h]].numLiveTriangles,p[s[h+1]].vertexTriangles.push(v),++p[s[h+1]].numLiveTriangles,p[s[h+2]].vertexTriangles.push(v),++p[s[h+2]].numLiveTriangles,++v,h+=3;var w=0,g=l+1;a=1;var E,S,x=[],C=[],b=0,T=[],O=c/3,A=[];for(y=0;O>y;y++)A[y]=!1;for(var I,M;-1!==w;){x=[],S=p[w],M=S.vertexTriangles.length;for(var N=0;M>N;++N)if(v=S.vertexTriangles[N],!A[v]){A[v]=!0,h=v+v+v;for(var D=0;3>D;++D)I=s[h],x.push(I),C.push(I),T[b]=I,++b,E=p[I],--E.numLiveTriangles,g-E.timeStamp>l&&(E.timeStamp=g,++g),++h}w=o(s,l,x,p,g,C,f)}return T},n}),define("Core/GeometryPipeline",["./barycentricCoordinates","./defaultValue","./defined","./DeveloperError","./Cartesian2","./Cartesian3","./Cartesian4","./Cartographic","./EncodedCartesian3","./Intersect","./IntersectionTests","./Math","./Matrix3","./Matrix4","./Plane","./GeographicProjection","./ComponentDatatype","./IndexDatatype","./PrimitiveType","./Tipsify","./BoundingSphere","./Geometry","./GeometryAttribute"],function(e,t,r,n,i,o,a,s,u,l,c,f,h,m,d,p,y,v,w,g,E,S,x){"use strict";function C(e,t,r,n,i){e[t++]=r,e[t++]=n,e[t++]=n,e[t++]=i,e[t++]=i,e[t]=r}function b(e){for(var t=e.length,r=6*(t/3),n=v.createTypedArray(t,r),i=0,o=0;t>o;o+=3,i+=6)C(n,i,e[o],e[o+1],e[o+2]);return n}function T(e){var t=e.length;if(t>=3){var r=6*(t-2),n=v.createTypedArray(t,r);C(n,0,e[0],e[1],e[2]);for(var i=6,o=3;t>o;++o,i+=6)C(n,i,e[o-1],e[o],e[o-2]);return n}return new Uint16Array}function O(e){if(e.length>0){for(var t=e.length-1,r=6*(t-1),n=v.createTypedArray(t,r),i=e[0],o=0,a=1;t>a;++a,o+=6)C(n,o,i,e[a],e[a+1]);return n}return new Uint16Array}function A(e){var t={};for(var n in e)if(e.hasOwnProperty(n)&&r(e[n])&&r(e[n].values)){var i=e[n];t[n]=new x({componentDatatype:i.componentDatatype,componentsPerAttribute:i.componentsPerAttribute,normalize:i.normalize,values:[]})}return t}function I(e,t,n){for(var i in t)if(t.hasOwnProperty(i)&&r(t[i])&&r(t[i].values))for(var o=t[i],a=0;a<o.componentsPerAttribute;++a)e[i].values.push(o.values[n*o.componentsPerAttribute+a])}function M(e,t){if(r(t))for(var n=t.values,i=n.length,a=0;i>a;a+=3)o.unpack(n,a,Z),m.multiplyByPoint(e,Z,Z),o.pack(Z,n,a)}function N(e,t){if(r(t))for(var n=t.values,i=n.length,a=0;i>a;a+=3)o.unpack(n,a,Z),h.multiplyByVector(e,Z,Z),Z=o.normalize(Z,Z),o.pack(Z,n,a)}function D(e){var t,n=e.length,i={},o=e[0].geometry.attributes;for(t in o)if(o.hasOwnProperty(t)&&r(o[t])&&r(o[t].values)){for(var a=o[t],s=a.values.length,u=!0,l=1;n>l;++l){var c=e[l].geometry.attributes[t];if(!r(c)||a.componentDatatype.value!==c.componentDatatype.value||a.componentsPerAttribute!==c.componentsPerAttribute||a.normalize!==c.normalize){u=!1;break}s+=c.values.length}u&&(i[t]=new x({componentDatatype:a.componentDatatype,componentsPerAttribute:a.componentsPerAttribute,normalize:a.normalize,values:y.createTypedArray(a.componentDatatype,s)}))}return i}function _(e){if(r(e.indices))return e;var t=S.computeNumberOfVertices(e);if(3>t)throw new n("The number of vertices must be at least three.");if(0!==t%3)throw new n("The number of vertices must be a multiple of three.");for(var i=v.createTypedArray(t,t),o=0;t>o;++o)i[o]=o;return e.indices=i,e}function P(e){var t=S.computeNumberOfVertices(e);if(3>t)throw new n("The number of vertices must be at least three.");var r=v.createTypedArray(t,3*(t-2));r[0]=1,r[1]=0,r[2]=2;for(var i=3,o=3;t>o;++o)r[i++]=o-1,r[i++]=0,r[i++]=o;return e.indices=r,e.primitiveType=w.TRIANGLES,e}function R(e){var t=S.computeNumberOfVertices(e);if(3>t)throw new n("The number of vertices must be at least 3.");var r=v.createTypedArray(t,3*(t-2));r[0]=0,r[1]=1,r[2]=2,t>3&&(r[3]=0,r[4]=2,r[5]=3);for(var i=6,o=3;t-1>o;o+=2)r[i++]=o,r[i++]=o-1,r[i++]=o+1,t>o+2&&(r[i++]=o,r[i++]=o+1,r[i++]=o+2);return e.indices=r,e.primitiveType=w.TRIANGLES,e}function z(e){if(r(e.indices))return e;var t=S.computeNumberOfVertices(e);if(2>t)throw new n("The number of vertices must be at least two.");if(0!==t%2)throw new n("The number of vertices must be a multiple of 2.");for(var i=v.createTypedArray(t,t),o=0;t>o;++o)i[o]=o;return e.indices=i,e}function L(e){var t=S.computeNumberOfVertices(e);if(2>t)throw new n("The number of vertices must be at least two.");var r=v.createTypedArray(t,2*(t-1));r[0]=0,r[1]=1;for(var i=2,o=2;t>o;++o)r[i++]=o-1,r[i++]=o;return e.indices=r,e.primitiveType=w.LINES,e}function q(e){var t=S.computeNumberOfVertices(e);if(2>t)throw new n("The number of vertices must be at least two.");var r=v.createTypedArray(t,2*t);r[0]=0,r[1]=1;for(var i=2,o=2;t>o;++o)r[i++]=o-1,r[i++]=o;return r[i++]=t-1,r[i]=0,e.indices=r,e.primitiveType=w.LINES,e}function F(e){switch(e.primitiveType){case w.TRIANGLE_FAN:return P(e);case w.TRIANGLE_STRIP:return R(e);case w.TRIANGLES:return _(e);case w.LINE_STRIP:return L(e);case w.LINE_LOOP:return q(e);case w.LINES:return z(e)}return e}function U(e,t){Math.abs(e.y)<f.EPSILON11&&(e.y=t?-f.EPSILON11:f.EPSILON11)}function B(e,t,r,n){o.add(e,o.multiplyByScalar(o.subtract(t,e,ot),e.y/(e.y-t.y),ot),r),o.clone(r,n),U(r,!0),U(n,!1)}function G(e,t,r){if(e.x>=0||t.x>=0||r.x>=0)return void 0;var n=e.y<0,i=t.y<0,o=r.y<0;U(e,n),U(t,i),U(r,o);var a=0;a+=n?1:0,a+=i?1:0,a+=o?1:0;var s=ct.indices;1===a?(s[1]=3,s[2]=4,s[5]=6,s[7]=6,s[8]=5,n?(B(e,t,at,ut),B(e,r,st,lt),s[0]=0,s[3]=1,s[4]=2,s[6]=1):i?(B(t,r,at,ut),B(t,e,st,lt),s[0]=1,s[3]=2,s[4]=0,s[6]=2):o&&(B(r,e,at,ut),B(r,t,st,lt),s[0]=2,s[3]=0,s[4]=1,s[6]=0)):2===a&&(s[2]=4,s[4]=4,s[5]=3,s[7]=5,s[8]=6,n?i?o||(B(r,e,at,ut),B(r,t,st,lt),s[0]=0,s[1]=1,s[3]=0,s[6]=2):(B(t,r,at,ut),B(t,e,st,lt),s[0]=2,s[1]=0,s[3]=2,s[6]=1):(B(e,t,at,ut),B(e,r,st,lt),s[0]=1,s[1]=2,s[3]=1,s[6]=0));var u=ct.positions;return u[0]=e,u[1]=t,u[2]=r,ct.length=3,(1===a||2===a)&&(u[3]=at,u[4]=st,u[5]=ut,u[6]=lt,ct.length=7),ct}function W(t,n,a,s,u,l,c,f){if(r(u)||r(l)||r(c)||r(f)){var h,m,d,p,y,v,w,g,E,S,x,C,b,T,O,A,I,M,N=s.positions,D=N[0],_=N[1],P=N[2];r(u)&&(h=o.fromArray(u,3*t),m=o.fromArray(u,3*n),d=o.fromArray(u,3*a)),r(l)&&(p=o.fromArray(l,3*t),y=o.fromArray(l,3*n),v=o.fromArray(l,3*a)),r(c)&&(w=o.fromArray(c,3*t),g=o.fromArray(c,3*n),E=o.fromArray(c,3*a)),r(f)&&(S=i.fromArray(f,2*t),x=i.fromArray(f,2*n),C=i.fromArray(f,2*a));for(var R=3;R<N.length;++R){var z=N[R],L=e(z,D,_,P);if(r(u)){b=o.multiplyByScalar(h,L.x,b),T=o.multiplyByScalar(m,L.y,T),O=o.multiplyByScalar(d,L.z,O);var q=o.add(b,T);o.add(q,O,q),o.normalize(q,q),u.push(q.x,q.y,q.z)}if(r(l)){b=o.multiplyByScalar(p,L.x,b),T=o.multiplyByScalar(y,L.y,T),O=o.multiplyByScalar(v,L.z,O);var F=o.add(b,T);o.add(F,O,F),o.normalize(F,F),l.push(F.x,F.y,F.z)}if(r(c)){b=o.multiplyByScalar(w,L.x,b),T=o.multiplyByScalar(g,L.y,T),O=o.multiplyByScalar(E,L.z,O);var U=o.add(b,T);o.add(U,O,U),o.normalize(U,U),c.push(U.x,U.y,U.z)}if(r(f)){A=i.multiplyByScalar(S,L.x,A),I=i.multiplyByScalar(x,L.y,I),M=i.multiplyByScalar(C,L.z,M);var B=i.add(A,I);i.add(B,M,B),f.push(B.x,B.y)}}}}function Y(e){for(var t=e.attributes,n=t.position.values,i=r(t.normal)?t.normal.values:void 0,a=r(t.binormal)?t.binormal.values:void 0,s=r(t.tangent)?t.tangent.values:void 0,u=r(t.st)?t.st.values:void 0,l=e.indices,c=Array.prototype.slice.call(n,0),f=r(i)?Array.prototype.slice.call(i,0):void 0,h=r(a)?Array.prototype.slice.call(a,0):void 0,m=r(s)?Array.prototype.slice.call(s,0):void 0,d=r(u)?Array.prototype.slice.call(u,0):void 0,p=[],w=l.length,g=0;w>g;g+=3){var E=l[g],x=l[g+1],C=l[g+2],b=o.fromArray(n,3*E),T=o.fromArray(n,3*x),O=o.fromArray(n,3*C),A=G(b,T,O);if(r(A))if(c[3*E+1]=A.positions[0].y,c[3*x+1]=A.positions[1].y,c[3*C+1]=A.positions[2].y,A.length>3){for(var I=c.length/3,M=0;M<A.indices.length;++M){var N=A.indices[M];3>N?p.push(l[g+N]):p.push(N-3+I)}for(var D=3;D<A.positions.length;++D){var _=A.positions[D];c.push(_.x,_.y,_.z)}W(E,x,C,A,f,h,m,d)}else p.push(E,x,C);else p.push(E,x,C)}e.attributes.position.values=new Float64Array(c),r(f)&&(t.normal.values=y.createTypedArray(t.normal.componentDatatype,f)),r(h)&&(t.binormal.values=y.createTypedArray(t.binormal.componentDatatype,h)),r(m)&&(t.tangent.values=y.createTypedArray(t.tangent.componentDatatype,m)),r(d)&&(t.st.values=y.createTypedArray(t.st.componentDatatype,d));var P=S.computeNumberOfVertices(e);e.indices=v.createTypedArray(P,p)}function j(e){for(var t=e.attributes,n=t.position.values,i=e.indices,a=Array.prototype.slice.call(n,0),s=[],u=d.fromPointNormal(o.ZERO,o.UNIT_Y),l=i.length,h=0;l>h;h+=2){var m=i[h],p=i[h+1],y=o.fromArray(n,3*m),w=o.fromArray(n,3*p);if(Math.abs(y.y)<f.EPSILON6&&(y.y=y.y<0?-f.EPSILON6:f.EPSILON6,a[3*m+1]=y.y),Math.abs(w.y)<f.EPSILON6&&(w.y=w.y<0?-f.EPSILON6:f.EPSILON6,a[3*p+1]=w.y),s.push(m),y.x<0||w.x<0){var g=c.lineSegmentPlane(y,w,u);if(r(g)){var E=o.multiplyByScalar(o.UNIT_Y,5*f.EPSILON9);y.y<0&&o.negate(E,E);var x=a.length/3;s.push(x,x+1);var C=o.add(g,E);a.push(C.x,C.y,C.z),o.negate(E,E),o.add(g,E,C),a.push(C.x,C.y,C.z)}}s.push(p)}e.attributes.position.values=new Float64Array(a);var b=S.computeNumberOfVertices(e);e.indices=v.createTypedArray(b,s)}var V={};V.toWireframe=function(e){if(!r(e))throw new n("geometry is required.");var t=e.indices;if(r(t)){switch(e.primitiveType){case w.TRIANGLES:e.indices=b(t);break;case w.TRIANGLE_STRIP:e.indices=T(t);break;case w.TRIANGLE_FAN:e.indices=O(t);break;default:throw new n("geometry.primitiveType must be TRIANGLES, TRIANGLE_STRIP, or TRIANGLE_FAN.")}e.primitiveType=w.LINES}return e},V.createLineSegmentsForVectors=function(e,i,o){if(!r(e))throw new n("geometry is required.");if(!r(e.attributes.position))throw new n("geometry.attributes.position is required.");if(i=t(i,"normal"),!r(e.attributes[i]))throw new n("geometry.attributes must have an attribute with the same name as the attributeName parameter, "+i+".");o=t(o,1e4);for(var a=e.attributes.position.values,s=e.attributes[i].values,u=a.length,l=new Float64Array(2*u),c=0,f=0;u>f;f+=3)l[c++]=a[f],l[c++]=a[f+1],l[c++]=a[f+2],l[c++]=a[f]+s[f]*o,l[c++]=a[f+1]+s[f+1]*o,l[c++]=a[f+2]+s[f+2]*o;var h,m=e.boundingSphere;return r(m)&&(h=new E(m.center,m.radius+o)),new S({attributes:{position:new x({componentDatatype:y.DOUBLE,componentsPerAttribute:3,values:l})},primitiveType:w.LINES,boundingSphere:h})},V.createAttributeIndices=function(e){if(!r(e))throw new n("geometry is required.");var t,i=["position","positionHigh","positionLow","position3DHigh","position3DLow","position2DHigh","position2DLow","pickColor","normal","st","binormal","tangent"],o=e.attributes,a={},s=0,u=i.length;for(t=0;u>t;++t){var l=i[t];r(o[l])&&(a[l]=s++)}for(var c in o)o.hasOwnProperty(c)&&!r(a[c])&&(a[c]=s++);return a},V.reorderForPreVertexCache=function(e){if(!r(e))throw new n("geometry is required.");var t=S.computeNumberOfVertices(e),i=e.indices;if(r(i)){for(var o=new Int32Array(t),a=0;t>a;a++)o[a]=-1;for(var s,u=i,l=u.length,c=v.createTypedArray(t,l),f=0,h=0,m=0;l>f;)s=o[u[f]],-1!==s?c[h]=s:(s=u[f],o[s]=m,c[h]=m,++m),++f,++h;e.indices=c;var d=e.attributes;for(var p in d)if(d.hasOwnProperty(p)&&r(d[p])&&r(d[p].values)){for(var w=d[p],g=w.values,E=0,x=w.componentsPerAttribute,C=y.createTypedArray(w.componentDatatype,m*x);t>E;){var b=o[E];if(-1!==b)for(a=0;x>a;a++)C[x*b+a]=g[x*E+a];++E}w.values=C}}return e},V.reorderForPostVertexCache=function(e,t){if(!r(e))throw new n("geometry is required.");var i=e.indices;if(e.primitiveType===w.TRIANGLES&&r(i)){for(var o=i.length,a=0,s=0;o>s;s++)i[s]>a&&(a=i[s]);e.indices=g.tipsify({indices:i,maximumIndex:a,cacheSize:t})}return e},V.fitToUnsignedShortIndices=function(e){if(!r(e))throw new n("geometry is required.");if(r(e.indices)&&e.primitiveType!==w.TRIANGLES&&e.primitiveType!==w.LINES&&e.primitiveType!==w.POINTS)throw new n("geometry.primitiveType must equal to PrimitiveType.TRIANGLES, PrimitiveType.LINES, or PrimitiveType.POINTS.");var t=[],i=S.computeNumberOfVertices(e);if(r(e.indices)&&i>f.SIXTY_FOUR_KILOBYTES){var o,a=[],s=[],u=0,l=A(e.attributes),c=e.indices,h=c.length;e.primitiveType===w.TRIANGLES?o=3:e.primitiveType===w.LINES?o=2:e.primitiveType===w.POINTS&&(o=1);for(var m=0;h>m;m+=o){for(var d=0;o>d;++d){var p=c[m+d],y=a[p];r(y)||(y=u++,a[p]=y,I(l,e.attributes,p)),s.push(y)}u+o>f.SIXTY_FOUR_KILOBYTES&&(t.push(new S({attributes:l,indices:s,primitiveType:e.primitiveType,boundingSphere:e.boundingSphere})),a=[],s=[],u=0,l=A(e.attributes))}0!==s.length&&t.push(new S({attributes:l,indices:s,primitiveType:e.primitiveType,boundingSphere:e.boundingSphere}))}else t.push(e);return t};var H=new o,k=new s;V.projectTo2D=function(e,t,i,a,s){if(!r(e))throw new n("geometry is required.");if(!r(t))throw new n("attributeName is required.");if(!r(i))throw new n("attributeName3D is required.");if(!r(a))throw new n("attributeName2D is required.");var u=e.attributes[t];if(!r(u))throw new n("geometry must have attribute matching the attributeName argument: "+t+".");if(u.componentDatatype.value!==y.DOUBLE.value)throw new n("The attribute componentDatatype must be ComponentDatatype.DOUBLE.");s=r(s)?s:new p;for(var l=s.getEllipsoid(),c=u.values,f=new Float64Array(c.length),h=0,m=0;m<c.length;m+=3){var d=o.fromArray(c,m,H),v=l.cartesianToCartographic(d,k);if(!r(v))throw new n("Could not project point ("+d.x+", "+d.y+", "+d.z+") to 2D.");var w=s.project(v,H);f[h++]=w.x,f[h++]=w.y,f[h++]=w.z}return e.attributes[i]=u,e.attributes[a]=new x({componentDatatype:y.DOUBLE,componentsPerAttribute:3,values:f}),delete e.attributes[t],e};var K={high:0,low:0};V.encodeAttribute=function(e,t,i,o){if(!r(e))throw new n("geometry is required.");if(!r(t))throw new n("attributeName is required.");if(!r(i))throw new n("attributeHighName is required.");if(!r(o))throw new n("attributeLowName is required.");var a=e.attributes[t];if(!r(a))throw new n("geometry must have attribute matching the attributeName argument: "+t+".");if(a.componentDatatype.value!==y.DOUBLE.value)throw new n("The attribute componentDatatype must be ComponentDatatype.DOUBLE.");for(var s=a.values,l=s.length,c=new Float32Array(l),f=new Float32Array(l),h=0;l>h;++h)u.encode(s[h],K),c[h]=K.high,f[h]=K.low;var m=a.componentsPerAttribute;return e.attributes[i]=new x({componentDatatype:y.FLOAT,componentsPerAttribute:m,values:c}),e.attributes[o]=new x({componentDatatype:y.FLOAT,componentsPerAttribute:m,values:f}),delete e.attributes[t],e};var Z=new o,J=new m,X=new h;V.transformToWorldCoordinates=function(e){if(!r(e))throw new n("instance is required.");var t=e.modelMatrix;if(m.equals(t,m.IDENTITY))return e;var i=e.geometry.attributes;M(t,i.position),M(t,i.prevPosition),M(t,i.nextPosition),(r(i.normal)||r(i.binormal)||r(i.tangent))&&(m.inverse(t,J),m.transpose(J,J),m.getRotation(J,X),N(X,i.normal),N(X,i.binormal),N(X,i.tangent));var o=e.geometry.boundingSphere;return r(o)&&(e.geometry.boundingSphere=E.transform(o,t,o)),e.modelMatrix=m.clone(m.IDENTITY),e},V.combine=function(e){if(!r(e)||e.length<1)throw new n("instances is required and must have length greater than zero.");var t,i,a,s,u=e.length,l=e[0].modelMatrix,c=r(e[0].geometry.indices),f=e[0].geometry.primitiveType;for(i=1;u>i;++i){if(!m.equals(e[i].modelMatrix,l))throw new n("All instances must have the same modelMatrix.");if(r(e[i].geometry.indices)!==c)throw new n("All instance geometries must have an indices or not have one.");if(e[i].geometry.primitiveType!==f)throw new n("All instance geometries must have the same primitiveType.")}var h,d,p,y=D(e);for(t in y)if(y.hasOwnProperty(t))for(h=y[t].values,s=0,i=0;u>i;++i)for(d=e[i].geometry.attributes[t].values,p=d.length,a=0;p>a;++a)h[s++]=d[a];var g;if(c){var x=0;for(i=0;u>i;++i)x+=e[i].geometry.indices.length;var C=S.computeNumberOfVertices(new S({attributes:y,primitiveType:w.POINTS})),b=v.createTypedArray(C,x),T=0,O=0;for(i=0;u>i;++i){var A=e[i].geometry.indices,I=A.length;for(s=0;I>s;++s)b[T++]=O+A[s];O+=S.computeNumberOfVertices(e[i].geometry)}g=b}var M,N=new o,_=0;for(i=0;u>i;++i){if(M=e[i].geometry.boundingSphere,!r(M)){N=void 0;break}o.add(M.center,N,N)}if(r(N))for(o.divideByScalar(N,u,N),i=0;u>i;++i){M=e[i].geometry.boundingSphere;var P=o.magnitude(o.subtract(M.center,N))+M.radius;P>_&&(_=P)}return new S({attributes:y,indices:g,primitiveType:f,boundingSphere:r(N)?new E(N,_):void 0})
};var Q=new o,$=new o,et=new o,tt=new o;V.computeNormal=function(e){if(!r(e))throw new n("geometry is required.");var t=e.attributes,i=e.indices;if(!r(t.position)||!r(t.position.values))throw new n("geometry.attributes.position.values is required.");if(!r(i))throw new n("geometry.indices is required.");if(i.length<2||0!==i.length%3)throw new n("geometry.indices length must be greater than 0 and be a multiple of 3.");if(e.primitiveType!==w.TRIANGLES)throw new n("geometry.primitiveType must be PrimitiveType.TRIANGLES.");for(var a=e.attributes.position.values,s=e.attributes.position.values.length/3,u=i.length,l=new Array(s),c=new Array(u/3),f=new Array(u),h=0;s>h;h++)l[h]={indexOffset:0,count:0,currentCount:0};var m=0;for(h=0;u>h;h+=3){var d=i[h],p=i[h+1],v=i[h+2],g=3*d,E=3*p,S=3*v;$.x=a[g],$.y=a[g+1],$.z=a[g+2],et.x=a[E],et.y=a[E+1],et.z=a[E+2],tt.x=a[S],tt.y=a[S+1],tt.z=a[S+2],l[d].count++,l[p].count++,l[v].count++,o.subtract(et,$,et),o.subtract(tt,$,tt),c[m]=o.cross(et,tt),m++}var C=0;for(h=0;s>h;h++)l[h].indexOffset+=C,C+=l[h].count;m=0;var b;for(h=0;u>h;h+=3){b=l[i[h]];var T=b.indexOffset+b.currentCount;f[T]=m,b.currentCount++,b=l[i[h+1]],T=b.indexOffset+b.currentCount,f[T]=m,b.currentCount++,b=l[i[h+2]],T=b.indexOffset+b.currentCount,f[T]=m,b.currentCount++,m++}var O=new Float32Array(3*s);for(h=0;s>h;h++){var A=3*h;if(b=l[h],b.count>0){for(o.clone(o.ZERO,Q),m=0;m<b.count;m++)o.add(Q,c[f[b.indexOffset+m]],Q);o.normalize(Q,Q),O[A]=Q.x,O[A+1]=Q.y,O[A+2]=Q.z}else O[A]=0,O[A+1]=0,O[A+2]=1}return e.attributes.normal=new x({componentDatatype:y.FLOAT,componentsPerAttribute:3,values:O}),e};var rt=new o,nt=new o,it=new o;V.computeBinormalAndTangent=function(e){if(!r(e))throw new n("geometry is required.");var t=e.attributes,i=e.indices;if(!r(t.position)||!r(t.position.values))throw new n("geometry.attributes.position.values is required.");if(!r(t.normal)||!r(t.normal.values))throw new n("geometry.attributes.normal.values is required.");if(!r(t.st)||!r(t.st.values))throw new n("geometry.attributes.st.values is required.");if(!r(i))throw new n("geometry.indices is required.");if(i.length<2||0!==i.length%3)throw new n("geometry.indices length must be greater than 0 and be a multiple of 3.");if(e.primitiveType!==w.TRIANGLES)throw new n("geometry.primitiveType must be PrimitiveType.TRIANGLES.");for(var a=e.attributes.position.values,s=e.attributes.normal.values,u=e.attributes.st.values,l=e.attributes.position.values.length/3,c=i.length,f=new Array(3*l),h=0;h<f.length;h++)f[h]=0;var m,d,p;for(h=0;c>h;h+=3){var v=i[h],g=i[h+1],E=i[h+2];m=3*v,d=3*g,p=3*E;var S=2*v,C=2*g,b=2*E,T=a[m],O=a[m+1],A=a[m+2],I=u[S],M=u[S+1],N=u[C+1]-M,D=u[b+1]-M,_=1/((u[C]-I)*D-(u[b]-I)*N),P=(D*(a[d]-T)-N*(a[p]-T))*_,R=(D*(a[d+1]-O)-N*(a[p+1]-O))*_,z=(D*(a[d+2]-A)-N*(a[p+2]-A))*_;f[m]+=P,f[m+1]+=R,f[m+2]+=z,f[d]+=P,f[d+1]+=R,f[d+2]+=z,f[p]+=P,f[p+1]+=R,f[p+2]+=z}var L=new Float32Array(3*l),q=new Float32Array(3*l);for(h=0;l>h;h++){m=3*h,d=m+1,p=m+2;var F=o.fromArray(s,m,rt),U=o.fromArray(f,m,it),B=o.dot(F,U);o.multiplyByScalar(F,B,nt),o.normalize(o.subtract(U,nt,U),U),q[m]=U.x,q[d]=U.y,q[p]=U.z,o.normalize(o.cross(F,U,U),U),L[m]=U.x,L[d]=U.y,L[p]=U.z}return e.attributes.tangent=new x({componentDatatype:y.FLOAT,componentsPerAttribute:3,values:q}),e.attributes.binormal=new x({componentDatatype:y.FLOAT,componentsPerAttribute:3,values:L}),e};var ot=new o,at=new o,st=new o,ut=new o,lt=new o,ct={positions:new Array(7),indices:new Array(9)};return V.wrapLongitude=function(e){if(!r(e))throw new n("geometry is required.");var t=e.boundingSphere;if(r(t)){var i=t.center.x-t.radius;if(i>0||E.intersect(t,a.UNIT_Y)!==l.INTERSECTING)return e}return F(e),e.primitiveType===w.TRIANGLES?Y(e):e.primitiveType===w.LINES&&j(e),e},V}),define("Core/PolygonGeometryLibrary",["./defaultValue","./defined","./Cartesian3","./Ellipsoid"],function(e,t,r,n){"use strict";function i(e,t,n,i){return r.subtract(t,e,a),r.multiplyByScalar(a,n/i,a),r.add(e,a,a),[a.x,a.y,a.z]}var o={},a=new r;o.subdivideLine=function(e,t,n){var o=r.distance(e,t),a=r.angleBetween(e,t),s=a/n,u=Math.ceil(Math.log(s)/Math.log(2));1>u&&(u=0);var l=Math.pow(2,u),c=o/l,f=new Array(3*l),h=0;f[h++]=e.x,f[h++]=e.y,f[h++]=e.z;for(var m=1;l>m;m++){var d=i(e,t,m*c,o);f[h++]=d[0],f[h++]=d[1],f[h++]=d[2]}return f};var s=new r,u=new r,l=new r,c=new r;return o.scaleToGeodeticHeightExtruded=function(i,o,a,f,h){f=e(f,n.WGS84);var m=s,d=u,p=l,y=c;if(t(i)&&t(i.attributes)&&t(i.attributes.position))for(var v=i.attributes.position.values,w=v.length/2,g=0;w>g;g+=3)r.fromArray(v,g,p),f.geodeticSurfaceNormal(p,m),y=f.scaleToGeodeticSurface(p,y),d=r.multiplyByScalar(m,a,d),d=r.add(y,d,d),v[g+w]=d.x,v[g+1+w]=d.y,v[g+2+w]=d.z,h&&(y=r.clone(p,y)),d=r.multiplyByScalar(m,o,d),d=r.add(y,d,d),v[g]=d.x,v[g+1]=d.y,v[g+2]=d.z;return i},o}),define("Core/pointInsideTriangle",["./barycentricCoordinates","./Cartesian3","./DeveloperError"],function(e,t){"use strict";var r=new t,n=function(t,n,i,o){return e(t,n,i,o,r),r.x>0&&r.y>0&&r.z>0};return n}),define("Core/Queue",[],function(){"use strict";var e=function(){this._array=[],this._offset=0,this.length=0};return e.prototype.enqueue=function(e){this._array.push(e),this.length++},e.prototype.dequeue=function(){if(0===this.length)return void 0;var e=this._array,t=this._offset,r=e[t];return e[t]=void 0,t++,t>10&&2*t>e.length&&(this._array=e.slice(t),t=0),this._offset=t,this.length--,r},e.prototype.contains=function(e){return-1!==this._array.indexOf(e)},e.prototype.clear=function(){this._array.length=this._offset=this.length=0},e.prototype.sort=function(e){this._offset>0&&(this._array=this._array.slice(this._offset),this._offset=0),this._array.sort(e)},e}),define("Core/WindingOrder",["./Enumeration"],function(e){"use strict";var t={CLOCKWISE:new e(2304,"CLOCKWISE"),COUNTER_CLOCKWISE:new e(2305,"COUNTER_CLOCKWISE"),validate:function(e){return e===t.CLOCKWISE||e===t.COUNTER_CLOCKWISE}};return t}),define("Core/PolygonPipeline",["./DeveloperError","./Math","./Cartesian2","./Cartesian3","./defined","./Geometry","./GeometryAttribute","./Ellipsoid","./EllipsoidTangentPlane","./defaultValue","./pointInsideTriangle","./ComponentDatatype","./PrimitiveType","./Queue","./WindingOrder"],function(e,t,r,n,i,o,a,s,u,l,c,f,h,m,d){"use strict";function p(e,t,n){var i=r.subtract(t,e),o=r.subtract(n,t);return i.x*o.y-i.y*o.x>=0}function y(e){for(var t=e[0].x,r=0,n=0;n<e.length;n++)e[n].x>t&&(t=e[n].x,r=n);return r}function v(e){for(var t=e[0][0].x,r=0,n=0;n<e.length;n++){var i=e[n][y(e[n])].x;i>t&&(t=i,r=n)}return r}function w(e){for(var t=[],r=0;r<e.length;r++){var n=e[(r-1+e.length)%e.length],i=e[r],o=e[(r+1)%e.length];p(n,i,o)||t.push(i)}return t}function g(e,t){for(var n=0;n<e.length;n++)if(r.equals(t,e[n]))return n;return-1}function E(e,t,i){i=l(i,[]);var o=Number.MAX_VALUE,a=y(t),s=new r(t[a].x,e.y);i.push(a),i.push((a+1)%t.length);for(var u=t[0].x,c=u,f=1;f<t.length;++f)t[f].x<u?u=t[f].x:t[f].x>c&&(c=t[f].x);c+=c-u;var h=new n(c,e.y,0);for(f=0;f<t.length;f++){var m=t[f],d=t[(f+1)%t.length];if((m.x>=e.x||d.x>=e.x)&&(m.y>=e.y&&d.y<=e.y||m.y<=e.y&&d.y>=e.y)){var p=(d.y-m.y)*(h.x-e.x)-(d.x-m.x)*(h.y-e.y);if(0!==p){p=1/p;var v=((d.x-m.x)*(e.y-m.y)-(d.y-m.y)*(e.x-m.x))*p,w=((h.x-e.x)*(e.y-m.y)-(h.y-e.y)*(e.x-m.x))*p;if(v>=0&&1>=v&&w>=0&&1>=w){var g=new r(e.x+v*(h.x-e.x),e.y+v*(h.y-e.y)),E=r.subtract(g,e);p=r.magnitudeSquared(E),o>p&&(s=g,o=p,i[0]=f,i[1]=(f+1)%t.length)}}}}return s}function S(e,t){var n=v(t),i=t[n],o=y(i),a=i[o],s=[],u=E(a,e,s),l=g(e,u);if(-1!==l)return l;var f=r.magnitudeSquared(r.subtract(e[s[0]],a)),h=r.magnitudeSquared(r.subtract(e[s[1]],a)),m=h>f?e[s[0]]:e[s[1]],d=w(e),p=d.indexOf(m);-1!==p&&d.splice(p,1);for(var S=[],x=0;x<d.length;x++){var C=d[x];c(C,a,u,m)&&S.push(C)}var b=Number.MAX_VALUE;if(S.length>0){var T=new r(1,0);for(x=0;x<S.length;x++){var O=r.subtract(S[x],a),A=r.magnitude(T)*r.magnitudeSquared(O);if(0!==A){var I=Math.abs(Math.acos(r.dot(T,O)/A));b>I&&(b=I,m=S[x])}}}return e.indexOf(m)}function x(e,t,r){for(var i=Y.computeWindingOrder2D(e),o=0;o<t.length;o++){var a=t[o];n.equals(a[0],a[a.length-1])||a.push(a[0]);var s=Y.computeWindingOrder2D(a);s===i&&a.reverse()}var l=u.fromPoints(e,r),c=l.projectPointsOntoPlane(e),f=[];for(o=0;o<t.length;o++)f.push(l.projectPointsOntoPlane(t[o]));var h=S(c,f),m=v(f),d=y(f[m]),p=t[m],w=[];for(o=0;o<e.length;o++)w.push(e[o]);var g,E=[];if(0!==d)for(g=0;g<=p.length;g++){var x=(g+d)%p.length;0!==x&&E.push(p[x])}else for(g=0;g<p.length;g++)E.push(p[(g+d)%p.length]);var C=w.lastIndexOf(e[h]);E.push(e[C]);var b=w.slice(0,C+1),T=w.slice(C+1);return w=b.concat(E,T),t.splice(m,1),w}function C(e){var t="0."+Math.sin(F).toString().substr(5);F+=.2;var r=Math.floor(t*e);return r===e&&r--,r}function b(e,t,n){return T(e,t,n)&&T(t,e,n)&&!R(n[e].position,n[t].position,n)&&!r.equals(n[e].position,n[t].position)}function T(e,t,i){I(e,i);var o=i[e],a=i[t],s=A(e,i,U),u=A(e,i,B),l=r.subtract(i[s].position,o.position),c=r.subtract(i[u].position,o.position),f=r.subtract(a.position,o.position);return l=new n(l.x,l.y,0),c=new n(c.x,c.y,0),f=new n(f.x,f.y,0),M(l,f)?O(l,f):M(c,f)?O(c,f):N(l,c)?P(l,c,f)?!0:!1:D(l,c)?_(l,c,f)?!1:!0:void 0}function O(e,t){return r.magnitude(t)<r.magnitude(e)}function A(e,t,r){var n=e+r;return 0>n&&(n=t.length-1),n===t.length&&(n=0),I(n,t),n}function I(t,i){var o=t-1,a=t+1;0>o&&(o=i.length-1),a===i.length&&(a=0);var s=r.subtract(i[o].position,i[t].position),u=r.subtract(i[a].position,i[t].position);if(s=new n(s.x,s.y,0),u=new n(u.x,u.y,0),M(s,u)){var l=new e("Superfluous vertex found.");throw l.vertexIndex=t,l}}function M(e,t){return 0===n.cross(e,t).z}function N(e,t){return n.cross(e,t).z<0}function D(e,t){return n.cross(e,t).z>0}function _(e,t,r){return n.cross(e,r).z>0&&n.cross(r,t).z>0}function P(e,t,r){return n.cross(e,r).z<0&&n.cross(r,t).z<0}function R(e,t,n){for(var i=0;i<n.length;i++){var o,a=n[i].position;if(o=i<n.length-1?n[i+1].position:n[0].position,!(r.equals(e,a)||r.equals(t,o)||r.equals(e,o)||r.equals(t,a))){var s=(t.y-e.y)/(t.x-e.x),u=(o.y-a.y)/(o.x-a.x);if(!(s===u||isNaN(s)&&isNaN(u))){var l;l=isNaN(s)?e.x:isNaN(u)?a.x:(e.y-a.y-s*e.x+u*a.x)/(u-s);var c=s*l+e.y-s*e.x,f=new r(l,c);if(!(r.equals(f,e)||r.equals(f,t)||r.equals(f,a)||r.equals(f,o))){var h=L(l,e.x,t.x)&&L(c,e.y,t.y)&&L(l,a.x,o.x)&&L(c,a.y,o.y);if(h)return!0}}}}return!1}function z(e){var t=e[0].position,i=e[1].position,o=e[2].position,a=r.subtract(i,t),s=r.subtract(o,t);return a=new n(a.x,a.y,0),s=new n(s.x,s.y,0),M(a,s)}function L(e,t,r){return(e>t||e>r)&&(t>e||r>e)||t===r&&t===e}function q(t){var r=t.length;if(3===r)return z(t)?[]:[t[0].index,t[1].index,t[2].index];if(t.length<3)throw new e("Invalid polygon: must have at least three vertices.");for(var n=!1,i=0;!n;){var o=10*t.length;if(i>o)return[];i++;for(var a=C(t.length),s=a+1;Math.abs(a-s)<2||Math.abs(a-s)>t.length-2;)s=C(t.length);if(a>s){var u=a;a=s,s=u}try{if(b(a,s,t)){var l=t.splice(a,s-a+1,t[a],t[s]);return q(t).concat(q(l))}}catch(c){if(c.hasOwnProperty("vertexIndex"))return t.splice(c.vertexIndex,1),q(t);throw c}}}var F=0,U=-1,B=1,G=new n,W=new n,Y={removeDuplicates:function(t){if(!i(t))throw new e("positions is required.");var r=t.length;if(3>r)throw new e("At least three positions are required.");for(var o=[],a=r-1,s=0;r>s;a=s++){var u=t[a],l=t[s];n.equals(u,l)||o.push(l)}return o},computeArea2D:function(t){if(!i(t))throw new e("positions is required.");var r=t.length;if(3>r)throw new e("At least three positions are required.");for(var n=0,o=r-1,a=0;r>a;o=a++){var s=t[o],u=t[a];n+=s.x*u.y-u.x*s.y}return.5*n},computeWindingOrder2D:function(e){var t=Y.computeArea2D(e);return t>=0?d.COUNTER_CLOCKWISE:d.CLOCKWISE},triangulate:function(t){if(!i(t))throw new e("positions is required.");var r=t.length;if(3>r)throw new e("At least three positions are required.");for(var n=[],o=0;r>o;++o)n[o]={position:t[o],index:o};return q(n)},resetSeed:function(e){F=l(e,0)},computeSubdivision:function(r,s,u){if(!i(r))throw new e("positions is required.");if(!i(s))throw new e("indices is required.");if(s.length<3)throw new e("At least three indices are required.");if(0!==s.length%3)throw new e("The number of indices must be divisable by three.");if(u=l(u,t.RADIANS_PER_DEGREE),0>=u)throw new e("granularity must be greater than zero.");for(var c=new m,d=s.length,p=0;d>p;p+=3)c.enqueue({i0:s[p],i1:s[p+1],i2:s[p+2]});for(var y,v=r.slice(0),w=[],g={};c.length>0;){var E,S,x=c.dequeue(),C=v[x.i0],b=v[x.i1],T=v[x.i2],O=n.angleBetween(C,b),A=n.angleBetween(b,T),I=n.angleBetween(T,C),M=Math.max(O,Math.max(A,I));M>u?O===M?(E=Math.min(x.i0,x.i1).toString()+" "+Math.max(x.i0,x.i1).toString(),y=g[E],y||(S=n.add(C,b),n.multiplyByScalar(S,.5,S),v.push(S),y=v.length-1,g[E]=y),c.enqueue({i0:x.i0,i1:y,i2:x.i2}),c.enqueue({i0:y,i1:x.i1,i2:x.i2})):A===M?(E=Math.min(x.i1,x.i2).toString()+" "+Math.max(x.i1,x.i2).toString(),y=g[E],y||(S=n.add(b,T),n.multiplyByScalar(S,.5,S),v.push(S),y=v.length-1,g[E]=y),c.enqueue({i0:x.i1,i1:y,i2:x.i0}),c.enqueue({i0:y,i1:x.i2,i2:x.i0})):I===M&&(E=Math.min(x.i2,x.i0).toString()+" "+Math.max(x.i2,x.i0).toString(),y=g[E],y||(S=n.add(T,C),n.multiplyByScalar(S,.5,S),v.push(S),y=v.length-1,g[E]=y),c.enqueue({i0:x.i2,i1:y,i2:x.i1}),c.enqueue({i0:y,i1:x.i0,i2:x.i1})):(w.push(x.i0),w.push(x.i1),w.push(x.i2))}var N=v.length,D=new Array(3*N),_=0;for(y=0;N>y;y++){var P=v[y];D[_++]=P.x,D[_++]=P.y,D[_++]=P.z}return new o({attributes:{position:new a({componentDatatype:f.DOUBLE,componentsPerAttribute:3,values:D})},indices:w,primitiveType:h.TRIANGLES})},scaleToGeodeticHeight:function(e,t,r,o){r=l(r,s.WGS84);var a=G,u=W;if(t=l(t,0),o=l(o,!0),i(e)&&i(e.attributes)&&i(e.attributes.position))for(var c=e.attributes.position.values,f=c.length,h=0;f>h;h+=3)n.fromArray(c,h,u),o&&(u=r.scaleToGeodeticSurface(u,u)),a=r.geodeticSurfaceNormal(u,a),n.multiplyByScalar(a,t,a),n.add(u,a,u),c[h]=u.x,c[h+1]=u.y,c[h+2]=u.z;return e},eliminateHoles:function(t,r,o){if(!i(t))throw new e("outerRing is required.");if(0===t.length)throw new e("outerRing must not be empty.");if(!i(r))throw new e("innerRings is required.");o=l(o,s.WGS84);for(var a=[],u=0;u<r.length;u++){for(var c=[],f=0;f<r[u].length;f++)c.push(n.clone(r[u][f]));a.push(c)}for(var h=t;a.length>0;)h=x(h,a,o);return h}};return Y}),define("Core/Quaternion",["./Cartesian3","./defaultValue","./defined","./DeveloperError","./freezeObject","./Math","./Matrix3"],function(e,t,r,n,i,o,a){"use strict";var s,u=function(e,r,n,i){this.x=t(e,0),this.y=t(r,0),this.z=t(n,0),this.w=t(i,0)};u.fromAxisAngle=function(t,n,i){var o=n/2,a=Math.sin(o);s=e.normalize(t,s);var l=s.x*a,c=s.y*a,f=s.z*a,h=Math.cos(o);return r(i)?(i.x=l,i.y=c,i.z=f,i.w=h,i):new u(l,c,f,h)};var l=[1,2,0],c=new Array(3);u.fromRotationMatrix=function(e,t){var n,i,o,s,f,h=e[a.COLUMN0ROW0],m=e[a.COLUMN1ROW1],d=e[a.COLUMN2ROW2],p=h+m+d;if(p>0)n=Math.sqrt(p+1),f=.5*n,n=.5/n,i=(e[a.COLUMN1ROW2]-e[a.COLUMN2ROW1])*n,o=(e[a.COLUMN2ROW0]-e[a.COLUMN0ROW2])*n,s=(e[a.COLUMN0ROW1]-e[a.COLUMN1ROW0])*n;else{var y=l,v=0;m>h&&(v=1),d>h&&d>m&&(v=2);var w=y[v],g=y[w];n=Math.sqrt(e[a.getElementIndex(v,v)]-e[a.getElementIndex(w,w)]-e[a.getElementIndex(g,g)]+1);var E=c;E[v]=.5*n,n=.5/n,f=(e[a.getElementIndex(g,w)]-e[a.getElementIndex(w,g)])*n,E[w]=(e[a.getElementIndex(w,v)]+e[a.getElementIndex(v,w)])*n,E[g]=(e[a.getElementIndex(g,v)]+e[a.getElementIndex(v,g)])*n,i=-E[0],o=-E[1],s=-E[2]}return r(t)?(t.x=i,t.y=o,t.z=s,t.w=f,t):new u(i,o,s,f)};var f=new e,h=new e,m=new u,d=new u,p=new u;u.packedLength=4,u.pack=function(e,r,n){n=t(n,0),r[n++]=e.x,r[n++]=e.y,r[n++]=e.z,r[n]=e.w},u.unpack=function(e,n,i){return n=t(n,0),r(i)||(i=new u),i.x=e[n],i.y=e[n+1],i.z=e[n+2],i.w=e[n+3],i},u.packedInterpolationLength=3,u.convertPackedArrayForInterpolation=function(e,t,r,n){u.unpack(e,4*r,p),u.conjugate(p,p);for(var i=0,o=r-t+1;o>i;i++){var a=3*i;u.unpack(e,4*(t+i),m),u.multiply(m,p,m),m.w<0&&u.negate(m,m),u.getAxis(m,f);var s=u.getAngle(m);n[a]=f.x*s,n[a+1]=f.y*s,n[a+2]=f.z*s}},u.unpackInterpolationResult=function(t,n,i,o,a){r(a)||(a=new u),e.fromArray(t,0,h);var s=e.magnitude(h);return u.unpack(n,4*o,d),0===s?u.clone(u.IDENTITY,m):u.fromAxisAngle(h,s,m),u.multiply(m,d,a)},u.clone=function(e,t){return r(e)?r(t)?(t.x=e.x,t.y=e.y,t.z=e.z,t.w=e.w,t):new u(e.x,e.y,e.z,e.w):void 0},u.conjugate=function(e,t){return r(t)?(t.x=-e.x,t.y=-e.y,t.z=-e.z,t.w=e.w,t):new u(-e.x,-e.y,-e.z,e.w)},u.magnitudeSquared=function(e){return e.x*e.x+e.y*e.y+e.z*e.z+e.w*e.w},u.magnitude=function(e){return Math.sqrt(u.magnitudeSquared(e))},u.normalize=function(e,t){var n=1/u.magnitude(e),i=e.x*n,o=e.y*n,a=e.z*n,s=e.w*n;return r(t)?(t.x=i,t.y=o,t.z=a,t.w=s,t):new u(i,o,a,s)},u.inverse=function(e,t){var r=u.magnitudeSquared(e);return t=u.conjugate(e,t),u.multiplyByScalar(t,1/r,t)},u.add=function(e,t,n){return r(n)?(n.x=e.x+t.x,n.y=e.y+t.y,n.z=e.z+t.z,n.w=e.w+t.w,n):new u(e.x+t.x,e.y+t.y,e.z+t.z,e.w+t.w)},u.subtract=function(e,t,n){return r(n)?(n.x=e.x-t.x,n.y=e.y-t.y,n.z=e.z-t.z,n.w=e.w-t.w,n):new u(e.x-t.x,e.y-t.y,e.z-t.z,e.w-t.w)},u.negate=function(e,t){return r(t)?(t.x=-e.x,t.y=-e.y,t.z=-e.z,t.w=-e.w,t):new u(-e.x,-e.y,-e.z,-e.w)},u.dot=function(e,t){return e.x*t.x+e.y*t.y+e.z*t.z+e.w*t.w},u.multiply=function(e,t,n){var i=e.x,o=e.y,a=e.z,s=e.w,l=t.x,c=t.y,f=t.z,h=t.w,m=s*l+i*h+o*f-a*c,d=s*c-i*f+o*h+a*l,p=s*f+i*c-o*l+a*h,y=s*h-i*l-o*c-a*f;return r(n)?(n.x=m,n.y=d,n.z=p,n.w=y,n):new u(m,d,p,y)},u.multiplyByScalar=function(e,t,n){return r(n)?(n.x=e.x*t,n.y=e.y*t,n.z=e.z*t,n.w=e.w*t,n):new u(e.x*t,e.y*t,e.z*t,e.w*t)},u.divideByScalar=function(e,t,n){return r(n)?(n.x=e.x/t,n.y=e.y/t,n.z=e.z/t,n.w=e.w/t,n):new u(e.x/t,e.y/t,e.z/t,e.w/t)},u.getAxis=function(t,n){var i=t.w;if(Math.abs(i-1)<o.EPSILON6)return r(n)?(n.x=n.y=n.z=0,n):new e;var a=1/Math.sqrt(1-i*i);return r(n)?(n.x=t.x*a,n.y=t.y*a,n.z=t.z*a,n):new e(t.x*a,t.y*a,t.z*a)},u.getAngle=function(e){return Math.abs(e.w-1)<o.EPSILON6?0:2*Math.acos(e.w)};var y;u.lerp=function(e,t,r,n){return y=u.multiplyByScalar(t,r,y),n=u.multiplyByScalar(e,1-r,n),u.add(y,n,n)};var v,w,g;u.slerp=function(e,t,r,n){var i=u.dot(e,t),a=t;if(0>i&&(i=-i,a=v=u.negate(t,v)),1-i<o.EPSILON6)return u.lerp(e,a,r,n);var s=Math.acos(i);return w=u.multiplyByScalar(e,Math.sin((1-r)*s),w),g=u.multiplyByScalar(a,Math.sin(r*s),g),n=u.add(w,g,n),u.multiplyByScalar(n,1/Math.sin(s),n)},u.log=function(t,n){var i=Math.acos(o.clamp(t.w,-1,1)),a=0;return 0!==i&&(a=i/Math.sin(i)),r(n)||(n=new e),e.multiplyByScalar(t,a,n)},new e,u.exp=function(t,n){var i=e.magnitude(t),o=0;return 0!==i&&(o=Math.sin(i)/i),r(n)||(n=new u),n.x=t.x*o,n.y=t.y*o,n.z=t.z*o,n.w=Math.cos(i),n};var E=new e,S=new e,x=new u,C=new u;return u.innerQuadrangle=function(t,r,n,i){var o=u.conjugate(r,x);u.multiply(o,n,C);var a=u.log(C,E);u.multiply(o,t,C);var s=u.log(C,S);return e.add(a,s,a),e.multiplyByScalar(a,.25,a),e.negate(a,a),u.exp(a,x),u.multiply(r,x,i)},u.squad=function(e,t,r,n,i,o){var a=u.slerp(e,t,i,x),s=u.slerp(r,n,i,C);return u.slerp(a,s,2*i*(1-i),o)},u.equals=function(e,t){return e===t||r(e)&&r(t)&&e.x===t.x&&e.y===t.y&&e.z===t.z&&e.w===t.w},u.equalsEpsilon=function(e,t,n){return e===t||r(e)&&r(t)&&Math.abs(e.x-t.x)<=n&&Math.abs(e.y-t.y)<=n&&Math.abs(e.z-t.z)<=n&&Math.abs(e.w-t.w)<=n},u.ZERO=i(new u(0,0,0,0)),u.IDENTITY=i(new u(0,0,0,1)),u.prototype.clone=function(e){return u.clone(this,e)},u.prototype.equals=function(e){return u.equals(this,e)},u.prototype.equalsEpsilon=function(e,t){return u.equalsEpsilon(this,e,t)},u.prototype.toString=function(){return"("+this.x+", "+this.y+", "+this.z+", "+this.w+")"},u}),define("Core/VertexFormat",["./defaultValue","./freezeObject"],function(e,t){"use strict";var r=function(t){t=e(t,e.EMPTY_OBJECT),this.position=e(t.position,!1),this.normal=e(t.normal,!1),this.st=e(t.st,!1),this.binormal=e(t.binormal,!1),this.tangent=e(t.tangent,!1)};return r.POSITION_ONLY=t(new r({position:!0})),r.POSITION_AND_NORMAL=t(new r({position:!0,normal:!0})),r.POSITION_NORMAL_AND_ST=t(new r({position:!0,normal:!0,st:!0})),r.POSITION_AND_ST=t(new r({position:!0,st:!0})),r.ALL=t(new r({position:!0,normal:!0,st:!0,binormal:!0,tangent:!0})),r.DEFAULT=r.POSITION_NORMAL_AND_ST,r}),define("Core/PolygonGeometry",["./defaultValue","./BoundingRectangle","./BoundingSphere","./Cartesian2","./Cartesian3","./ComponentDatatype","./defined","./DeveloperError","./Ellipsoid","./EllipsoidTangentPlane","./Geometry","./GeometryAttribute","./GeometryAttributes","./GeometryInstance","./GeometryPipeline","./IndexDatatype","./Math","./Matrix3","./PolygonGeometryLibrary","./PolygonPipeline","./PrimitiveType","./Quaternion","./Queue","./VertexFormat","./WindingOrder"],function(e,t,r,n,i,o,a,s,u,l,c,f,h,m,d,p,y,v,w,g,E,S,x,C,b){"use strict";function T(e,t,r,n){for(var o=S.fromAxisAngle(e._plane.normal,r,_),s=v.fromQuaternion(o,P),u=Number.POSITIVE_INFINITY,l=Number.NEGATIVE_INFINITY,c=Number.POSITIVE_INFINITY,f=Number.NEGATIVE_INFINITY,h=t.length,m=0;h>m;++m){var d=i.clone(t[m],D);v.multiplyByVector(s,d,d);var p=e.projectPointOntoPlane(d,N);a(p)&&(u=Math.min(u,p.x),l=Math.max(l,p.x),c=Math.min(c,p.y),f=Math.max(f,p.y))}return n.x=u,n.y=c,n.width=l-u,n.height=f-c,n}function O(e,t,r,n){var i=l.fromPoints(t,e),a=i.projectPointsOntoPlane(t,R),s=g.computeWindingOrder2D(a);s===b.CLOCKWISE&&(a.reverse(),t.reverse());var u=g.triangulate(a);u.length<3&&(u=[0,1,2]);var h;if(n){for(var d=t.length,p=new Array(3*d),y=0,v=0;d>v;v++){var w=t[v];p[y++]=w.x,p[y++]=w.y,p[y++]=w.z}h=new c({attributes:{position:new f({componentDatatype:o.DOUBLE,componentsPerAttribute:3,values:p})},indices:u,primitiveType:E.TRIANGLES})}else h=g.computeSubdivision(t,u,r);return new m({geometry:h})}function A(e,t,r,a,s,u,c){if(e.st||e.normal||e.tangent||e.binormal){var h=l.fromPoints(r,a),m=T(h,r,s,z),d=Y;d.x=m.x,d.y=m.y;var p=t.attributes.position.values,w=p.length,g=e.st?new Float32Array(2*(w/3)):void 0,E=e.normal?new Float32Array(w):void 0,x=e.tangent?new Float32Array(w):void 0,C=e.binormal?new Float32Array(w):void 0,b=0,O=0,A=q,I=F,M=U,N=!0,D=S.fromAxisAngle(h._plane.normal,s,H),_=v.fromQuaternion(D,k),P=w/2,R=w/3;u&&(w/=2);for(var B=0;w>B;B+=3){var K=i.fromArray(p,B,V);if(e.st){var Z=v.multiplyByVector(_,K,L),J=h.projectPointOntoPlane(Z,j);n.subtract(J,d,J),u&&(g[b+R]=J.x/m.width,g[b+1+R]=J.y/m.height),g[b]=J.x/m.width,g[b+1]=J.y/m.height,b+=2}if(e.normal||e.tangent||e.binormal){var X=O+1,Q=O+2;if(c){if(w>B+3){var $=i.fromArray(p,B+3,G);if(N){var et=i.fromArray(p,B+w,W);i.subtract($,K,$),i.subtract(et,K,et),A=i.normalize(i.cross(et,$,A),A),N=!1}i.equalsEpsilon($,K,y.EPSILON10)&&(N=!0)}(e.tangent||e.binormal)&&(M=a.geodeticSurfaceNormal(K,M),e.tangent&&(I=i.normalize(i.cross(M,A,I),I)))}else A=a.geodeticSurfaceNormal(K,A),(e.tangent||e.binormal)&&(I=i.cross(i.UNIT_Z,A,I),I=i.normalize(v.multiplyByVector(_,I,I),I),e.binormal&&(M=i.normalize(i.cross(A,I,M),M)));e.normal&&(u&&!c?(E[O+P]=-A.x,E[X+P]=-A.y,E[Q+P]=-A.z):(E[O+P]=A.x,E[X+P]=A.y,E[Q+P]=A.z),E[O]=A.x,E[X]=A.y,E[Q]=A.z),e.tangent&&(u&&!c?(x[O+P]=-I.x,x[X+P]=-I.y,x[Q+P]=-I.z):(x[O+P]=I.x,x[X+P]=I.y,x[Q+P]=I.z),x[O]=I.x,x[X]=I.y,x[Q]=I.z),e.binormal&&(u&&(C[O+P]=M.x,C[X+P]=M.y,C[Q+P]=M.z),C[O]=M.x,C[X]=M.y,C[Q]=M.z),O+=3}}e.st&&(t.attributes.st=new f({componentDatatype:o.FLOAT,componentsPerAttribute:2,values:g})),e.normal&&(t.attributes.normal=new f({componentDatatype:o.FLOAT,componentsPerAttribute:3,values:E})),e.tangent&&(t.attributes.tangent=new f({componentDatatype:o.FLOAT,componentsPerAttribute:3,values:x})),e.binormal&&(t.attributes.binormal=new f({componentDatatype:o.FLOAT,componentsPerAttribute:3,values:C}))}return t}function I(e,t,r){var n,a,s,u,l,m,d,v,g,S=[],x=e.length;if(r)for(d=0;x>d;d++)v=e[d],g=e[(d+1)%x],S.push(v.x,v.y,v.z,g.x,g.y,g.z);else for(d=0;x>d;d++)v=e[d],g=e[(d+1)%x],n=w.subdivideLine(v,g,t),n.push(g.x,g.y,g.z),S=S.concat(n);S=S.concat(S),x=S.length;var C=p.createTypedArray(x/3,x-6*e.length);for(a=0,x/=6,d=0;x>d;d++)s=d,u=s+1,v=i.fromArray(S,3*s,G),g=i.fromArray(S,3*u,W),i.equalsEpsilon(v,g,y.EPSILON6)||(l=s+x,m=l+1,C[a++]=s,C[a++]=l,C[a++]=u,C[a++]=u,C[a++]=l,C[a++]=m);return new c({attributes:new h({position:new f({componentDatatype:o.DOUBLE,componentsPerAttribute:3,values:S})}),indices:C,primitiveType:E.TRIANGLES})}function M(e,t,r,n,i){var a=O(e,t,r,i).geometry,s=a.attributes.position.values,u=a.indices,l=s.concat(s),d=l.length/3,y=p.createTypedArray(d,2*u.length);y.set(u);var v,w=u.length,E=d/2;for(v=0;w>v;v+=3){var S=y[v]+E,x=y[v+1]+E,C=y[v+2]+E;y[v+w]=C,y[v+1+w]=x,y[v+2+w]=S}var T=new c({attributes:new h({position:new f({componentDatatype:o.DOUBLE,componentsPerAttribute:3,values:l})}),indices:y,primitiveType:a.primitiveType}),A={topAndBottom:new m({geometry:T})};A.walls=[];var M=n.outerRing,N=g.computeWindingOrder2D(M);N===b.CLOCKWISE&&(M=M.reverse());var D=I(M,r,i);A.walls.push(new m({geometry:D}));var _=n.holes;for(v=0;v<_.length;v++){var P=_[v];N=g.computeWindingOrder2D(P),N!==b.CLOCKWISE&&(P=P.reverse()),D=I(P,r),A.walls.push(new m({geometry:D}))}return A}var N=new n,D=new i,_=new S,P=new v,R=[],z=new t,L=new i,q=new i,F=new i,U=new i,B=new r,G=new i,W=new i,Y=new n,j=new n,V=new i,H=new S,k=new v,K=function(t){t=e(t,e.EMPTY_OBJECT);var r=e(t.vertexFormat,C.DEFAULT),n=e(t.ellipsoid,u.WGS84),i=e(t.granularity,y.RADIANS_PER_DEGREE),o=e(t.stRotation,0),l=e(t.height,0),c=e(t.perPositionHeight,!1),f=t.extrudedHeight,h=a(f)&&(!y.equalsEpsilon(l,f,y.EPSILON6)||c);if(h){var m=f;f=Math.min(m,l),l=Math.max(m,l)}var d=t.polygonHierarchy;if(!a(d))throw new s("options.polygonHierarchy is required.");this._vertexFormat=r,this._ellipsoid=n,this._granularity=i,this._stRotation=o,this._height=l,this._extrudedHeight=f,this._extrude=h,this._polygonHierarchy=d,this._perPositionHeight=c,this._workerName="createPolygonGeometry"};return K.fromPositions=function(t){if(t=e(t,e.EMPTY_OBJECT),!a(t.positions))throw new s("options.positions is required.");var r={polygonHierarchy:{positions:t.positions},height:t.height,extrudedHeight:t.extrudedHeight,vertexFormat:t.vertexFormat,stRotation:t.stRotation,ellipsoid:t.ellipsoid,granularity:t.granularity,perPositionHeight:t.perPositionHeight};return new K(r)},K.createGeometry=function(e){var t,n,o,u,l=e._vertexFormat,f=e._ellipsoid,h=e._granularity,m=e._stRotation,y=e._height,v=e._extrudedHeight,E=e._extrude,S=e._polygonHierarchy,C=e._perPositionHeight,b=[],T=new x;T.enqueue(S),S=[];for(var I;0!==T.length;){var N=T.dequeue(),D=N.positions,_=N.holes;if(D=g.removeDuplicates(D),D.length<3)throw new s("At least three positions are required.");var P=_?_.length:0;if(0===P)S.push({outerRing:D,holes:[]}),b.push(D);else{var R=[];for(I=0;P>I;I++){var z=_[I];if(z.positions=g.removeDuplicates(z.positions),z.positions.length<3)throw new s("At least three positions are required.");R.push(z.positions);var F=0;a(z.holes)&&(F=z.holes.length);for(var U=0;F>U;U++)T.enqueue(z.holes[U])}S.push({outerRing:D,holes:R});var G=g.eliminateHoles(D,R);b.push(G)}}u=b[0],t=r.fromPoints(u);var W,Y=[];if(E){for(I=0;I<b.length;I++)if(W=M(f,b[I],h,S[I],C),a(W)){o=W.topAndBottom,o.geometry=w.scaleToGeodeticHeightExtruded(o.geometry,y,v,f,C),o.geometry=A(l,o.geometry,u,f,m,!0,!1),Y.push(o),n=W.walls;for(var j=0;j<n.length;j++){var V=n[j];V.geometry=w.scaleToGeodeticHeightExtruded(V.geometry,y,v,f,C),V.geometry=A(l,V.geometry,u,f,m,!0,!0),Y.push(V)}}}else for(I=0;I<b.length;I++)W=O(f,b[I],h,C),a(W)&&(W.geometry=g.scaleToGeodeticHeight(W.geometry,y,f,!C),W.geometry=A(l,W.geometry,u,f,m,!1,!1),Y.push(W));W=d.combine(Y);var H=t.center;q=f.geodeticSurfaceNormal(H,q),L=i.multiplyByScalar(q,y,L),H=i.add(H,L,H),E&&(B=r.clone(t,B),H=B.center,L=i.multiplyByScalar(q,v,L),H=i.add(f.scaleToGeodeticSurface(H,H),L,H),t=r.union(t,B,t)),W.attributes.position.values=new Float64Array(W.attributes.position.values),W.indices=p.createTypedArray(W.attributes.position.values.length/3,W.indices);var k=W.attributes;return l.position||delete k.position,new c({attributes:k,indices:W.indices,primitiveType:W.primitiveType,boundingSphere:t})},K}),define("Core/Color",["./defaultValue","./defined","./freezeObject","./DeveloperError","./FeatureDetection","./Math"],function(e,t,r,n,i,o){"use strict";function a(e,t,r){return 0>r&&(r+=1),r>1&&(r-=1),1>6*r?e+6*(t-e)*r:1>2*r?t:2>3*r?e+6*(t-e)*(2/3-r):e}var s=function(t,r,n,i){this.red=e(t,1),this.green=e(r,1),this.blue=e(n,1),this.alpha=e(i,1)};s.fromBytes=function(t,r,n,i){return t=s.byteToFloat(e(t,255)),r=s.byteToFloat(e(r,255)),n=s.byteToFloat(e(n,255)),i=s.byteToFloat(e(i,255)),new s(t,r,n,i)};var u,l,c;i.supportsTypedArrays()&&(u=new ArrayBuffer(4),l=new Uint32Array(u),c=new Uint8Array(u)),s.fromRgba=function(e){return l[0]=e,s.fromBytes(c[0],c[1],c[2],c[3])},s.fromHsl=function(t,r,n,i){t=e(t,0)%1,r=e(r,0),n=e(n,0),i=e(i,1);var o=n,u=n,l=n;if(0!==r){var c;c=.5>n?n*(1+r):n+r-n*r;var f=2*n-c;o=a(f,c,t+1/3),u=a(f,c,t),l=a(f,c,t-1/3)}return new s(o,u,l,i)},s.fromRandom=function(r,i){r=e(r,e.EMPTY_OBJECT);var a=r.red;if(!t(a)){var u=e(r.minimumRed,0),l=e(r.maximumRed,1);if(u>l)throw new n("minimumRed must be less than or equal to maximumRed");a=u+o.nextRandomNumber()*(l-u)}var c=r.green;if(!t(c)){var f=e(r.minimumGreen,0),h=e(r.maximumGreen,1);if(f>h)throw new n("minimumGreen must be less than or equal to maximumGreen");c=f+o.nextRandomNumber()*(h-f)}var m=r.blue;if(!t(m)){var d=e(r.minimumBlue,0),p=e(r.maximumBlue,1);if(d>p)throw new n("minimumBlue must be less than or equal to maximumBlue");m=d+o.nextRandomNumber()*(p-d)}var y=r.alpha;if(!t(y)){var v=e(r.minimumAlpha,0),w=e(r.maximumAlpha,1);if(v>w)throw new n("minimumAlpha must be less than or equal to maximumAlpha");y=v+o.nextRandomNumber()*(w-v)}return t(i)?(i.red=a,i.green=c,i.blue=m,i.alpha=y,i):new s(a,c,m,y)};var f=/^#([0-9a-f])([0-9a-f])([0-9a-f])$/i,h=/^#([0-9a-f]{2})([0-9a-f]{2})([0-9a-f]{2})$/i,m=/^rgba?\(\s*([0-9.]+%?)\s*,\s*([0-9.]+%?)\s*,\s*([0-9.]+%?)(?:\s*,\s*([0-9.]+))?\s*\)$/i,d=/^hsla?\(\s*([0-9.]+)\s*,\s*([0-9.]+%)\s*,\s*([0-9.]+%)(?:\s*,\s*([0-9.]+))?\s*\)$/i;return s.fromCssColorString=function(r){if(!t(r))throw new n("color is required");var i=s[r.toUpperCase()];if(t(i))return s.clone(i);var o=f.exec(r);return null!==o?new s(parseInt(o[1],16)/15,parseInt(o[2],16)/15,parseInt(o[3],16)/15):(o=h.exec(r),null!==o?new s(parseInt(o[1],16)/255,parseInt(o[2],16)/255,parseInt(o[3],16)/255):(o=m.exec(r),null!==o?new s(parseFloat(o[1])/("%"===o[1].substr(-1)?100:255),parseFloat(o[2])/("%"===o[2].substr(-1)?100:255),parseFloat(o[3])/("%"===o[3].substr(-1)?100:255),parseFloat(e(o[4],"1.0"))):(o=d.exec(r),null!==o?s.fromHsl(parseFloat(o[1])/360,parseFloat(o[2])/100,parseFloat(o[3])/100,parseFloat(e(o[4],"1.0"))):void 0)))},s.packedLength=4,s.pack=function(r,i,o){if(!t(r))throw new n("value is required");if(!t(i))throw new n("array is required");o=e(o,0),i[o++]=r.red,i[o++]=r.green,i[o++]=r.blue,i[o]=r.alpha},s.unpack=function(r,i,o){if(!t(r))throw new n("array is required");return i=e(i,0),t(o)||(o=new s),o.red=r[i++],o.green=r[i++],o.blue=r[i++],o.alpha=r[i],o},s.byteToFloat=function(e){return e/255},s.floatToByte=function(e){return 1===e?255:0|256*e},s.clone=function(e,r){return t(e)?t(r)?(r.red=e.red,r.green=e.green,r.blue=e.blue,r.alpha=e.alpha,r):new s(e.red,e.green,e.blue,e.alpha):void 0},s.equals=function(e,r){return e===r||t(e)&&t(r)&&e.red===r.red&&e.green===r.green&&e.blue===r.blue&&e.alpha===r.alpha},s.prototype.clone=function(e){return s.clone(this,e)},s.prototype.equals=function(e){return s.equals(this,e)},s.prototype.equalsEpsilon=function(e,r){return this===e||t(e)&&Math.abs(this.red-e.red)<=r&&Math.abs(this.green-e.green)<=r&&Math.abs(this.blue-e.blue)<=r&&Math.abs(this.alpha-e.alpha)<=r},s.prototype.toString=function(){return"("+this.red+", "+this.green+", "+this.blue+", "+this.alpha+")"},s.prototype.toCssColorString=function(){var e=s.floatToByte(this.red),t=s.floatToByte(this.green),r=s.floatToByte(this.blue);return 1===this.alpha?"rgb("+e+","+t+","+r+")":"rgba("+e+","+t+","+r+","+this.alpha+")"},s.prototype.toBytes=function(e){var r=s.floatToByte(this.red),n=s.floatToByte(this.green),i=s.floatToByte(this.blue),o=s.floatToByte(this.alpha);return t(e)?(e[0]=r,e[1]=n,e[2]=i,e[3]=o,e):[r,n,i,o]},s.prototype.toRgba=function(){return c[0]=s.floatToByte(this.red),c[1]=s.floatToByte(this.green),c[2]=s.floatToByte(this.blue),c[3]=s.floatToByte(this.alpha),l[0]
},s.ALICEBLUE=r(s.fromCssColorString("#F0F8FF")),s.ANTIQUEWHITE=r(s.fromCssColorString("#FAEBD7")),s.AQUA=r(s.fromCssColorString("#00FFFF")),s.AQUAMARINE=r(s.fromCssColorString("#7FFFD4")),s.AZURE=r(s.fromCssColorString("#F0FFFF")),s.BEIGE=r(s.fromCssColorString("#F5F5DC")),s.BISQUE=r(s.fromCssColorString("#FFE4C4")),s.BLACK=r(s.fromCssColorString("#000000")),s.BLANCHEDALMOND=r(s.fromCssColorString("#FFEBCD")),s.BLUE=r(s.fromCssColorString("#0000FF")),s.BLUEVIOLET=r(s.fromCssColorString("#8A2BE2")),s.BROWN=r(s.fromCssColorString("#A52A2A")),s.BURLYWOOD=r(s.fromCssColorString("#DEB887")),s.CADETBLUE=r(s.fromCssColorString("#5F9EA0")),s.CHARTREUSE=r(s.fromCssColorString("#7FFF00")),s.CHOCOLATE=r(s.fromCssColorString("#D2691E")),s.CORAL=r(s.fromCssColorString("#FF7F50")),s.CORNFLOWERBLUE=r(s.fromCssColorString("#6495ED")),s.CORNSILK=r(s.fromCssColorString("#FFF8DC")),s.CRIMSON=r(s.fromCssColorString("#DC143C")),s.CYAN=r(s.fromCssColorString("#00FFFF")),s.DARKBLUE=r(s.fromCssColorString("#00008B")),s.DARKCYAN=r(s.fromCssColorString("#008B8B")),s.DARKGOLDENROD=r(s.fromCssColorString("#B8860B")),s.DARKGRAY=r(s.fromCssColorString("#A9A9A9")),s.DARKGREEN=r(s.fromCssColorString("#006400")),s.DARKGREY=s.DARKGRAY,s.DARKKHAKI=r(s.fromCssColorString("#BDB76B")),s.DARKMAGENTA=r(s.fromCssColorString("#8B008B")),s.DARKOLIVEGREEN=r(s.fromCssColorString("#556B2F")),s.DARKORANGE=r(s.fromCssColorString("#FF8C00")),s.DARKORCHID=r(s.fromCssColorString("#9932CC")),s.DARKRED=r(s.fromCssColorString("#8B0000")),s.DARKSALMON=r(s.fromCssColorString("#E9967A")),s.DARKSEAGREEN=r(s.fromCssColorString("#8FBC8F")),s.DARKSLATEBLUE=r(s.fromCssColorString("#483D8B")),s.DARKSLATEGRAY=r(s.fromCssColorString("#2F4F4F")),s.DARKSLATEGREY=s.DARKSLATEGRAY,s.DARKTURQUOISE=r(s.fromCssColorString("#00CED1")),s.DARKVIOLET=r(s.fromCssColorString("#9400D3")),s.DEEPPINK=r(s.fromCssColorString("#FF1493")),s.DEEPSKYBLUE=r(s.fromCssColorString("#00BFFF")),s.DIMGRAY=r(s.fromCssColorString("#696969")),s.DIMGREY=s.DIMGRAY,s.DODGERBLUE=r(s.fromCssColorString("#1E90FF")),s.FIREBRICK=r(s.fromCssColorString("#B22222")),s.FLORALWHITE=r(s.fromCssColorString("#FFFAF0")),s.FORESTGREEN=r(s.fromCssColorString("#228B22")),s.FUSCHIA=r(s.fromCssColorString("#FF00FF")),s.GAINSBORO=r(s.fromCssColorString("#DCDCDC")),s.GHOSTWHITE=r(s.fromCssColorString("#F8F8FF")),s.GOLD=r(s.fromCssColorString("#FFD700")),s.GOLDENROD=r(s.fromCssColorString("#DAA520")),s.GRAY=r(s.fromCssColorString("#808080")),s.GREEN=r(s.fromCssColorString("#008000")),s.GREENYELLOW=r(s.fromCssColorString("#ADFF2F")),s.GREY=s.GRAY,s.HONEYDEW=r(s.fromCssColorString("#F0FFF0")),s.HOTPINK=r(s.fromCssColorString("#FF69B4")),s.INDIANRED=r(s.fromCssColorString("#CD5C5C")),s.INDIGO=r(s.fromCssColorString("#4B0082")),s.IVORY=r(s.fromCssColorString("#FFFFF0")),s.KHAKI=r(s.fromCssColorString("#F0E68C")),s.LAVENDER=r(s.fromCssColorString("#E6E6FA")),s.LAVENDAR_BLUSH=r(s.fromCssColorString("#FFF0F5")),s.LAWNGREEN=r(s.fromCssColorString("#7CFC00")),s.LEMONCHIFFON=r(s.fromCssColorString("#FFFACD")),s.LIGHTBLUE=r(s.fromCssColorString("#ADD8E6")),s.LIGHTCORAL=r(s.fromCssColorString("#F08080")),s.LIGHTCYAN=r(s.fromCssColorString("#E0FFFF")),s.LIGHTGOLDENRODYELLOW=r(s.fromCssColorString("#FAFAD2")),s.LIGHTGRAY=r(s.fromCssColorString("#D3D3D3")),s.LIGHTGREEN=r(s.fromCssColorString("#90EE90")),s.LIGHTGREY=s.LIGHTGRAY,s.LIGHTPINK=r(s.fromCssColorString("#FFB6C1")),s.LIGHTSEAGREEN=r(s.fromCssColorString("#20B2AA")),s.LIGHTSKYBLUE=r(s.fromCssColorString("#87CEFA")),s.LIGHTSLATEGRAY=r(s.fromCssColorString("#778899")),s.LIGHTSLATEGREY=s.LIGHTSLATEGRAY,s.LIGHTSTEELBLUE=r(s.fromCssColorString("#B0C4DE")),s.LIGHTYELLOW=r(s.fromCssColorString("#FFFFE0")),s.LIME=r(s.fromCssColorString("#00FF00")),s.LIMEGREEN=r(s.fromCssColorString("#32CD32")),s.LINEN=r(s.fromCssColorString("#FAF0E6")),s.MAGENTA=r(s.fromCssColorString("#FF00FF")),s.MAROON=r(s.fromCssColorString("#800000")),s.MEDIUMAQUAMARINE=r(s.fromCssColorString("#66CDAA")),s.MEDIUMBLUE=r(s.fromCssColorString("#0000CD")),s.MEDIUMORCHID=r(s.fromCssColorString("#BA55D3")),s.MEDIUMPURPLE=r(s.fromCssColorString("#9370DB")),s.MEDIUMSEAGREEN=r(s.fromCssColorString("#3CB371")),s.MEDIUMSLATEBLUE=r(s.fromCssColorString("#7B68EE")),s.MEDIUMSPRINGGREEN=r(s.fromCssColorString("#00FA9A")),s.MEDIUMTURQUOISE=r(s.fromCssColorString("#48D1CC")),s.MEDIUMVIOLETRED=r(s.fromCssColorString("#C71585")),s.MIDNIGHTBLUE=r(s.fromCssColorString("#191970")),s.MINTCREAM=r(s.fromCssColorString("#F5FFFA")),s.MISTYROSE=r(s.fromCssColorString("#FFE4E1")),s.MOCCASIN=r(s.fromCssColorString("#FFE4B5")),s.NAVAJOWHITE=r(s.fromCssColorString("#FFDEAD")),s.NAVY=r(s.fromCssColorString("#000080")),s.OLDLACE=r(s.fromCssColorString("#FDF5E6")),s.OLIVE=r(s.fromCssColorString("#808000")),s.OLIVEDRAB=r(s.fromCssColorString("#6B8E23")),s.ORANGE=r(s.fromCssColorString("#FFA500")),s.ORANGERED=r(s.fromCssColorString("#FF4500")),s.ORCHID=r(s.fromCssColorString("#DA70D6")),s.PALEGOLDENROD=r(s.fromCssColorString("#EEE8AA")),s.PALEGREEN=r(s.fromCssColorString("#98FB98")),s.PALETURQUOISE=r(s.fromCssColorString("#AFEEEE")),s.PALEVIOLETRED=r(s.fromCssColorString("#DB7093")),s.PAPAYAWHIP=r(s.fromCssColorString("#FFEFD5")),s.PEACHPUFF=r(s.fromCssColorString("#FFDAB9")),s.PERU=r(s.fromCssColorString("#CD853F")),s.PINK=r(s.fromCssColorString("#FFC0CB")),s.PLUM=r(s.fromCssColorString("#DDA0DD")),s.POWDERBLUE=r(s.fromCssColorString("#B0E0E6")),s.PURPLE=r(s.fromCssColorString("#800080")),s.RED=r(s.fromCssColorString("#FF0000")),s.ROSYBROWN=r(s.fromCssColorString("#BC8F8F")),s.ROYALBLUE=r(s.fromCssColorString("#4169E1")),s.SADDLEBROWN=r(s.fromCssColorString("#8B4513")),s.SALMON=r(s.fromCssColorString("#FA8072")),s.SANDYBROWN=r(s.fromCssColorString("#F4A460")),s.SEAGREEN=r(s.fromCssColorString("#2E8B57")),s.SEASHELL=r(s.fromCssColorString("#FFF5EE")),s.SIENNA=r(s.fromCssColorString("#A0522D")),s.SILVER=r(s.fromCssColorString("#C0C0C0")),s.SKYBLUE=r(s.fromCssColorString("#87CEEB")),s.SLATEBLUE=r(s.fromCssColorString("#6A5ACD")),s.SLATEGRAY=r(s.fromCssColorString("#708090")),s.SLATEGREY=s.SLATEGRAY,s.SNOW=r(s.fromCssColorString("#FFFAFA")),s.SPRINGGREEN=r(s.fromCssColorString("#00FF7F")),s.STEELBLUE=r(s.fromCssColorString("#4682B4")),s.TAN=r(s.fromCssColorString("#D2B48C")),s.TEAL=r(s.fromCssColorString("#008080")),s.THISTLE=r(s.fromCssColorString("#D8BFD8")),s.TOMATO=r(s.fromCssColorString("#FF6347")),s.TURQUOISE=r(s.fromCssColorString("#40E0D0")),s.VIOLET=r(s.fromCssColorString("#EE82EE")),s.WHEAT=r(s.fromCssColorString("#F5DEB3")),s.WHITE=r(s.fromCssColorString("#FFFFFF")),s.WHITESMOKE=r(s.fromCssColorString("#F5F5F5")),s.YELLOW=r(s.fromCssColorString("#FFFF00")),s.YELLOWGREEN=r(s.fromCssColorString("#9ACD32")),s}),define("Scene/PrimitivePipeline",["../Core/defined","../Core/defaultValue","../Core/Color","../Core/ComponentDatatype","../Core/DeveloperError","../Core/FeatureDetection","../Core/Geometry","../Core/GeometryAttribute","../Core/GeometryPipeline","../Core/Matrix4"],function(e,t,r,n,i,o,a,s,u,l){"use strict";function c(e,t,r){var n,i=!r,o=e.length;if(!i&&o>1){var a=e[0].modelMatrix;for(n=1;o>n;++n)if(!l.equals(a,e[n].modelMatrix)){i=!0;break}}if(i)for(n=0;o>n;++n)u.transformToWorldCoordinates(e[n]);else l.clone(e[0].modelMatrix,t)}function f(e,t){for(var i=e.length,o=0;i>o;++o){var a=e[o],u=a.geometry,l=u.attributes,c=l.position,f=4*(c.values.length/c.componentsPerAttribute);l.pickColor=new s({componentDatatype:n.UNSIGNED_BYTE,componentsPerAttribute:4,normalize:!0,values:new Uint8Array(f)});for(var h=t[o],m=r.floatToByte(h.red),d=r.floatToByte(h.green),p=r.floatToByte(h.blue),y=r.floatToByte(h.alpha),v=l.pickColor.values,w=0;f>w;w+=4)v[w]=m,v[w+1]=d,v[w+2]=p,v[w+3]=y}}function h(t){var r,n=t.length,i=[],o=t[0].attributes;for(r in o)if(o.hasOwnProperty(r)){for(var a=o[r],s=!0,u=1;n>u;++u){var l=t[u].attributes[r];if(!e(l)||a.componentDatatype.value!==l.componentDatatype.value||a.componentsPerAttribute!==l.componentsPerAttribute||a.normalize!==l.normalize){s=!1;break}}s&&i.push(r)}return i}function m(e,t){for(var r=e.length,i=0;r>i;++i)for(var o=e[i],u=o.attributes,l=o.geometry,c=a.computeNumberOfVertices(l),f=t.length,h=0;f>h;++h){for(var m=t[h],d=u[m],p=d.componentDatatype,y=d.value,v=y.length,w=n.createTypedArray(p,c*v),g=0;c>g;++g)w.set(y,g*v);l.attributes[m]=new s({componentDatatype:p,componentsPerAttribute:v,normalize:d.normalize,values:w})}}function d(e){var t,r=e.instances,o=e.pickIds,a=e.projection,s=e.elementIndexUintSupported,l=e.allow3DOnly,d=e.allowPicking,p=e.vertexCacheOptimize,y=e.modelMatrix,v=r.length,w=r[0].geometry.primitiveType;for(t=1;v>t;++t)if(r[t].geometry.primitiveType!==w)throw new i("All instance geometries must have the same primitiveType.");if(c(r,y,l),!l)for(t=0;v>t;++t)u.wrapLongitude(r[t].geometry);d&&f(r,o);var g=h(r);if(m(r,g),p)for(t=0;v>t;++t)u.reorderForPostVertexCache(r[t].geometry),u.reorderForPreVertexCache(r[t].geometry);var E,S=u.combine(r),x=S.attributes;if(l)for(E in x)x.hasOwnProperty(E)&&x[E].componentDatatype.value===n.DOUBLE.value&&u.encodeAttribute(S,E,E+"3DHigh",E+"3DLow");else for(E in x)if(x.hasOwnProperty(E)&&x[E].componentDatatype.value===n.DOUBLE.value){var C=E+"3D",b=E+"2D";u.projectTo2D(S,E,C,b,a),u.encodeAttribute(S,C,C+"High",C+"Low"),u.encodeAttribute(S,b,b+"High",b+"Low")}return s?[S]:u.fitToUnsignedShortIndices(S)}function p(e,t,r){for(var i=[],o=e.attributes,a=r.length,s=0;a>s;++s){var u=r[s],l=o[u],c=l.componentDatatype;c.value===n.DOUBLE.value&&(c=n.FLOAT);var f=n.createTypedArray(c,l.values);i.push({index:t[u],componentDatatype:c,componentsPerAttribute:l.componentsPerAttribute,normalize:l.normalize,values:f}),delete o[u]}return i}function y(r,n,i){for(var o=[],s=h(r),u=r.length,l={},c={},f=0;u>f;++f)for(var m=r[f],d=a.computeNumberOfVertices(m.geometry),p=s.length,y=0;p>y;++y)for(var v=s[y],w=i[v],g=d;g>0;){for(var E,S=t(c[v],0),x=n[S],C=x.length,b=0;C>b&&(E=x[b],E.index!==w);++b);e(o[f])||(o[f]={}),e(o[f][v])||(o[f][v]={dirty:!1,value:m.attributes[v].value,indices:[]});var T,O=E.values.length/E.componentsPerAttribute,A=t(l[v],0);O>A+g?(T=g,o[f][v].indices.push({attribute:E,offset:A,count:T}),l[v]=A+g):(T=O-A,o[f][v].indices.push({attribute:E,offset:A,count:T}),l[v]=0,c[v]=S+1),g-=T}return o}function v(e){return{type:e.constructor.name,buffer:e.buffer}}function w(e){return new E[e.type](e.buffer)}if(!o.supportsTypedArrays())return{};var g={};g.combineGeometry=function(e){for(var t={instances:e.instances,pickIds:e.pickIds,ellipsoid:e.ellipsoid,projection:e.projection,elementIndexUintSupported:e.elementIndexUintSupported,allow3DOnly:e.allow3DOnly,allowPicking:e.allowPicking,vertexCacheOptimize:e.vertexCacheOptimize,modelMatrix:l.clone(e.modelMatrix)},r=d(t),n=u.createAttributeIndices(r[0]),i=t.instances,o=h(i),a=[],s=r.length,c=0;s>c;++c){var f=r[c];a.push(p(f,n,o))}var m=y(i,a,n);return{geometries:r,modelMatrix:t.modelMatrix,attributeIndices:n,vaAttributes:a,vaAttributeIndices:m}};var E={Int8Array:Int8Array,Uint8Array:Uint8Array,Int16Array:Int16Array,Uint16Array:Uint16Array,Int32Array:Int32Array,Uint32Array:Uint32Array,Float32Array:Float32Array,Float64Array:Float64Array};return g.transferGeometry=function(t,r){var n,i=t.attributes;for(var o in i)i.hasOwnProperty(o)&&e(i[o])&&e(i[o].values)&&(n=i[o].values,r.indexOf(i[o].values.buffer)<0&&r.push(n.buffer),e(n.type)||(i[o].values=v(n)));e(t.indices)&&(n=t.indices,r.push(n.buffer),e(n.type)||(t.indices=v(t.indices)))},g.transferGeometries=function(e,t){for(var r=e.length,n=0;r>n;++n)g.transferGeometry(e[n],t)},g.transferPerInstanceAttributes=function(e,t){for(var r=e.length,n=0;r>n;++n)for(var i=e[n],o=i.length,a=0;o>a;++a){var s=i[a].values;t.push(s.buffer),i[a].values=v(s)}},g.transferInstances=function(e,t){for(var r=e.length,n=0;r>n;++n){var i=e[n];g.transferGeometry(i.geometry,t)}},g.receiveGeometry=function(t){var r=t.attributes;for(var n in r)r.hasOwnProperty(n)&&e(r[n])&&e(r[n].values)&&(r[n].values=w(r[n].values));e(t.indices)&&(t.indices=w(t.indices))},g.receiveGeometries=function(e){for(var t=e.length,r=0;t>r;++r)g.receiveGeometry(e[r])},g.receivePerInstanceAttributes=function(e){for(var t=e.length,r=0;t>r;++r)for(var n=e[r],i=n.length,o=0;i>o;++o)n[o].values=w(n[o].values)},g.receiveInstances=function(e){for(var t=e.length,r=0;t>r;++r){var n=e[r];g.receiveGeometry(n.geometry)}},g}),define("Workers/createTaskProcessorWorker",["../Core/defaultValue","../Core/defined"],function(e,t){"use strict";var r=function(r){var n,i=[],o={id:void 0,result:void 0,error:void 0};return function(a){var s=a.data;i.length=0,o.id=s.id,o.error=void 0,o.result=void 0;try{o.result=r(s.parameters,i)}catch(u){o.error=u}t(n)||(n=e(self.webkitPostMessage,self.postMessage));try{n(o,i)}catch(u){o.result=void 0,o.error="postMessage failed with error: "+u+"\n  with responseMessage: "+JSON.stringify(o),n(o)}}};return r}),define("Workers/createPolygonGeometry",["../Core/PolygonGeometry","../Core/Ellipsoid","../Scene/PrimitivePipeline","./createTaskProcessorWorker"],function(e,t,r,n){"use strict";function i(n,i){var o=n.geometry;o._ellipsoid=t.clone(o._ellipsoid);var a=e.createGeometry(o);return r.transferGeometry(a,i),{geometry:a,index:n.index}}return n(i)})}();